/// <reference types="react" />
interface AbilityTypes {
    abilityId: string;
    abilityTitle: string;
}
interface ListAbilityTypes {
    id: string;
    categoryId: string;
    categoryTitle: string;
    specialityId: string;
    specialityTitle: string;
    experience: string;
    description: string;
    userId: string;
    abilities: AbilityTypes[];
}
interface ListExperienceTypes {
    id: string;
    title: string;
    enterprise: string;
    description: string;
    initialDate: string;
    endDate?: string;
    userId: string;
    created: Date;
}
declare type ListFormationTypes = Omit<ListExperienceTypes, 'enterprise'> & {
    center?: string;
};
interface SkillCardTypes {
    type: string;
    listAbility?: ListAbilityTypes;
    width?: string | number;
    height?: string | number;
    onClickEdit?: () => void;
    onClickDelete?: () => void;
    [key: string]: any;
    listExperience?: ListExperienceTypes;
    lng?: string;
    listFormation?: ListFormationTypes;
    noIcons?: boolean;
    description?: string;
    Icon?: JSX.Element | any;
}
export declare const SkillCard: ({ type, listAbility, width, height, onClickEdit, onClickDelete, listExperience, lng, listFormation, noIcons, description, Icon, ...props }: SkillCardTypes) => JSX.Element;
export {};
