/// <reference types="react" />
declare type cardsObjectType = {
    Active?: boolean;
    Alias: string;
    BankCode: string;
    CardProvider: string;
    CardType: string;
    CreationDate: number;
    Currency: string;
    Country: string;
    EnabledPayments?: string;
    EnabledUser?: string;
    ExpirationDate: string;
    Fingerprint: string;
    Id: string;
    Product?: string;
    Tag?: string | null;
    UserId: string;
    Validity: string;
};
interface TextFieldTypes {
    label?: string;
    type?: string;
    key?: string;
    id?: string;
    width?: string | number;
    height?: string | number;
    onClick?: () => void;
    onChange?: (e: any) => void;
    onKeyDown?: (e: any) => void;
    value?: string | number;
    error?: boolean;
    errorTitle?: string;
    actions?: string;
    onClickEdit?: () => void;
    onClickDelete?: () => void;
    multiline?: boolean;
    autoFocus?: boolean;
    [key: string]: any;
    cardDetected?: string;
    paymentsUtility?: string;
    cardRegistredStatus?: string;
    disabled?: boolean;
    textAddNewCard?: string;
    addNewCardRedirection?: () => void;
    cardsList?: cardsObjectType[];
    setSelectedCard?: (v: any) => void;
    selectedCard?: any;
}
export declare const TextField: ({ label, type, key, id, onClick, onChange, onKeyDown, width, height, value, error, errorTitle, actions, onClickDelete, onClickEdit, multiline, autoFocus, cardDetected, paymentsUtility, cardRegistedStatus, disabled, textAddNewCard, addNewCardRedirection, cardsList, selectedCard, setSelectedCard, ...props }: TextFieldTypes) => JSX.Element;
export {};
