import React from 'react';
import { makeStyles } from '@material-ui/core';
import { theme } from './Theme/theme';

// import { ThemeTypes } from './Theme/theme.types';
// import IconButton from '@material-ui/core/IconButton';

import { ResizableModal } from './ResizableModal';

interface AddCardFormStruct {
  [key: string]: number | string | any;
  width: string | number;
  height: string | number;
  open: boolean;
  setOpen: (v: boolean) => void;
  handleClose?: () => void;
  content?: JSX.Element;
  lng?: string;
}

export const AddCardForm = ({
  width,
  height,
  open,
  setOpen,
  handleClose,
  lng,
  content,
  ...props
}: AddCardFormStruct) => {
  const styles = makeStyles({
    root: {
      width: '100%',
      minWidth: 400,
      height: '100%',
      minHeight: 250,
    },
    title: {
      color: theme.blackPrimary,
      fontSize: 16,
      fontWeight: 500,
      padding: '25px 25px 0px 25px',
      margin: 0,
    },
  });

  const classes = styles();
  return (
    <ResizableModal
      open={open || true}
      setOpen={setOpen || null}
      width={width || 600}
      height={height || 400}
      handleClose={handleClose || undefined}
      content={
        <div className={classes.root} {...props}>
          <h1 className={classes.title}>
            {lng === 'en' ? 'NEW PAYMENT METHOD' : 'NUEVO MÉTODO DE PAGO'}
          </h1>
          {content}
        </div>
      }
    />
  );
};
