import React from 'react';
import { makeStyles } from "@material-ui/core";
import { theme } from './Theme/theme';
interface LogoTypes {
    primaryText?: string;
    secondaryText?: string;
    small?: boolean;
    [key: string]: any;
    image?: any
}

export const Logo = ({ primaryText, secondaryText, small, image, ...props }: LogoTypes) => {

    const styles = makeStyles({
        large: {
            display: 'flex',
            '&>div': {
                '&>h1': {
                    fontFamily: 'Poppins',
                    color: theme.blackPrimary,
                    margin: '0px 0px 0px 15px',
                    padding: 0,
                    fontSize: 20,
                    fontWeight: 500
                },
                '&>h4': {
                    fontFamily: 'Poppins',
                    color: theme.lightGrayPrimary,
                    margin: '0px 0px 0px 15px',
                    padding: 0,
                    fontSize: 18,
                    fontWeight: 400
                }
            }
        },
        small: {
            fontFamily: 'Poppins',
            color: theme.blackPrimary
        }
    });
    const classes = styles();

    return (
        <div className={small ? classes.small : classes.large} {...props}>
            <img src={image} style={{ width: 40, height: 40 }}/>
            <div>
                <h1>{primaryText}</h1>
                <h4>{secondaryText}</h4>
            </div>
        </div>
    );
};
