import React from 'react';
import { makeStyles } from "@material-ui/core";
import Pagination from '@mui/material/Pagination';

interface PaginatorTypes {
  [key: string]: any;
  setPage?: (v: number) => void;
  totalPages?: number;
}

export const Paginator = ({
    totalPages,
    setPage,
    ...props }: PaginatorTypes) => {
  const styles = makeStyles({
    root: {}
  });
  const classes = styles();
  const  getPage = (_event: React.ChangeEvent<unknown>, page: number) => {
    setPage && setPage(page);
  }
  return (
    <div className={classes.root} {...props}>
      <Pagination
        onChange={getPage}
        count={totalPages}
        variant="outlined"
        shape="rounded"
      />
    </div>
  )
}