import React from 'react';
import { makeStyles } from '@material-ui/core';
import { theme } from './Theme/theme';
// import { ThemeTypes } from './Theme/theme.types';

// import IconButton from '@material-ui/core/IconButton';
import Dialog from '@material-ui/core/Dialog';

interface ResizableModalStruct {
  width?: number | string;
  height?: number | string;
  open: boolean;
  setOpen: (v: boolean) => void;
  handleClose?: () => void;
  [key: string]: number | string | any;
  content?: JSX.Element | any;
}

export const ResizableModal = ({
  width,
  height,
  open,
  setOpen,
  handleClose,
  content,
  ...props
}: ResizableModalStruct) => {
  const styles = makeStyles({
    root: {
      '& > .MuiDialog-container .MuiPaper-root': {
        boxShadow: theme.modalShadowDefault,
        borderRadius: 4,
      },
      '& > .MuiDialog-container': {
        backgroundColor: theme.modalBackgroundDefault,
      },
    },
    containerModal: {},
  });

  const classes = styles({ width, height });
  return (
    <div className={classes.root} {...props}>
      <Dialog
        className={classes.root}
        open={open}
        aria-labelledby="responsive-dialog-title"
        onClose={() => handleClose && handleClose()}
      >
        <div className={classes.containerModal}>{content}</div>
      </Dialog>
    </div>
  );
};
