import React from 'react';
import { makeStyles } from "@material-ui/core";

interface SplitScreenTypes {
  rightElement: JSX.Element|JSX.Element[];
  leftElement: JSX.Element|JSX.Element[];
  [key: string]: any;
}

export const SplitScreen = ({ rightElement, leftElement, ...props }: SplitScreenTypes) => {
  const styles = makeStyles({
    root: {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      height: '90vh'
    }
  });
  const classes = styles();
  return (
    <div className={classes.root} {...props}>
      <div>
        {leftElement}
      </div>
      <div>
        {rightElement}
      </div>
    </div>
  )
}