import React from 'react';
import { makeStyles } from "@material-ui/core";
import { theme } from './Theme/theme';

interface SubtitleTypes {
    subtitle: string;
    [key: string]: any;
}

export const Subtitle = ({subtitle, ...props}: SubtitleTypes) => {
    const styles = makeStyles({
        root: {
            fontSize: 16,
            fontFamily: 'Poppins',
            fontWeight: 300,
            color: theme.defaultSubtitle,
            margin: 0,
            marginBottom: 15
        }
    });
    const classes = styles();
    return (
        <h1 className={classes.root} {...props}>{subtitle}</h1>
    )
}