import React from 'react';
import { makeStyles } from "@material-ui/core";
import { theme } from './Theme/theme';

interface TitleTypes {
  title: string
  [key: string]: any
}

export const Title = ({ title, ...props }: TitleTypes) => {
  const styles = makeStyles({
    root: {
      textTransform: 'uppercase',
      fontSize: 18,
      fontFamily: 'Poppins',
      fontWeight: 500,
      color: theme.blackPrimary,
      margin: 0
    }
  });
  const classes = styles();
  return (
    <h1 className={classes.root} {...props}>{title}</h1>
  )
}