import React from 'react';
import { makeStyles } from "@material-ui/core";
import { theme } from './Theme/theme';

interface TitleTypes {
  title: string;
  [key: string]: any;
}

export const TitleRoute = ({ title, ...props }: TitleTypes) => {
  const styles = makeStyles({
    root: {
      textTransform: 'capitalize',
      fontSize: 15,
      fontFamily: 'Poppins',
      fontWeight: 400,
      color: theme.opacityGrayDefault,
      margin: 0
    }
  });
  const classes = styles();
  return (
    <p className={classes.root} {...props}>{title}</p>
  )
}