import React from 'react';
import { makeStyles } from '@material-ui/core';
import PositionFooter from './Types/positionFooter';
import { theme } from './Theme/theme';

export const CardFooter: React.FC<{
  title?: string;
  subTitle?: string;
  position?: PositionFooter
  cursor?: boolean
  [key: string]: any;
  divider?: boolean
  dividerColor?: string
}> = ({ title, subTitle, position, divider, dividerColor, cursor, ...props }) => {
  console.log("testing ", cursor, divider)
  const styles = makeStyles({
    root: {
      padding: 10,
      textAlign: position,
      borderTop: (divider && cursor) ? `2px solid ${dividerColor || theme.bluePrimary}` : undefined,
      '&:hover': {
        borderTop: divider ? `2px solid ${theme.bluePrimary}` : undefined,
      },
    },
    title: {
      margin: 2,
      fontFamily: 'Poppins',
      fontStyle: 'normal',
      fontWeight: 500,
      fontSize: 14,
      color: '#000C24',
      letterSpacing: '0.01em'
    },
    subTitle: {
      margin: 2,
      fontFamily: 'Poppins',
      fontStyle: 'normal',
      fontWeight: 500,
      fontSize: 14,
      color: '#93A0AD',
      letterSpacing: '0.01em'
    }
  });

  const classes = styles();
  return (
    <div {...props} className={classes.root}>
      <p className={classes.title}>
        {title}
      </p>
      <p className={classes.subTitle}>
        {subTitle}
      </p>
    </div>
  );
};