export const returnTypeFile = (type: string | undefined) => {
  switch (type) {
    case 'application/vnd.openxmlformats-officedocument.wordprocessingml.document':
      return 'docx'
    case 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet':
      return 'xlsx'
    case 'image/jpeg':
    case 'image/jpg':
    case 'image/bmp':
    case 'image/gif':
    case 'image/png':
    case 'image/svg+xml':
    case 'video/mp4':
    case 'audio/mpeg':
    case 'audio/wav':
    case 'audio/ogg':
    case 'application/pdf':
    case 'application/zip':
    case 'application/x-zip-compressed':
      return type.split('/')[1]
    default:
      return null;
  }
};