import React, { useState, useRef, useEffect, Suspense, lazy } from 'react';
import { makeStyles, IconButton as IconButton$1, TextField as TextField$2, InputAdornment as InputAdornment$1 } from '@material-ui/core';
import Button from '@material-ui/core/Button';
import IconButton from '@material-ui/core/IconButton';
import AddOutlinedIcon from '@mui/icons-material/AddOutlined';
import Avatar from '@material-ui/core/Avatar';
import EditIcon from '@mui/icons-material/Edit';
import DeleteOutlineIcon from '@mui/icons-material/DeleteOutline';
import Dialog from '@material-ui/core/Dialog';
import { makeStyles as makeStyles$1 } from '@material-ui/core/styles';
import ErrorIcon from '@mui/icons-material/Error';
import TextField$1 from '@material-ui/core/TextField';
import InputAdornment from '@material-ui/core/InputAdornment';
import KeyboardArrowUpIcon from '@mui/icons-material/KeyboardArrowUp';
import KeyboardArrowDownIcon from '@mui/icons-material/KeyboardArrowDown';
import SearchIcon from '@mui/icons-material/Search';
import KeyboardBackspaceIcon from '@mui/icons-material/KeyboardBackspace';
import WorkOutlineOutlinedIcon from '@mui/icons-material/WorkOutlineOutlined';
import ChromeReaderModeOutlinedIcon from '@mui/icons-material/ChromeReaderModeOutlined';
import LockOutlinedIcon from '@mui/icons-material/LockOutlined';
import EuroIcon from '@mui/icons-material/Euro';
import DoneAllIcon from '@mui/icons-material/DoneAll';
import LoopSharpIcon from '@mui/icons-material/LoopSharp';
import CloseIcon from '@mui/icons-material/Close';
import dayjs from 'dayjs';
import { AdapterDayjs } from '@mui/x-date-pickers/AdapterDayjs';
import Stack from '@mui/material/Stack';
import { LocalizationProvider } from '@mui/x-date-pickers/LocalizationProvider';
import { DesktopDatePicker } from '@mui/x-date-pickers/DesktopDatePicker';
import NorthIcon from '@mui/icons-material/North';
import AttachFileIcon from '@mui/icons-material/AttachFile';
import ContentPasteIcon from '@mui/icons-material/ContentPaste';
import Pagination from '@mui/material/Pagination';
import Timeago from 'react-timeago';
import buildFormatter from 'react-timeago/lib/formatters/buildFormatter';
import spanishStrings from 'react-timeago/lib/language-strings/es';
import englishStrings from 'react-timeago/lib/language-strings/en';
import InstagramIcon from '@mui/icons-material/Instagram';
import LinkedInIcon from '@mui/icons-material/LinkedIn';
import FacebookIcon from '@mui/icons-material/Facebook';
import TwitterIcon from '@mui/icons-material/Twitter';
import Picker from 'emoji-picker-react';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import fileSaver from 'file-saver';
import { faDownload, faArrowLeft, faArrowRight, faMagnifyingGlassPlus, faMagnifyingGlassMinus, faMagnifyingGlass, faFileVideo, faFileAudio, faFileZipper, faFileWord, faFileExcel, faFilePdf } from '@fortawesome/free-solid-svg-icons';
import { pdfjs, Document, Page } from 'react-pdf';
import { FilePreviewerThumbnail } from 'react-file-previewer';
import ReactAudioPlayer from 'react-audio-player';
import CloudOffIcon from '@mui/icons-material/CloudOff';
import SendIcon from '@mui/icons-material/Send';
import SentimentSatisfiedAltIcon from '@mui/icons-material/SentimentSatisfiedAlt';
import CheckIcon from '@mui/icons-material/Check';
import PriorityHighIcon from '@mui/icons-material/PriorityHigh';
import Checkbox from '@mui/material/Checkbox';
import ErrorOutlineIcon from '@mui/icons-material/ErrorOutline';

function _regeneratorRuntime() {
  /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */

  _regeneratorRuntime = function () {
    return exports;
  };

  var exports = {},
      Op = Object.prototype,
      hasOwn = Op.hasOwnProperty,
      $Symbol = "function" == typeof Symbol ? Symbol : {},
      iteratorSymbol = $Symbol.iterator || "@@iterator",
      asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator",
      toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  function define(obj, key, value) {
    return Object.defineProperty(obj, key, {
      value: value,
      enumerable: !0,
      configurable: !0,
      writable: !0
    }), obj[key];
  }

  try {
    define({}, "");
  } catch (err) {
    define = function (obj, key, value) {
      return obj[key] = value;
    };
  }

  function wrap(innerFn, outerFn, self, tryLocsList) {
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator,
        generator = Object.create(protoGenerator.prototype),
        context = new Context(tryLocsList || []);
    return generator._invoke = function (innerFn, self, context) {
      var state = "suspendedStart";
      return function (method, arg) {
        if ("executing" === state) throw new Error("Generator is already running");

        if ("completed" === state) {
          if ("throw" === method) throw arg;
          return doneResult();
        }

        for (context.method = method, context.arg = arg;;) {
          var delegate = context.delegate;

          if (delegate) {
            var delegateResult = maybeInvokeDelegate(delegate, context);

            if (delegateResult) {
              if (delegateResult === ContinueSentinel) continue;
              return delegateResult;
            }
          }

          if ("next" === context.method) context.sent = context._sent = context.arg;else if ("throw" === context.method) {
            if ("suspendedStart" === state) throw state = "completed", context.arg;
            context.dispatchException(context.arg);
          } else "return" === context.method && context.abrupt("return", context.arg);
          state = "executing";
          var record = tryCatch(innerFn, self, context);

          if ("normal" === record.type) {
            if (state = context.done ? "completed" : "suspendedYield", record.arg === ContinueSentinel) continue;
            return {
              value: record.arg,
              done: context.done
            };
          }

          "throw" === record.type && (state = "completed", context.method = "throw", context.arg = record.arg);
        }
      };
    }(innerFn, self, context), generator;
  }

  function tryCatch(fn, obj, arg) {
    try {
      return {
        type: "normal",
        arg: fn.call(obj, arg)
      };
    } catch (err) {
      return {
        type: "throw",
        arg: err
      };
    }
  }

  exports.wrap = wrap;
  var ContinueSentinel = {};

  function Generator() {}

  function GeneratorFunction() {}

  function GeneratorFunctionPrototype() {}

  var IteratorPrototype = {};
  define(IteratorPrototype, iteratorSymbol, function () {
    return this;
  });
  var getProto = Object.getPrototypeOf,
      NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol) && (IteratorPrototype = NativeIteratorPrototype);
  var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype);

  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function (method) {
      define(prototype, method, function (arg) {
        return this._invoke(method, arg);
      });
    });
  }

  function AsyncIterator(generator, PromiseImpl) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);

      if ("throw" !== record.type) {
        var result = record.arg,
            value = result.value;
        return value && "object" == typeof value && hasOwn.call(value, "__await") ? PromiseImpl.resolve(value.__await).then(function (value) {
          invoke("next", value, resolve, reject);
        }, function (err) {
          invoke("throw", err, resolve, reject);
        }) : PromiseImpl.resolve(value).then(function (unwrapped) {
          result.value = unwrapped, resolve(result);
        }, function (error) {
          return invoke("throw", error, resolve, reject);
        });
      }

      reject(record.arg);
    }

    var previousPromise;

    this._invoke = function (method, arg) {
      function callInvokeWithMethodAndArg() {
        return new PromiseImpl(function (resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg();
    };
  }

  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];

    if (undefined === method) {
      if (context.delegate = null, "throw" === context.method) {
        if (delegate.iterator.return && (context.method = "return", context.arg = undefined, maybeInvokeDelegate(delegate, context), "throw" === context.method)) return ContinueSentinel;
        context.method = "throw", context.arg = new TypeError("The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);
    if ("throw" === record.type) return context.method = "throw", context.arg = record.arg, context.delegate = null, ContinueSentinel;
    var info = record.arg;
    return info ? info.done ? (context[delegate.resultName] = info.value, context.next = delegate.nextLoc, "return" !== context.method && (context.method = "next", context.arg = undefined), context.delegate = null, ContinueSentinel) : info : (context.method = "throw", context.arg = new TypeError("iterator result is not an object"), context.delegate = null, ContinueSentinel);
  }

  function pushTryEntry(locs) {
    var entry = {
      tryLoc: locs[0]
    };
    1 in locs && (entry.catchLoc = locs[1]), 2 in locs && (entry.finallyLoc = locs[2], entry.afterLoc = locs[3]), this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal", delete record.arg, entry.completion = record;
  }

  function Context(tryLocsList) {
    this.tryEntries = [{
      tryLoc: "root"
    }], tryLocsList.forEach(pushTryEntry, this), this.reset(!0);
  }

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) return iteratorMethod.call(iterable);
      if ("function" == typeof iterable.next) return iterable;

      if (!isNaN(iterable.length)) {
        var i = -1,
            next = function next() {
          for (; ++i < iterable.length;) if (hasOwn.call(iterable, i)) return next.value = iterable[i], next.done = !1, next;

          return next.value = undefined, next.done = !0, next;
        };

        return next.next = next;
      }
    }

    return {
      next: doneResult
    };
  }

  function doneResult() {
    return {
      value: undefined,
      done: !0
    };
  }

  return GeneratorFunction.prototype = GeneratorFunctionPrototype, define(Gp, "constructor", GeneratorFunctionPrototype), define(GeneratorFunctionPrototype, "constructor", GeneratorFunction), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, toStringTagSymbol, "GeneratorFunction"), exports.isGeneratorFunction = function (genFun) {
    var ctor = "function" == typeof genFun && genFun.constructor;
    return !!ctor && (ctor === GeneratorFunction || "GeneratorFunction" === (ctor.displayName || ctor.name));
  }, exports.mark = function (genFun) {
    return Object.setPrototypeOf ? Object.setPrototypeOf(genFun, GeneratorFunctionPrototype) : (genFun.__proto__ = GeneratorFunctionPrototype, define(genFun, toStringTagSymbol, "GeneratorFunction")), genFun.prototype = Object.create(Gp), genFun;
  }, exports.awrap = function (arg) {
    return {
      __await: arg
    };
  }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, asyncIteratorSymbol, function () {
    return this;
  }), exports.AsyncIterator = AsyncIterator, exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) {
    void 0 === PromiseImpl && (PromiseImpl = Promise);
    var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl);
    return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function (result) {
      return result.done ? result.value : iter.next();
    });
  }, defineIteratorMethods(Gp), define(Gp, toStringTagSymbol, "Generator"), define(Gp, iteratorSymbol, function () {
    return this;
  }), define(Gp, "toString", function () {
    return "[object Generator]";
  }), exports.keys = function (object) {
    var keys = [];

    for (var key in object) keys.push(key);

    return keys.reverse(), function next() {
      for (; keys.length;) {
        var key = keys.pop();
        if (key in object) return next.value = key, next.done = !1, next;
      }

      return next.done = !0, next;
    };
  }, exports.values = values, Context.prototype = {
    constructor: Context,
    reset: function (skipTempReset) {
      if (this.prev = 0, this.next = 0, this.sent = this._sent = undefined, this.done = !1, this.delegate = null, this.method = "next", this.arg = undefined, this.tryEntries.forEach(resetTryEntry), !skipTempReset) for (var name in this) "t" === name.charAt(0) && hasOwn.call(this, name) && !isNaN(+name.slice(1)) && (this[name] = undefined);
    },
    stop: function () {
      this.done = !0;
      var rootRecord = this.tryEntries[0].completion;
      if ("throw" === rootRecord.type) throw rootRecord.arg;
      return this.rval;
    },
    dispatchException: function (exception) {
      if (this.done) throw exception;
      var context = this;

      function handle(loc, caught) {
        return record.type = "throw", record.arg = exception, context.next = loc, caught && (context.method = "next", context.arg = undefined), !!caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i],
            record = entry.completion;
        if ("root" === entry.tryLoc) return handle("end");

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc"),
              hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0);
            if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc);
          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0);
          } else {
            if (!hasFinally) throw new Error("try statement without catch or finally");
            if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc);
          }
        }
      }
    },
    abrupt: function (type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];

        if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      finallyEntry && ("break" === type || "continue" === type) && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc && (finallyEntry = null);
      var record = finallyEntry ? finallyEntry.completion : {};
      return record.type = type, record.arg = arg, finallyEntry ? (this.method = "next", this.next = finallyEntry.finallyLoc, ContinueSentinel) : this.complete(record);
    },
    complete: function (record, afterLoc) {
      if ("throw" === record.type) throw record.arg;
      return "break" === record.type || "continue" === record.type ? this.next = record.arg : "return" === record.type ? (this.rval = this.arg = record.arg, this.method = "return", this.next = "end") : "normal" === record.type && afterLoc && (this.next = afterLoc), ContinueSentinel;
    },
    finish: function (finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) return this.complete(entry.completion, entry.afterLoc), resetTryEntry(entry), ContinueSentinel;
      }
    },
    catch: function (tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];

        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;

          if ("throw" === record.type) {
            var thrown = record.arg;
            resetTryEntry(entry);
          }

          return thrown;
        }
      }

      throw new Error("illegal catch attempt");
    },
    delegateYield: function (iterable, resultName, nextLoc) {
      return this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      }, "next" === this.method && (this.arg = undefined), ContinueSentinel;
    }
  }, exports;
}

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }

  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}

function _asyncToGenerator(fn) {
  return function () {
    var self = this,
        args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);

      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }

      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }

      _next(undefined);
    });
  };
}

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };
  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

var theme = {
  bluePrimary: '#3d43ff',
  grayPrimary: '#f2f4f6',
  whitePrimary: '#ffffff',
  blackPrimary: '#000c24',
  borderGreyPrimary: '#e5e5e5',
  lightGrayPrimary: '#b9c1ca',
  textContentPrimary: '#424a59',
  defaultSubtitle: '#47464e',
  opacityGrayDefault: '#93a0ad',
  dividerGray: '#edf0f2',
  hoverBlue: '#e6e9ff',
  lightBlue: '#eef7ff',
  greenPrimary: '#2ed47a',
  backgroundGreen: '#AEEFCC',
  whiteOpacity: 'rgba(255, 255, 255, 0.75)',
  shadowBlackDefault: '0px 2px 6px 6px rgba(42, 65, 232, 0.03)',
  shadowSimple: '0px 2px 3px 4px rgba(17, 68, 102, 0.01)',
  secondaryLightGray: '#f2f2f2',
  modalShadowDefault: '0px 6px 18px rgba(42, 65, 232, 0.15)',
  modalBackgroundDefault: 'rgba(255,255,255,0.7)',
  yellowPrimary: '#ffba30',
  yellowBackground: '#ffedcf',
  redPrimary: '#ff3d3d',
  backgroundRed: '#ffcfcf',
  darkBlue: '#133a88'
};

var _excluded = ["title"];
var TitleRoute = function TitleRoute(_ref) {
  var title = _ref.title,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  var styles = makeStyles({
    root: {
      textTransform: 'capitalize',
      fontSize: 15,
      fontFamily: 'Poppins',
      fontWeight: 400,
      color: theme.opacityGrayDefault,
      margin: 0
    }
  });
  var classes = styles();
  return React.createElement("p", Object.assign({
    className: classes.root
  }, props), title);
};

var _excluded$1 = ["active", "label", "enabled", "minWidth"];
var ButtonForm = function ButtonForm(_ref) {
  var active = _ref.active,
      label = _ref.label,
      enabled = _ref.enabled,
      minWidth = _ref.minWidth,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$1);

  var defaultProps = {
    minWidth: 135,
    padding: 10
  };
  var styles = makeStyles({
    /* Button primary */
    rootPrimary: {
      backgroundColor: function backgroundColor(props) {
        return !props.enabled ? theme.grayPrimary : theme.bluePrimary;
      },
      color: function color(props) {
        return !props.enabled ? theme.blackPrimary : theme.whitePrimary;
      },
      fontWeight: 400,
      fontSize: 16,
      minWidth: function minWidth(props) {
        return props.minWidth || defaultProps.minWidth;
      },
      padding: defaultProps.padding,
      border: "1px solid " + theme.borderGreyPrimary,
      '&:hover': {
        backgroundColor: theme.bluePrimary,
        color: theme.whitePrimary
      }
    },

    /* Button Secondary */
    rootSecondary: {
      backgroundColor: theme.whitePrimary,
      color: theme.blackPrimary,
      fontWeight: 400,
      minWidth: function minWidth(props) {
        return props.minWidth || defaultProps.minWidth;
      },
      fontSize: 16,
      padding: defaultProps.padding,
      border: "1px solid " + theme.borderGreyPrimary,
      '&:hover': {
        backgroundColor: theme.bluePrimary,
        color: theme.whitePrimary
      }
    }
  });
  var classes = styles({
    active: active,
    enabled: enabled,
    minWidth: minWidth
  });
  return React.createElement(Button, Object.assign({
    className: active ? classes.rootPrimary : classes.rootSecondary
  }, props), label);
};

var _excluded$2 = ["width", "height", "onClick", "iconWidth"];
var AddButton = function AddButton(_ref) {
  var width = _ref.width,
      height = _ref.height,
      onClick = _ref.onClick,
      iconWidth = _ref.iconWidth,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$2);

  var styles = makeStyles({
    root: {
      border: "1px  solid " + theme.borderGreyPrimary,
      width: function width(props) {
        return props.width || 356;
      },
      height: function height(props) {
        return props.height || 65;
      },
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      borderRadius: 4,
      '&:hover': {
        border: "1px solid " + theme.bluePrimary
      },
      '&>button': {
        width: function width(props) {
          return props.iconWidth || 35;
        },
        height: function height(props) {
          return props.iconWidth || 35;
        },
        '&>span>svg': {
          width: function width(props) {
            return props.iconWidth || 35;
          },
          height: function height(props) {
            return props.iconWidth || 35;
          },
          borderRadius: '50%',
          backgroundColor: theme.secondaryLightGray,
          color: theme.opacityGrayDefault,
          '&:hover': {
            cursor: 'pointer'
          }
        }
      }
    }
  });
  var classes = styles({
    width: width,
    height: height,
    iconWidth: iconWidth
  });
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement(IconButton, {
    onClick: onClick
  }, React.createElement(AddOutlinedIcon, null)));
};

var _excluded$3 = ["small", "medium", "big", "online", "status", "image", "name", "editable", "onClick", "editableWidth", "onClickAvatar"];
var AvatarModule = function AvatarModule(_ref) {
  var small = _ref.small,
      medium = _ref.medium,
      big = _ref.big,
      online = _ref.online,
      status = _ref.status,
      image = _ref.image,
      name = _ref.name,
      editable = _ref.editable,
      onClick = _ref.onClick,
      editableWidth = _ref.editableWidth,
      onClickAvatar = _ref.onClickAvatar,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$3);

  var styles = makeStyles({
    root: {
      width: 'max-content',
      position: 'relative',
      '&>div': {
        height: function height(props) {
          return props.width || 40;
        },
        width: function width(props) {
          return props.width || 40;
        },
        fontSize: function fontSize(props) {
          return props.fontSize || 14;
        },
        '&:hover': {
          border: function border(props) {
            return props.editable && "1px solid " + theme.bluePrimary;
          },
          cursor: function cursor(props) {
            return props.editable && 'pointer';
          }
        }
      },
      '&>.frontwall': {
        height: function height(props) {
          return props.width || 40;
        },
        width: function width(props) {
          return props.width || 40;
        },
        borderRadius: '50%',
        display: 'none',
        '&>svg': {
          border: "1px solid " + theme.defaultSubtitle,
          borderRadius: '50%',
          width: editableWidth || 20,
          height: editableWidth || 20,
          padding: 5,
          color: theme.defaultSubtitle,
          backgroundColor: theme.whitePrimary
        }
      },
      "&:hover": {
        '&>.frontwall': {
          display: function display(props) {
            return props.editable && 'flex';
          },
          justifyContent: function justifyContent(props) {
            return props.editable && 'center';
          },
          alignItems: function alignItems(props) {
            return props.editable && 'center';
          },
          position: function position(props) {
            return props.editable && 'absolute';
          },
          margin: function margin(props) {
            return props.editable && 0;
          },
          padding: function padding(props) {
            return props.editable && 0;
          },
          zIndex: function zIndex(props) {
            return props.editable && 98;
          },
          backgroundColor: function backgroundColor(props) {
            return props.editable && theme.whiteOpacity;
          },
          border: function border(props) {
            return props.editable && "1px solid " + theme.bluePrimary;
          },
          cursor: function cursor(props) {
            return props.editable && 'pointer';
          }
        }
      }
    },
    dot: {
      width: function width(props) {
        return props.dot;
      },
      height: function height(props) {
        return props.dot;
      },
      margin: 0,
      padding: 0,
      borderRadius: '50%',
      backgroundColor: online ? theme.greenPrimary : theme.borderGreyPrimary,
      border: "1px solid " + (online ? theme.greenPrimary : theme.opacityGrayDefault),
      marginInlineStart: 'auto',
      marginTop: function marginTop(props) {
        return props.marginTop;
      },
      position: 'relative',
      zIndex: 99
    }
  });

  var widthAndHeightAssigned = function widthAndHeightAssigned() {
    if (small) {
      return {
        width: 40,
        fontSize: 20,
        dot: 12,
        marginTop: -15
      };
    }

    if (medium) {
      return {
        width: 60,
        fontSize: 40,
        dot: 12,
        marginTop: -16
      };
    }

    if (big) {
      return {
        width: 120,
        fontSize: 70,
        dot: 30,
        marginTop: -35
      };
    } else return {
      width: 40,
      fontSize: 20,
      dot: 12,
      marginTop: -15
    };
  };

  var classes = styles({
    width: widthAndHeightAssigned().width,
    fontSize: widthAndHeightAssigned().fontSize,
    dot: widthAndHeightAssigned().dot,
    marginTop: widthAndHeightAssigned().marginTop,
    editable: editable || false
  });
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement("section", {
    className: 'frontwall'
  }, React.createElement(EditIcon, {
    onClick: onClick
  })), React.createElement(Avatar, {
    src: image,
    onClick: onClickAvatar
  }, name.slice(0, 1)), status && React.createElement("section", {
    className: classes.dot
  }));
};

var _excluded$4 = ["title", "subTitle", "position", "divider", "dividerColor", "cursor"];
var CardFooter = function CardFooter(_ref) {
  var title = _ref.title,
      subTitle = _ref.subTitle,
      position = _ref.position,
      divider = _ref.divider,
      dividerColor = _ref.dividerColor,
      cursor = _ref.cursor,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$4);

  console.log("testing ", cursor, divider);
  var styles = makeStyles({
    root: {
      padding: 10,
      textAlign: position,
      borderTop: divider && cursor ? "2px solid " + (dividerColor || theme.bluePrimary) : undefined,
      '&:hover': {
        borderTop: divider ? "2px solid " + theme.bluePrimary : undefined
      }
    },
    title: {
      margin: 2,
      fontFamily: 'Poppins',
      fontStyle: 'normal',
      fontWeight: 500,
      fontSize: 14,
      color: '#000C24',
      letterSpacing: '0.01em'
    },
    subTitle: {
      margin: 2,
      fontFamily: 'Poppins',
      fontStyle: 'normal',
      fontWeight: 500,
      fontSize: 14,
      color: '#93A0AD',
      letterSpacing: '0.01em'
    }
  });
  var classes = styles();
  return React.createElement("div", Object.assign({}, props, {
    className: classes.root
  }), React.createElement("p", {
    className: classes.title
  }, title), React.createElement("p", {
    className: classes.subTitle
  }, subTitle));
};

var _excluded$5 = ["image", "width", "height", "actions", "onClickDelete", "onClickEdit", "iconColor", "children", "iconFooter"];
var CardWithImg = function CardWithImg(_ref) {
  var image = _ref.image,
      width = _ref.width,
      height = _ref.height,
      actions = _ref.actions,
      onClickDelete = _ref.onClickDelete,
      onClickEdit = _ref.onClickEdit,
      iconColor = _ref.iconColor,
      children = _ref.children,
      iconFooter = _ref.iconFooter,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$5);

  var iconsMargin = width ? Number(width) - 115 : 115;
  var iconFooterMarginLeft = width ? Number(width) - 65 : 65;
  var iconFooterMarginTop = height ? Number(height) - 65 : 65;
  var defaultIconColor = theme.whitePrimary;

  var _useState = useState(false),
      showEditales = _useState[0],
      setShotEditables = _useState[1];

  var styles = makeStyles({
    background: {
      background: image ? (showEditales ? 'linear-gradient( #cececece,#cececece),' : '') + " url(" + image + ") no-repeat" : 'linear-gradient( #cececece,#cececece)',
      width: function width(props) {
        return props.width || 200;
      },
      height: function height(props) {
        return props.height || 200;
      },
      backgroundSize: function backgroundSize(props) {
        return (props.width || 200) + "px " + (props.height || 200) + "px";
      }
    },
    containerIcons: {
      position: 'absolute',
      marginTop: 10,
      zIndex: 90,
      '&>button': {
        border: "1px solid " + theme.borderGreyPrimary,
        width: 40,
        height: 40,
        margin: 5
      }
    },
    iconFooter: {
      position: 'absolute',
      marginTop: iconFooterMarginTop,
      marginLeft: iconFooterMarginLeft,
      zIndex: 90,
      opacity: showEditales ? 0.6 : undefined,
      '&>button': {
        border: "1px solid " + theme.borderGreyPrimary,
        width: 40,
        height: 40,
        margin: 5
      }
    }
  });
  var classes = styles({
    width: width,
    height: height
  });
  return React.createElement("div", Object.assign({
    onMouseEnter: function onMouseEnter() {
      return setShotEditables(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setShotEditables(false);
    }
  }, props, {
    className: classes.background
  }), showEditales && actions !== 'Blocked' && actions === 'Edit, Delete' && React.createElement("div", {
    className: classes.containerIcons,
    onMouseEnter: function onMouseEnter() {
      return setShotEditables(true);
    },
    style: {
      marginLeft: iconsMargin
    }
  }, React.createElement(IconButton$1, {
    style: {
      background: iconColor || defaultIconColor
    },
    onClick: onClickEdit
  }, React.createElement(EditIcon, null)), React.createElement(IconButton$1, {
    style: {
      background: iconColor || defaultIconColor
    },
    onClick: onClickDelete
  }, React.createElement(DeleteOutlineIcon, null))), showEditales && actions !== 'Blocked' && actions === 'Delete' && React.createElement("div", {
    className: classes.containerIcons,
    onMouseEnter: function onMouseEnter() {
      return setShotEditables(true);
    },
    style: {
      marginLeft: iconsMargin + 45
    }
  }, React.createElement(IconButton$1, {
    style: {
      background: iconColor || defaultIconColor
    },
    onClick: onClickDelete
  }, React.createElement(DeleteOutlineIcon, null))), showEditales && actions !== 'Blocked' && actions === 'Edit' && React.createElement("div", {
    className: classes.containerIcons,
    onMouseEnter: function onMouseEnter() {
      return setShotEditables(true);
    },
    style: {
      marginLeft: iconsMargin + 45
    }
  }, React.createElement(IconButton$1, {
    style: {
      background: iconColor || defaultIconColor
    },
    onClick: onClickDelete
  }, React.createElement(EditIcon, null))), children, iconFooter && React.createElement("div", {
    className: classes.iconFooter
  }, React.createElement(IconButton$1, {
    style: {
      background: iconColor || defaultIconColor
    }
  }, iconFooter)));
};

var returnTypeFile = function returnTypeFile(type) {
  switch (type) {
    case 'application/vnd.openxmlformats-officedocument.wordprocessingml.document':
      return 'docx';

    case 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet':
      return 'xlsx';

    case 'image/jpeg':
    case 'image/jpg':
    case 'image/bmp':
    case 'image/gif':
    case 'image/png':
    case 'image/svg+xml':
    case 'video/mp4':
    case 'audio/mpeg':
    case 'audio/wav':
    case 'audio/ogg':
    case 'application/pdf':
    case 'application/zip':
    case 'application/x-zip-compressed':
      return type.split('/')[1];

    default:
      return null;
  }
};

var _excluded$6 = ["src", "type", "width", "height", "actions", "children", "accept", "onChange", "onClickDelete", "onClickEdit", "footerCard"];
var UploadFileWithIcon = function UploadFileWithIcon(_ref) {
  var src = _ref.src,
      type = _ref.type,
      width = _ref.width,
      height = _ref.height,
      actions = _ref.actions,
      children = _ref.children,
      accept = _ref.accept,
      onChange = _ref.onChange,
      onClickDelete = _ref.onClickDelete,
      footerCard = _ref.footerCard,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$6);

  var inputFile = useRef();

  var _useState = useState(null),
      file = _useState[0],
      setFile = _useState[1];

  var _useState2 = useState({
    url: undefined
  }),
      previewFile = _useState2[0],
      setPreviewFile = _useState2[1];

  var handleChange = function handleChange() {
    if (inputFile) inputFile == null ? void 0 : inputFile.current.click();
  };

  var handleCleanFile = function handleCleanFile() {
    if (onClickDelete) onClickDelete();
    setPreviewFile({
      url: undefined
    });
    setFile(null);
  };

  var fileChange = function fileChange(e) {
    var _e$target;

    var _file = e == null ? void 0 : (_e$target = e.target) == null ? void 0 : _e$target.files;

    var fileReader = new FileReader();
    setFile(null);

    fileReader.onload = function (fileLoad) {
      var target = fileLoad.target;
      setPreviewFile({
        url: target == null ? void 0 : target.result
      });
      if (onChange) onChange(e);
      if (_file) setFile(_file[0]);
    };

    if (_file) fileReader.readAsDataURL(_file[0]);
  };

  if (type && src || file) {
    switch (returnTypeFile(type || (file == null ? void 0 : file.type))) {
      case 'jpg':
      case 'jpeg':
      case 'bmp':
      case 'gif':
      case 'png':
        return React.createElement(DefaultCard, {
          width: width,
          actions: actions,
          imageCard: {
            actions: 'Delete',
            image: src || (previewFile == null ? void 0 : previewFile.url),
            onClickDelete: handleCleanFile
          },
          footerCard: footerCard,
          height: height
        });

      default:
        return React.createElement(DefaultCard, {
          width: width,
          actions: 'delete',
          footerCard: footerCard,
          onClickDelete: handleCleanFile,
          height: height
        }, "No se reconoce el tipo de archivo");
    }
  }

  return React.createElement(DefaultCard, {
    actions: actions,
    width: width,
    height: height
  }, React.createElement("div", Object.assign({}, props, {
    style: _extends({
      cursor: 'pointer'
    }, props == null ? void 0 : props.style),
    onClick: handleChange
  }), children, React.createElement("input", {
    ref: inputFile,
    style: {
      display: 'none'
    },
    accept: accept,
    type: 'file',
    onChange: fileChange
  })));
};

var _excluded$7 = ["src", "type", "selected", "width", "height", "children", "imageCard", "footerCard", "onClick", "actions", "iconColorActions", "onClickDelete", "onClickEdit", "activeInputFile", "onChangeInputFile"];
var DefaultCard = function DefaultCard(_ref) {
  var src = _ref.src,
      type = _ref.type,
      selected = _ref.selected,
      width = _ref.width,
      height = _ref.height,
      children = _ref.children,
      imageCard = _ref.imageCard,
      footerCard = _ref.footerCard,
      onClick = _ref.onClick,
      actions = _ref.actions,
      iconColorActions = _ref.iconColorActions,
      onClickDelete = _ref.onClickDelete,
      onClickEdit = _ref.onClickEdit,
      activeInputFile = _ref.activeInputFile,
      onChangeInputFile = _ref.onChangeInputFile,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$7);

  var _useState = useState(false),
      showEditales = _useState[0],
      setShotEditables = _useState[1];

  var defaultWidth = 210;
  var styles = makeStyles({
    selected: {
      border: selected ? "2px solid " + theme.bluePrimary : "2px solid " + theme.grayPrimary,
      borderRadius: 5,
      backgroundColor: theme.whitePrimary,
      textAlign: 'left',
      cursor: selected ? 'pointer' : undefined,
      width: function width(props) {
        return props.width || defaultWidth;
      },
      height: function height(props) {
        return props.height;
      },
      '&:hover': {
        border: "2px solid " + theme.bluePrimary,
        cursor: 'pointer'
      },
      '&>h1': {
        textTransform: 'uppercase',
        fontFamily: 'Poppins',
        fontSize: 15,
        color: theme.blackPrimary,
        margin: 0,
        fontWeight: 500
      },
      '&>h4': {
        textTransform: 'capitalize',
        fontFamily: 'Poppins',
        fontSize: 14,
        color: theme.textContentPrimary,
        fontWeight: 400
      }
    },
    containerIcons: {
      position: 'absolute',
      marginTop: 10,
      zIndex: 90,
      '&>button': {
        border: "1px solid " + theme.borderGreyPrimary,
        width: 40,
        height: 40,
        margin: 5
      }
    },
    child: {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      textAlign: 'center',
      marginTop: 30,
      height: height && typeof height === 'number' ? height - 77 : 210 - 77
    }
  });
  var classes = styles({
    width: width,
    height: height
  });

  var renderActions = function renderActions() {
    var iconsMargin = width ? Number(width) - 115 : 115;
    var defaultIconColor = theme.whitePrimary;

    if (Array.isArray(actions) && actions.length > 0) {
      var editAction = actions.includes('edit');
      var deleteAction = actions.includes('delete');

      if (deleteAction && editAction) {
        return React.createElement(React.Fragment, null, showEditales && React.createElement("div", {
          className: classes.containerIcons,
          onMouseEnter: function onMouseEnter() {
            return setShotEditables(true);
          },
          style: {
            marginLeft: iconsMargin
          }
        }, React.createElement(IconButton$1, {
          style: {
            background: iconColorActions || defaultIconColor
          },
          onClick: onClickEdit
        }, React.createElement(EditIcon, null)), React.createElement(IconButton$1, {
          style: {
            background: iconColorActions || defaultIconColor
          },
          onClick: onClickDelete
        }, React.createElement(DeleteOutlineIcon, null))));
      }

      if (editAction) return React.createElement(React.Fragment, null, showEditales && React.createElement("div", {
        className: classes.containerIcons,
        onMouseEnter: function onMouseEnter() {
          return setShotEditables(true);
        },
        onMouseLeave: function onMouseLeave() {
          return setShotEditables(false);
        },
        style: {
          marginLeft: iconsMargin + 45
        }
      }, React.createElement(IconButton$1, {
        style: {
          background: iconColorActions || defaultIconColor
        },
        onClick: onClickEdit
      }, React.createElement(EditIcon, null))));
      if (deleteAction) return React.createElement(React.Fragment, null, showEditales && React.createElement("div", {
        className: classes.containerIcons,
        onMouseEnter: function onMouseEnter() {
          return setShotEditables(true);
        },
        onMouseLeave: function onMouseLeave() {
          return setShotEditables(false);
        },
        style: {
          marginLeft: iconsMargin + 45
        }
      }, React.createElement(IconButton$1, {
        style: {
          background: iconColorActions || defaultIconColor
        },
        onClick: onClickDelete
      }, React.createElement(DeleteOutlineIcon, null))));
    }

    if (actions === 'edit') return React.createElement(React.Fragment, null, showEditales && React.createElement("div", {
      className: classes.containerIcons,
      onMouseEnter: function onMouseEnter() {
        return setShotEditables(true);
      },
      onMouseLeave: function onMouseLeave() {
        return setShotEditables(false);
      },
      style: {
        marginLeft: iconsMargin + 45
      }
    }, React.createElement(IconButton$1, {
      style: {
        background: iconColorActions || defaultIconColor
      },
      onClick: onClickEdit
    }, React.createElement(EditIcon, null))));
    if (actions === 'delete') return React.createElement(React.Fragment, null, showEditales && React.createElement("div", {
      className: classes.containerIcons,
      onMouseEnter: function onMouseEnter() {
        return setShotEditables(true);
      },
      onMouseLeave: function onMouseLeave() {
        return setShotEditables(false);
      },
      style: {
        marginLeft: iconsMargin + 45
      }
    }, React.createElement(IconButton$1, {
      style: {
        background: iconColorActions || defaultIconColor
      },
      onClick: onClickDelete
    }, React.createElement(DeleteOutlineIcon, null))));
    return null;
  };

  return React.createElement(React.Fragment, null, activeInputFile ? React.createElement(UploadFileWithIcon, {
    src: src,
    type: type,
    footerCard: footerCard,
    width: width,
    height: height,
    actions: actions,
    onClickEdit: onClickEdit,
    onClickDelete: onClickDelete,
    onChange: onChangeInputFile
  }, React.createElement("div", {
    onMouseEnter: function onMouseEnter() {
      return setShotEditables(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setShotEditables(false);
    },
    className: classes.child
  }, children)) : React.createElement("div", Object.assign({
    onClick: onClick
  }, props, {
    className: classes.selected
  }), imageCard && React.createElement(CardWithImg, {
    width: (imageCard == null ? void 0 : imageCard.width) || width,
    height: (imageCard == null ? void 0 : imageCard.height) || height,
    actions: imageCard == null ? void 0 : imageCard.actions,
    onClickEdit: imageCard == null ? void 0 : imageCard.onClickEdit,
    onClickDelete: imageCard == null ? void 0 : imageCard.onClickDelete,
    image: imageCard == null ? void 0 : imageCard.image,
    iconFooter: imageCard == null ? void 0 : imageCard.iconFooter
  }, imageCard == null ? void 0 : imageCard.children), children && React.createElement(React.Fragment, null, renderActions(), React.createElement("div", {
    onMouseEnter: function onMouseEnter() {
      return setShotEditables(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setShotEditables(false);
    },
    className: classes.child
  }, children)), footerCard && React.createElement(CardFooter, {
    position: footerCard == null ? void 0 : footerCard.position,
    title: footerCard == null ? void 0 : footerCard.title,
    cursor: (footerCard == null ? void 0 : footerCard.cursor) || showEditales,
    divider: footerCard == null ? void 0 : footerCard.divider,
    dividerColor: footerCard == null ? void 0 : footerCard.dividerColor,
    subTitle: footerCard == null ? void 0 : footerCard.subTitle
  })));
};

var _excluded$8 = ["open", "setOpen", "width", "height", "content", "handleClose", "classContent"];
var DefaultModal = function DefaultModal(_ref) {
  var open = _ref.open,
      width = _ref.width,
      height = _ref.height,
      content = _ref.content,
      handleClose = _ref.handleClose,
      classContent = _ref.classContent,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$8);

  var styles = makeStyles({
    root: {
      '& > .MuiDialog-container .MuiPaper-root': {
        boxShadow: theme.modalShadowDefault,
        borderRadius: 4
      },
      '& > .MuiDialog-container': {
        backgroundColor: theme.modalBackgroundDefault
      }
    },
    containerModal: {
      width: function width(props) {
        return props.width || 500;
      },
      height: function height(props) {
        return props.height || 500;
      }
    }
  });
  var classes = styles({
    width: width,
    height: height
  });
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement(Dialog, {
    className: classes.root,
    open: open,
    "aria-labelledby": "responsive-dialog-title",
    onClose: function onClose() {
      return handleClose && handleClose();
    }
  }, React.createElement("div", {
    className: classContent || classes.containerModal
  }, content)));
};

var _excluded$9 = ["title", "image", "width", "position"];
var Error$1 = function Error(_ref) {
  var title = _ref.title,
      image = _ref.image,
      width = _ref.width,
      position = _ref.position,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$9);

  var styles = makeStyles$1({
    container: {
      display: 'flex',
      flexDirection: 'row',
      alignItems: 'flex-start',
      justifyContent: function justifyContent(props) {
        return props.position || undefined;
      },
      width: function width(props) {
        return props.width || 'calc(100%)';
      },
      paddingTop: 8
    },
    error: {
      fontFamily: 'Poppins',
      fontWeight: 400,
      fontSize: 12,
      color: theme.bluePrimary
    },
    icon: {
      width: 14,
      height: 14,
      marginRight: 9
    },
    defaultIcon: {
      width: 18,
      height: 18,
      marginRight: 9,
      marginTop: -3,
      color: theme.bluePrimary
    }
  });
  var classes = styles({
    width: width,
    position: position
  });
  return React.createElement("div", Object.assign({
    className: classes.container
  }, props), image ? React.createElement("img", {
    src: image,
    className: classes.icon
  }) : React.createElement(ErrorIcon, {
    className: classes.defaultIcon
  }), React.createElement("small", {
    className: classes.error
  }, title));
};

var CategoriesConstants = {
  CATEGORY: 'CATEGORY',
  SPECIALITY: 'SPECIALITY',
  ABILITY: 'ABILITY'
};

var _excluded$a = ["id", "handleChange", "value", "disabled", "MaterialIcon", "label", "name", "onMouseEnter", "onMouseLeave", "type", "listCategories", "listSpecialities", "listTags", "dataSection", "selectedCategory", "setSelectedCategory", "selectedSpeciality", "setSelectedSpeciality", "selectedAbility", "setSelectedAbility", "relationSpecialityCategory", "relationAbilitySpeciality", "maxTags", "error", "listLabels"];
var CategorySelectors = function CategorySelectors(_ref) {
  var id = _ref.id,
      handleChange = _ref.handleChange,
      value = _ref.value,
      disabled = _ref.disabled,
      MaterialIcon = _ref.MaterialIcon,
      label = _ref.label,
      name = _ref.name,
      onMouseEnter = _ref.onMouseEnter,
      onMouseLeave = _ref.onMouseLeave,
      type = _ref.type,
      listCategories = _ref.listCategories,
      listSpecialities = _ref.listSpecialities,
      listTags = _ref.listTags,
      dataSection = _ref.dataSection,
      selectedCategory = _ref.selectedCategory,
      setSelectedCategory = _ref.setSelectedCategory,
      selectedSpeciality = _ref.selectedSpeciality,
      setSelectedSpeciality = _ref.setSelectedSpeciality,
      selectedAbility = _ref.selectedAbility,
      setSelectedAbility = _ref.setSelectedAbility,
      relationSpecialityCategory = _ref.relationSpecialityCategory,
      relationAbilitySpeciality = _ref.relationAbilitySpeciality,
      maxTags = _ref.maxTags,
      error = _ref.error,
      listLabels = _ref.listLabels,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$a);

  var styles = makeStyles({
    backWall: {
      position: 'fixed',
      width: '100%',
      height: '100%',
      zIndex: 998,
      left: 0,
      top: 0,
      right: 0
    },
    root: {
      display: 'flex',
      flexDirection: 'column',
      alignSelf: 'center',
      width: '100%',
      borderRadius: 6,
      position: 'relative',
      zIndex: function zIndex(props) {
        return props.zIndex;
      },
      '& > .MuiPaper-elevation3': {
        boxShadow: 'none',
        backgroundColor: 'white'
      }
    },
    field: {
      borderBottom: function borderBottom(props) {
        return props.borderBottom;
      },
      width: '100%',
      outline: 'none',
      borderRadius: 4,
      '& > .MuiInputBase-root': {
        marginTop: '1px',
        fontWeight: 300,
        fontSize: 16,
        borderRadius: '4px',
        '& > .MuiInputBase-input': {
          paddingLeft: '20px',
          paddingRight: '20px',
          paddingTop: '24px',
          paddingBottom: '15px',
          color: theme.blackPrimary,
          padding: '0px',
          borderRadius: '4px',
          backgroundColor: "transparent !important",
          zIndex: 100,
          '&:focus': {
            border: 'none'
          }
        }
      },
      '& > .MuiInput-root': {
        backgroundColor: theme.whitePrimary
      },
      '& > .MuiInput-underline:before': {
        borderBottom: 'none',
        content: 'none'
      },
      '& > .MuiInput-underline:after': {
        backgroundColor: 'white',
        borderBottom: 'none'
      },
      '& > .MuiInput-underline:hover': {
        backgroundColor: theme.whitePrimary
      },
      '& > .MuiInputLabel-animated': {
        color: 'grey',
        zIndex: 99,
        marginTop: 0,
        paddingTop: 8,
        paddingLeft: 15,
        fontSize: 16,
        transition: 'color 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms,transform 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms'
      },
      '& > .MuiInputLabel-root:before': {
        color: theme.bluePrimary
      }
    },
    fieldSearch: {
      border: "1px solid " + theme.bluePrimary,
      width: '100%',
      outline: 'none',
      borderRadius: 4,
      postion: 'relative',
      '& > .MuiInputBase-root': {
        marginTop: 1,
        borderRadius: 4,
        '& > .MuiInputBase-input': {
          paddingLeft: 20,
          paddingRight: 20,
          paddingTop: 24,
          paddingBottom: 15,
          color: '#000c24',
          padding: 0,
          borderRadius: 4,
          backgroundColor: 'transparent',
          zIndex: function zIndex(props) {
            return props.zIndex;
          },
          '&:focus': {
            border: 'none'
          }
        }
      },
      '& > .MuiInput-root': {
        backgroundColor: theme.whitePrimary
      },
      '& > .MuiInput-underline:before': {
        borderBottom: 'none',
        content: 'none'
      },
      '& > .MuiInput-underline:after': {
        backgroundColor: theme.whitePrimary,
        borderBottom: 'none'
      },
      '& > .MuiInput-underline:hover': {
        backgroundColor: theme.whitePrimary
      },
      '& > .MuiInputLabel-animated': {
        color: 'grey',
        zIndex: 99,
        marginTop: 0,
        paddingTop: 8,
        paddingLeft: 15,
        fontSize: 16,
        transition: 'color 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms,transform 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms'
      },
      '& > .MuiInputLabel-root:before': {
        color: 'blue'
      }
    },
    arrow: {
      color: theme.defaultSubtitle,
      width: '35px !important',
      height: '35px !important',
      borderRadius: '50%',
      cursor: 'pointer',
      border: "1px solid " + theme.borderGreyPrimary
    },
    selector: {
      border: "1px solid " + theme.borderGreyPrimary,
      minHeight: 190,
      backgroundColor: theme.whitePrimary
    },
    inputSearch: {
      padding: 25
    },
    containerResults: {
      maxHeight: 150,
      height: 'min-content',
      overflowX: 'auto',
      marginTop: 15
    },
    results: {
      fontSize: 15,
      '&>p': {
        padding: '6px 6px 6px 4px',
        margin: 0,
        '&:hover': {
          backgroundColor: theme.hoverBlue,
          cursor: 'pointer'
        }
      }
    },
    noResults: {
      textAlign: 'center',
      marginTop: 15
    },
    errorMaxTags: {
      display: 'flex',
      justifyContent: 'center',
      '&>div': {
        width: 300,
        textAlign: 'center'
      }
    },
    containerTags: {
      border: "1px solid " + theme.borderGreyPrimary,
      marginTop: 10,
      padding: 15
    },
    subContainerTags: {
      display: 'flex',
      flexFlow: 'wrap'
    },
    tag: {
      backgroundColor: theme.grayPrimary,
      borderRadius: 4,
      margin: 10,
      width: 'max-content',
      padding: 8,
      display: 'flex'
    },
    tagTitle: {
      fontSize: 14
    },
    crossTag: {
      marginLeft: 20,
      '&:hover': {
        fontWeight: 700,
        cursor: 'pointer'
      }
    },
    tagsContainer: {
      display: 'flex',
      flexWrap: 'wrap',
      borderLeft: theme.borderGreyPrimary,
      borderRight: theme.borderGreyPrimary
    },
    searchIcon: {
      border: "1px solid " + theme.borderGreyPrimary,
      width: 30,
      height: 30,
      padding: 5,
      borderRadius: '50%'
    }
  });

  var _useState = useState(false),
      upArrow = _useState[0],
      setUpArrow = _useState[1];

  var _useState2 = useState([]),
      listDataCategories = _useState2[0],
      setListDataCategories = _useState2[1];

  var _useState3 = useState([]),
      listDataSpecialities = _useState3[0],
      setListDataSpecialities = _useState3[1];

  var _useState4 = useState([]),
      listDataTags = _useState4[0],
      setListDataTags = _useState4[1];

  var _useState5 = useState(false),
      alertMaxTag = _useState5[0],
      setAlertMaxTag = _useState5[1];

  var classes = styles({
    border: upArrow ? "1px solid " + theme.borderGreyPrimary : "1px solid " + theme.bluePrimary,
    borderBottom: upArrow ? "1px solid " + theme.bluePrimary : "1px solid " + theme.borderGreyPrimary,
    zIndex: upArrow ? 999 : 10
  });

  var handleChangeIcon = function handleChangeIcon() {
    setUpArrow(!upArrow);
  };

  useEffect(function () {
    listCategories && listCategories !== 'PENDING' && setListDataCategories(listCategories || []);
  }, [listCategories]);
  useEffect(function () {
    listSpecialities && listSpecialities !== 'PENDING' && relationSpecialityCategory && relationSpecialityCategory.reference !== '' && setListDataSpecialities(listSpecialities || []);
  }, [listSpecialities, relationSpecialityCategory]);
  useEffect(function () {
    if (listTags && listTags !== 'PENDING' && relationAbilitySpeciality && relationAbilitySpeciality.reference !== '') {
      setListDataTags(listTags);
    } else {
      setListDataTags([]);
      setAlertMaxTag(false);
      setUpArrow(false);
    }
  }, [listTags, relationAbilitySpeciality]);
  /* regulacion de cooerencia de valores segun relacionamiento de categorias
    Ej: si el usuario cambia de categoria ya teneiendo una especialidad seleccionada
    y la categoria no tiene relacion con la especialidad => los valores de la especialidad
    se deben eliminar ya que no existe relacion con la categoria.
    Lo mismo aplica para Habilidades en relacion con Especialidades.
  */

  useEffect(function () {
    if (relationSpecialityCategory && relationSpecialityCategory.reference && selectedSpeciality && selectedSpeciality.reference) {
      if ((selectedSpeciality == null ? void 0 : selectedSpeciality.reference) !== (relationSpecialityCategory == null ? void 0 : relationSpecialityCategory.reference)) {
        setSelectedSpeciality({
          title: '',
          id: '',
          reference: ''
        });
      }
    }
  }, [relationSpecialityCategory, selectedSpeciality]);
  useEffect(function () {
    if (dataSection === CategoriesConstants.ABILITY && relationAbilitySpeciality && relationAbilitySpeciality.reference === '') setSelectedAbility([]);
  }, [relationAbilitySpeciality]);
  useEffect(function () {
    if (dataSection === CategoriesConstants.ABILITY) {
      if (selectedAbility && selectedAbility.length < maxTags) {
        setAlertMaxTag(false);
      }
    }
  }, [selectedAbility]);
  /* limpieza de input Search segun event key y seccion del input */

  var handleOnPressKey = function handleOnPressKey(event, dataSection) {
    if (event === 'Backspace' || event === 'Delete') {
      switch (dataSection) {
        case CategoriesConstants.CATEGORY:
          setSelectedCategory && setSelectedCategory({
            title: '',
            id: '',
            reference: ''
          });
          break;

        case CategoriesConstants.SPECIALITY:
          setSelectedSpeciality && setSelectedSpeciality({
            title: '',
            id: '',
            reference: ''
          });
          break;
      }
    }
  };
  /* seleccion de valores */


  var handleClick = function handleClick(dataSection, data) {
    switch (dataSection) {
      case CategoriesConstants.CATEGORY:
        setSelectedCategory && setSelectedCategory({
          title: data.title,
          id: data.id,
          reference: data.id
        });
        setUpArrow(!upArrow);
        break;

      case CategoriesConstants.SPECIALITY:
        setSelectedSpeciality && setSelectedSpeciality({
          title: data.title,
          id: data.id,
          reference: data.abilityParentId
        });
        setUpArrow(!upArrow);
        break;

      case CategoriesConstants.ABILITY:
        if (selectedAbility && selectedAbility.length < maxTags) {
          setSelectedAbility && setSelectedAbility([].concat(selectedAbility.filter(function (tags) {
            return tags.id !== data.id;
          }), [{
            title: data.title,
            id: data.id,
            reference: data.specialityParentId
          }]));
          setAlertMaxTag(false);
        } else {
          setAlertMaxTag(true);
        }

        break;
    }
  };
  /* Retorno de valores seleccionados */


  var returnResults = function returnResults(listDataCategories, dataSection) {
    if (listDataCategories && listDataCategories.length > 0) {
      switch (dataSection) {
        case CategoriesConstants.CATEGORY:
          return listDataCategories && listDataCategories.map(function (data) {
            return React.createElement("div", {
              className: classes.results
            }, React.createElement("p", {
              onClick: function onClick() {
                return handleClick(dataSection, data);
              }
            }, data.title));
          });

        case CategoriesConstants.SPECIALITY:
          return listDataSpecialities && listDataSpecialities.map(function (data) {
            return React.createElement("div", {
              className: classes.results
            }, React.createElement("p", {
              onClick: function onClick() {
                return handleClick(dataSection, data);
              }
            }, data.title));
          });

        case CategoriesConstants.ABILITY:
          return !alertMaxTag ? listDataTags && listDataTags.map(function (data) {
            return React.createElement("div", {
              className: classes.results
            }, React.createElement("p", {
              onClick: function onClick() {
                return handleClick(dataSection, data);
              }
            }, data.title));
          }) : React.createElement("div", {
            className: classes.results,
            style: {
              overflow: 'hidden'
            }
          }, React.createElement("div", {
            className: classes.errorMaxTags
          }, React.createElement(Error$1, {
            title: listLabels.maxTag
          })));
      }
    }
  };
  /* Retorno de resultados filtrados */


  var handleFilterResults = function handleFilterResults(event, dataSection) {
    switch (dataSection) {
      case CategoriesConstants.CATEGORY:
        if (event && listCategories && listCategories.length > 0) {
          setListDataCategories(listCategories.filter(function (category) {
            return category.title.toLowerCase().includes(event.toLowerCase());
          }));
        } else {
          setListDataCategories(listCategories || []);
        }

        break;

      case CategoriesConstants.SPECIALITY:
        if (event.length > 0 && listSpecialities && listSpecialities.length > 0) {
          setListDataSpecialities(listSpecialities.filter(function (speciality) {
            return speciality.title.toLowerCase().includes(event.toLowerCase());
          }));
        } else {
          setListDataSpecialities(listSpecialities || []);
        }

        break;

      case CategoriesConstants.ABILITY:
        if (!alertMaxTag) {
          if (event && listTags && listTags.length > 0) {
            setListDataTags(listTags.filter(function (tag) {
              return tag.title.toLowerCase().includes(event.toLowerCase());
            }));
          } else {
            setListDataTags(listTags || []);
          }
        }

        break;
    }
  };
  /* Retorno de valores para inputs Search */


  var handleValues = function handleValues(dataSection) {
    switch (dataSection) {
      case CategoriesConstants.CATEGORY:
        return selectedCategory && selectedCategory.title !== '' ? selectedCategory.title : null;

      case CategoriesConstants.SPECIALITY:
        return selectedSpeciality && selectedSpeciality.title !== '' ? selectedSpeciality.title : null;

      case CategoriesConstants.ABILITY:
        break;

      default:
        return "";
    }
  };

  var removeTag = function removeTag(selectedAbility, tag) {
    if (selectedAbility && selectedAbility.length > 0 && tag) {
      setSelectedAbility && setSelectedAbility(selectedAbility.filter(function (tags) {
        return tags.id !== tag.id;
      }));
    }
  };

  var ListTagsSelected = function ListTagsSelected(selectedAbility) {
    if (selectedAbility && selectedAbility.length > 0) {
      return React.createElement("div", {
        style: {
          borderBottom: upArrow ? "1px solid " + theme.bluePrimary : "1px solid " + theme.borderGreyPrimary
        },
        className: classes.tagsContainer
      }, selectedAbility.map(function (tag) {
        return React.createElement("div", {
          className: classes.tag
        }, React.createElement("p", {
          className: classes.tagTitle
        }, tag.title), React.createElement("p", {
          className: classes.crossTag,
          onClick: function onClick() {
            return removeTag(selectedAbility, tag);
          }
        }, "x"));
      }));
    }
  };

  return React.createElement(React.Fragment, null, upArrow && React.createElement("div", {
    className: classes.backWall,
    onClick: function onClick() {
      return handleChangeIcon();
    }
  }), React.createElement("div", Object.assign({
    className: classes.root,
    style: {
      border: upArrow ? "1px solid " + theme.bluePrimary : "1px solid " + theme.borderGreyPrimary
    },
    onClick: function onClick() {
      return handleChangeIcon();
    }
  }, props), dataSection !== CategoriesConstants.ABILITY && React.createElement(TextField$1, {
    className: classes.field,
    id: id,
    type: type,
    value: value,
    onChange: handleChange,
    label: label,
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave,
    fullWidth: true,
    autoComplete: "off",
    disabled: true,
    name: name || null,
    InputProps: {
      endAdornment: React.createElement(InputAdornment, {
        position: "start"
      }, React.createElement("div", {
        style: {
          paddingRight: '12px'
        },
        onClick: function onClick() {
          return handleChangeIcon();
        }
      }, MaterialIcon || !upArrow ? React.createElement(IconButton, {
        style: {
          width: 30,
          height: 30
        }
      }, React.createElement(KeyboardArrowDownIcon, {
        className: classes.arrow
      })) : React.createElement(IconButton, {
        style: {
          width: 30,
          height: 30
        }
      }, React.createElement(KeyboardArrowUpIcon, {
        className: classes.arrow,
        style: {
          border: "1px solid " + theme.bluePrimary
        }
      }))))
    }
  }), dataSection === CategoriesConstants.ABILITY && React.createElement(TextField$1, {
    className: classes.field,
    id: id,
    type: type,
    value: value,
    onChange: handleChange,
    label: label,
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave,
    fullWidth: true,
    autoComplete: "off",
    disabled: true,
    style: {
      borderBottom: dataSection === CategoriesConstants.ABILITY && selectedAbility && selectedAbility.length > 0 ? "1px solid " + theme.whitePrimary : upArrow ? "1px solid " + theme.bluePrimary : "1px solid " + theme.borderGreyPrimary,
      borderBottomLeftRadius: dataSection === CategoriesConstants.ABILITY && selectedAbility && selectedAbility.length > 0 ? 0 : 2,
      borderBottomRightRadius: dataSection === CategoriesConstants.ABILITY && selectedAbility && selectedAbility.length > 0 ? 0 : 2
    },
    name: name || null,
    InputProps: {
      endAdornment: React.createElement(InputAdornment, {
        position: "start"
      }, React.createElement("div", {
        style: {
          paddingRight: '12px'
        },
        onClick: function onClick() {
          return handleChangeIcon();
        }
      }, MaterialIcon || !upArrow ? React.createElement(IconButton, {
        style: {
          width: 20,
          height: 20
        }
      }, React.createElement(KeyboardArrowDownIcon, {
        className: classes.arrow
      })) : React.createElement(IconButton, {
        style: {
          width: 20,
          height: 20
        }
      }, React.createElement(KeyboardArrowUpIcon, {
        className: classes.arrow,
        style: {
          border: "1px solid " + theme.bluePrimary
        }
      }))))
    }
  }), dataSection === CategoriesConstants.ABILITY && selectedAbility && selectedAbility.length > 0 && React.createElement(React.Fragment, null, ListTagsSelected(selectedAbility)), upArrow && React.createElement("div", null, React.createElement("div", {
    className: classes.inputSearch
  }, React.createElement(TextField$1, {
    className: classes.fieldSearch,
    id: id,
    type: type,
    value: dataSection !== CategoriesConstants.ABILITY ? handleValues(dataSection) : null,
    onChange: function onChange(event) {
      return handleFilterResults(event.target.value, dataSection);
    },
    onKeyDown: function onKeyDown(event) {
      return dataSection !== CategoriesConstants.ABILITY && handleOnPressKey(event.key, dataSection);
    },
    label: listLabels.search,
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave,
    fullWidth: true,
    autoComplete: "off",
    disabled: disabled,
    autoFocus: true,
    name: name || null,
    InputProps: {
      endAdornment: React.createElement(InputAdornment, {
        position: "start"
      }, React.createElement("div", {
        style: {
          paddingRight: '12px'
        }
      }, React.createElement(IconButton, {
        style: {
          width: 30,
          height: 30
        }
      }, React.createElement(SearchIcon, {
        className: classes.searchIcon
      }))))
    }
  }), dataSection === CategoriesConstants.CATEGORY && upArrow && listDataCategories && listDataCategories.length > 0 && React.createElement("div", {
    className: classes.containerResults
  }, returnResults(listDataCategories, dataSection)), dataSection === CategoriesConstants.CATEGORY && (!listDataCategories || listDataCategories.length === 0) && React.createElement("p", {
    className: classes.noResults
  }, listLabels.noResults), dataSection === CategoriesConstants.SPECIALITY && upArrow && listDataSpecialities && listDataSpecialities.length > 0 && React.createElement("div", {
    className: classes.containerResults
  }, returnResults(listDataSpecialities, dataSection)), dataSection === CategoriesConstants.SPECIALITY && (!listDataSpecialities || listDataSpecialities.length === 0) && (relationSpecialityCategory && relationSpecialityCategory.reference !== '' ? React.createElement("p", {
    className: classes.noResults
  }, listLabels.noResults) : React.createElement("p", {
    className: classes.noResults
  }, listLabels.noCategory)), dataSection === CategoriesConstants.ABILITY && upArrow && listDataTags && listDataTags.length > 0 && React.createElement("div", {
    className: classes.containerResults
  }, returnResults(listDataTags, dataSection)), dataSection === CategoriesConstants.ABILITY && (!listDataTags || listDataTags.length === 0) && (relationAbilitySpeciality && relationAbilitySpeciality.reference !== '' ? React.createElement("p", {
    className: classes.noResults
  }, listLabels.noResults) : React.createElement("p", {
    className: classes.noResults
  }, listLabels.noSpeciality))))), error && dataSection === CategoriesConstants.CATEGORY && React.createElement(Error$1, {
    title: listLabels.errorCategory
  }), error && dataSection === CategoriesConstants.SPECIALITY && React.createElement(Error$1, {
    title: listLabels.errorSpeciality
  }), error && dataSection === CategoriesConstants.ABILITY && React.createElement(Error$1, {
    title: listLabels.errorTag
  }));
};

var _excluded$b = ["title", "sections", "routeActive", "onClickContract", "onClickWorkspace", "onClickDispute", "labelContract", "labelWorkspace", "labelDispute", "active"];
var ListContract = function ListContract(_ref) {
  var title = _ref.title,
      sections = _ref.sections,
      routeActive = _ref.routeActive,
      onClickContract = _ref.onClickContract,
      onClickWorkspace = _ref.onClickWorkspace,
      onClickDispute = _ref.onClickDispute,
      labelContract = _ref.labelContract,
      labelWorkspace = _ref.labelWorkspace,
      labelDispute = _ref.labelDispute,
      active = _ref.active,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$b);

  var styles = makeStyles({
    root: {},
    container: {},
    sectionOne: {
      display: 'flex',
      padding: 0,
      margin: 0,
      alignItems: 'center'
    },
    dotActive: {
      width: 10,
      height: 10,
      borderRadius: '50%',
      backgroundColor: theme.greenPrimary,
      border: "2.5px solid " + theme.greenPrimary,
      padding: 0,
      margin: '0px 16px 0px 0px'
    },
    dotInactive: {
      width: 10,
      height: 10,
      borderRadius: '50%',
      backgroundColor: theme.whitePrimary,
      border: "2.5px solid " + theme.opacityGrayDefault,
      padding: 0,
      margin: '0px 16px 0px 0px'
    },
    titleActive: {
      textTransform: 'uppercase',
      fontWeight: 400,
      fontSize: 16,
      margin: 0,
      color: theme.blackPrimary,
      '&:hover': {
        cursor: 'pointer',
        color: theme.bluePrimary
      }
    },
    titleInactive: {
      textTransform: 'uppercase',
      fontWeight: 400,
      color: theme.opacityGrayDefault,
      fontSize: 16,
      margin: 0,
      '&:hover': {
        cursor: 'pointer',
        color: theme.bluePrimary
      }
    },
    sectionTwo: {
      padding: '10px 0px 0px 30px',
      width: 'max-content'
    },
    itemActive: {
      padding: '0px 0px 10px 0px',
      margin: 0,
      fontSize: 15,
      color: theme.blackPrimary,
      '&:hover': {
        color: theme.bluePrimary,
        cursor: 'pointer'
      }
    },
    itemInactive: {
      padding: '0px 0px 10px 0px',
      margin: 0,
      fontSize: 15,
      color: theme.opacityGrayDefault,
      '&:hover': {
        color: theme.bluePrimary,
        cursor: 'pointer'
      }
    }
  });
  var classes = styles();

  var _useState = useState(active),
      open = _useState[0],
      setOpen = _useState[1];

  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement("div", {
    className: classes.container
  }, React.createElement("div", {
    className: classes.sectionOne
  }, React.createElement("div", {
    className: open ? classes.dotActive : classes.dotInactive
  }), React.createElement("p", {
    className: open ? classes.titleActive : classes.titleInactive,
    onClick: function onClick() {
      return setOpen(!open);
    }
  }, title)), open && React.createElement("div", {
    className: classes.sectionTwo
  }, (sections == null ? void 0 : sections.contract) && React.createElement("p", {
    className: routeActive === 'Contract' ? classes.itemActive : classes.itemInactive,
    onClick: onClickContract
  }, labelContract), (sections == null ? void 0 : sections.workspace) && React.createElement("p", {
    className: routeActive === 'Workspace' ? classes.itemActive : classes.itemInactive,
    onClick: onClickWorkspace
  }, labelWorkspace), (sections == null ? void 0 : sections.dispute) && React.createElement("p", {
    className: routeActive === 'Dispute' ? classes.itemActive : classes.itemInactive,
    onClick: onClickDispute
  }, labelDispute))));
};

var _excluded$c = ["primaryText", "secondaryText", "small", "image"];
var Logo = function Logo(_ref) {
  var primaryText = _ref.primaryText,
      secondaryText = _ref.secondaryText,
      small = _ref.small,
      image = _ref.image,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$c);

  var styles = makeStyles({
    large: {
      display: 'flex',
      '&>div': {
        '&>h1': {
          fontFamily: 'Poppins',
          color: theme.blackPrimary,
          margin: '0px 0px 0px 15px',
          padding: 0,
          fontSize: 20,
          fontWeight: 500
        },
        '&>h4': {
          fontFamily: 'Poppins',
          color: theme.lightGrayPrimary,
          margin: '0px 0px 0px 15px',
          padding: 0,
          fontSize: 18,
          fontWeight: 400
        }
      }
    },
    small: {
      fontFamily: 'Poppins',
      color: theme.blackPrimary
    }
  });
  var classes = styles();
  return React.createElement("div", Object.assign({
    className: small ? classes.small : classes.large
  }, props), React.createElement("img", {
    src: image,
    style: {
      width: 40,
      height: 40
    }
  }), React.createElement("div", null, React.createElement("h1", null, primaryText), React.createElement("h4", null, secondaryText)));
};

var _excluded$d = ["labelOnline", "labelOffline", "list", "online", "onClickOnline", "onClickOffline"];
var MenuProfile = function MenuProfile(_ref) {
  var labelOnline = _ref.labelOnline,
      labelOffline = _ref.labelOffline,
      list = _ref.list,
      online = _ref.online,
      onClickOnline = _ref.onClickOnline,
      onClickOffline = _ref.onClickOffline,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$d);

  var styles = makeStyles({
    root: {
      width: 323,
      minHeight: 328,
      maxHeight: 'max-content',
      boxShadow: theme.shadowBlackDefault,
      backgroundColor: theme.whitePrimary
    },
    switchContainer: {
      borderBottom: "2px solid " + theme.grayPrimary,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      margin: '0px 0px 0px 0px',
      height: 110,
      padding: 0,
      '&>div': {
        width: 110,
        height: 45,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        fontSize: 14,
        fontFamily: 'Poppins',
        textTransform: 'capitalize',
        '&:hover': {
          cursor: 'pointer'
        }
      },
      '&>:nth-child(1)': {
        borderRadius: '5px 0px 0px 5px'
      },
      '&>:nth-child(2)': {
        borderRadius: '0px 5px 5px 0px'
      }
    },
    switchOnline: {
      backgroundColor: theme.greenPrimary,
      color: theme.whitePrimary
    },
    switchOffline: {
      backgroundColor: theme.grayPrimary,
      color: theme.blackPrimary
    },
    containerItems: {
      padding: 40
    },
    itemContainer: {
      color: theme.opacityGrayDefault,
      textTransform: 'capitalize',
      padding: 0,
      marign: 0,
      display: 'flex',
      alignItems: 'center',
      '&>p': {
        '&>svg': {
          marginRight: 10,
          padding: 0,
          marginTop: -3
        },
        padding: 0,
        marign: 0
      },
      '&:hover': {
        color: theme.blackPrimary,
        cursor: 'pointer'
      }
    }
  });
  var classes = styles();
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement("section", {
    className: classes.switchContainer
  }, React.createElement("div", {
    className: online ? classes.switchOnline : classes.switchOffline,
    onClick: onClickOnline
  }, React.createElement("p", null, labelOnline)), React.createElement("div", {
    className: !online ? classes.switchOnline : classes.switchOffline,
    onClick: onClickOffline
  }, React.createElement("p", null, labelOffline))), React.createElement("div", {
    className: classes.containerItems
  }, list && list.length > 0 && list.map(function (v, index) {
    return React.createElement("div", {
      className: classes.itemContainer,
      key: index
    }, React.createElement("p", {
      onClick: v.onClick
    }, v.icon, v.label));
  })));
};

var _excluded$e = ["sections", "routeLocation", "submenu", "backArrow", "onClickBack"];
var PrincipalMenu = function PrincipalMenu(_ref) {
  var sections = _ref.sections,
      routeLocation = _ref.routeLocation,
      submenu = _ref.submenu,
      backArrow = _ref.backArrow,
      onClickBack = _ref.onClickBack,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$e);

  var styles = makeStyles({
    root: {
      borderRight: "2px solid " + theme.grayPrimary,
      height: '100vh',
      width: 257,
      backgroundColor: theme.whitePrimary
    },
    containerItem: {
      color: theme.opacityGrayDefault,
      textTransform: 'uppercase',
      fontSize: 16,
      fontWeight: 400,
      margin: '20px 0px 0px 40px',
      '&>span': {
        '&>svg': {
          marginRight: 15
        }
      },
      '&:hover': {
        color: theme.bluePrimary,
        cursor: 'pointer'
      }
    },
    containerItemSelected: {
      color: theme.blackPrimary,
      textTransform: 'uppercase',
      fontSize: 16,
      fontWeight: 400,
      margin: '20px 0px 0px 40px',
      '&>span': {
        '&>svg': {
          marginRight: 15
        }
      },
      '&:hover': {
        color: theme.bluePrimary,
        cursor: 'pointer'
      }
    },
    arrow: {
      marginLeft: 10
    },
    item: {
      color: theme.opacityGrayDefault,
      fontSize: 16,
      textTransform: 'capitalize',
      width: 'max-content',
      marginInlineStart: 'auto',
      marginRight: 40
    },
    textItem: {
      '&:hover': {
        color: theme.bluePrimary,
        cursor: 'pointer'
      }
    },
    textItemSelected: {
      color: theme.blackPrimary,
      '&:hover': {
        color: theme.bluePrimary,
        cursor: 'pointer'
      }
    },
    containerSubmenu: {
      marginTop: 70,
      borderTop: "2px solid " + theme.grayPrimary,
      margin: 'auto',
      width: '100%',
      '&>div': {
        marginTop: 70,
        padding: '0px 0px 0px 40px'
      }
    },
    backArrow: {
      textTransform: 'uppercase',
      color: theme.opacityGrayDefault,
      fontSize: 14,
      display: 'flex',
      alignItems: 'center',
      marginLeft: 40,
      '&>svg': {
        marginRight: 10
      },
      '&:hover': {
        color: theme.bluePrimary,
        cursor: 'pointer'
      }
    }
  });
  var classes = styles();

  var _useState = useState({
    title: '',
    index: 0,
    opened: false
  }),
      open = _useState[0],
      setOpen = _useState[1];

  var openSection = function openSection(title, index, onClick) {
    console.log({
      title: title,
      index: index
    });
    setOpen({
      title: title,
      index: index,
      opened: !open.opened
    });
    onClick && onClick();
  };

  return sections && React.createElement("div", Object.assign({
    className: classes.root
  }, props), backArrow && React.createElement("p", {
    className: classes.backArrow,
    onClick: onClickBack
  }, React.createElement(KeyboardBackspaceIcon, null), "Dashboard"), sections.map(function (v, index) {
    return React.createElement(React.Fragment, null, React.createElement("p", {
      className: routeLocation === v.referenceBold ? classes.containerItemSelected : classes.containerItem,
      onClick: function onClick() {
        return openSection(v.title, index, v.onClick);
      },
      key: index
    }, React.createElement("span", null, React.createElement(v.icon, null)), v.title, v.items && v.items.length > 0 && React.createElement("span", {
      className: classes.arrow
    }, open && open.opened && open.title === v.title ? React.createElement(KeyboardArrowUpIcon, null) : React.createElement(KeyboardArrowDownIcon, null))), open && open.opened && open.title === v.title && React.createElement("div", {
      className: classes.item
    }, v.items && v.items.length > 0 && v.items.map(function (item, index) {
      return React.createElement("p", {
        key: index,
        onClick: item == null ? void 0 : item.onClickItem,
        className: routeLocation === (item == null ? void 0 : item.referenceBold) ? classes.textItemSelected : classes.textItem
      }, item == null ? void 0 : item.title);
    })));
  }), submenu && React.createElement("div", {
    className: classes.containerSubmenu
  }, submenu));
};

var _excluded$f = ["width", "height", "title", "description", "active"];
var SelectableCard = function SelectableCard(_ref) {
  var width = _ref.width,
      height = _ref.height,
      title = _ref.title,
      description = _ref.description,
      active = _ref.active,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$f);

  var defaultWidth = 210;
  var styles = makeStyles({
    selected: {
      border: "2px solid " + theme.bluePrimary,
      borderRadius: 5,
      padding: 37,
      backgroundColor: theme.whitePrimary,
      textAlign: 'left',
      width: function width(props) {
        return props.width || defaultWidth;
      },
      '&:hover': {
        border: "2px solid " + theme.bluePrimary,
        cursor: 'pointer'
      },
      '&>h1': {
        textTransform: 'uppercase',
        fontFamily: 'Poppins',
        fontSize: 15,
        color: theme.blackPrimary,
        margin: 0,
        fontWeight: 500
      },
      '&>h4': {
        textTransform: 'capitalize',
        fontFamily: 'Poppins',
        fontSize: 14,
        color: theme.textContentPrimary,
        fontWeight: 400
      }
    },
    notSelected: {
      border: "2px solid " + theme.grayPrimary,
      borderRadius: 5,
      padding: 37,
      backgroundColor: theme.whitePrimary,
      textAlign: 'left',
      width: function width(props) {
        return props.width || defaultWidth;
      },
      '&:hover': {
        border: "2px solid " + theme.bluePrimary,
        cursor: 'pointer'
      },
      '&>h1': {
        textTransform: 'uppercase',
        fontFamily: 'Poppins',
        fontSize: 15,
        color: theme.blackPrimary,
        margin: 0,
        fontWeight: 500
      },
      '&>h4': {
        textTransform: 'capitalize',
        fontFamily: 'Poppins',
        fontSize: 14,
        color: theme.textContentPrimary,
        fontWeight: 400
      }
    }
  });
  var classes = styles({
    width: width,
    height: height
  });
  return React.createElement("div", Object.assign({}, props, {
    className: active ? classes.selected : classes.notSelected
  }), React.createElement("h1", null, title), React.createElement("h4", null, description));
};

var _excluded$g = ["id", "onMouseEnter", "onMouseLeave", "onKeyDown", "onClick", "onChange", "listData", "value", "setValue", "hideSearch", "label", "name", "type", "section", "disabled", "selectOption", "width", "setTitle"];
var Selector = function Selector(_ref) {
  var id = _ref.id,
      onMouseEnter = _ref.onMouseEnter,
      onMouseLeave = _ref.onMouseLeave,
      onKeyDown = _ref.onKeyDown,
      onChange = _ref.onChange,
      listData = _ref.listData,
      value = _ref.value,
      setValue = _ref.setValue,
      _ref$hideSearch = _ref.hideSearch,
      hideSearch = _ref$hideSearch === void 0 ? false : _ref$hideSearch,
      label = _ref.label,
      name = _ref.name,
      type = _ref.type,
      section = _ref.section,
      disabled = _ref.disabled,
      selectOption = _ref.selectOption,
      width = _ref.width,
      setTitle = _ref.setTitle,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$g);

  var _useState = useState(false),
      upArrow = _useState[0],
      setUpArrow = _useState[1];

  var _useState2 = useState([]),
      listDataToFilter = _useState2[0],
      setListDataToFilter = _useState2[1];

  useEffect(function () {
    setUpArrow(false);
    setListDataToFilter(listData);
  }, [listData]);
  var classes = styles({
    border: upArrow ? 'none' : "1px solid " + theme.borderGreyPrimary,
    borderBottom: upArrow ? "1px solid " + theme.bluePrimary : "1px solid " + theme.borderGreyPrimary
  });

  var handleChangeIcon = function handleChangeIcon() {
    setUpArrow(!upArrow);
  };
  /* Retorno de resultados filtrados */


  var handleFilterResults = function handleFilterResults(event, section) {
    switch (section) {
      case 'COUNTRY':
        if (listDataToFilter) {
          return setListDataToFilter(listData.filter(function (data) {
            return data.country.toLowerCase().includes(event.toLowerCase());
          }));
        }

        break;

      case 'LANGUAGE':
      case 'DEFAULT':
        if (listDataToFilter) {
          return setListDataToFilter(listData.filter(function (data) {
            return data.toLowerCase().includes(event.toLowerCase());
          }));
        }

        break;

      case 'CHECKOUT':
        if (listDataToFilter) {
          return setListDataToFilter(listData.filter(function (data) {
            return data.name_es.toLowerCase().includes(event.toLowerCase());
          }));
        }

        break;

      case 'COUNTRY_CODE':
        if (listDataToFilter) {
          return setListDataToFilter(listData.filter(function (data) {
            return data.name_es.toLowerCase().includes(event.toLowerCase());
          }));
        }

        break;
    }
  };
  /* seleccion de valores */


  var handleClick = function handleClick(section, data) {
    switch (section) {
      case 'COUNTRY':
        data && typeof selectOption === 'function' && selectOption(data);
        setUpArrow(!upArrow);
        break;

      case 'LANGUAGE':
      case 'DEFAULT':
        setValue(data);
        setUpArrow(!upArrow);
        break;

      case 'CHECKOUT':
        setValue(data.name_es + ", " + data.code);
        setUpArrow(!upArrow);
        break;

      case 'COUNTRY_CODE':
        setValue(data.name_es + ", " + data.code);
        setUpArrow(!upArrow);
        break;

      case 'PROPOSAL_MODAL':
        console.log('data project:', data);
        setValue(data.id);
        setTitle(data.title);
        break;

      default:
        setUpArrow(!upArrow);
    }
  };
  /* Retorno de valores para inputs Search */


  var handleValues = function handleValues(value) {
    if (value && value !== '') return value;
  };
  /* Retorno de valores seleccionados */


  var returnResults = function returnResults(listDataToFilter, section) {
    if (listDataToFilter && listDataToFilter.length > 0) {
      switch (section) {
        case 'COUNTRY':
          return listDataToFilter && listDataToFilter.map(function (data) {
            return React.createElement("div", {
              className: classes.results
            }, React.createElement("p", {
              onClick: function onClick() {
                return handleClick(section, data);
              }
            }, data.country));
          });

        case 'LANGUAGE':
          return listDataToFilter && listDataToFilter.map(function (data) {
            return React.createElement("div", {
              className: classes.results
            }, React.createElement("p", {
              onClick: function onClick() {
                return handleClick(section, data);
              }
            }, data));
          });

        case 'DEFAULT':
          return listDataToFilter && listDataToFilter.map(function (data) {
            return React.createElement("div", {
              className: classes.results
            }, React.createElement("p", {
              onClick: function onClick() {
                return handleClick(section, data);
              }
            }, data));
          });

        case 'COUNTRY_CODE':
          return listDataToFilter && listDataToFilter.map(function (data) {
            return React.createElement("div", {
              className: classes.results
            }, React.createElement("p", {
              onClick: function onClick() {
                return handleClick(section, data);
              }
            }, data.name_es));
          });

        case 'PROPOSAL_MODAL':
          return listDataToFilter && listDataToFilter.map(function (data) {
            return React.createElement("div", {
              className: classes.results
            }, React.createElement("p", {
              onClick: function onClick() {
                return handleClick(section, data);
              }
            }, data.title));
          });

        case 'CHECKOUT':
          return listDataToFilter && listDataToFilter.map(function (data) {
            return React.createElement("div", {
              className: classes.results
            }, React.createElement("p", {
              onClick: function onClick() {
                return handleClick(section, data);
              }
            }, data.name_es + ", " + data.code));
          });
      }
    } else {
      return React.createElement("p", {
        className: classes.noResults
      }, "No hay resultados");
    }
  };

  return React.createElement("div", Object.assign({}, props, {
    style: {
      position: upArrow ? 'absolute' : 'relative',
      zIndex: upArrow ? 9999 : 100
    }
  }), upArrow && React.createElement("div", {
    className: classes.backWall,
    onClick: function onClick() {
      return setUpArrow(false);
    }
  }), React.createElement("div", {
    className: classes.root,
    style: {
      border: upArrow ? "2px solid " + theme.bluePrimary : '',
      width: width || '',
      zIndex: upArrow ? 9999 : 100
    }
  }, React.createElement(TextField$1, {
    className: classes.field,
    id: id,
    type: type,
    value: value || '',
    onChange: onChange,
    label: label,
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave,
    fullWidth: true,
    autoComplete: "off",
    disabled: true,
    name: name ? name : undefined,
    InputProps: {
      endAdornment: React.createElement(InputAdornment, {
        position: "start"
      }, React.createElement("div", {
        style: {
          paddingRight: '12px'
        },
        onClick: function onClick() {
          return handleChangeIcon();
        }
      }, !upArrow ? React.createElement(IconButton, {
        style: {
          width: 36,
          height: 36
        }
      }, React.createElement(KeyboardArrowDownIcon, {
        className: classes.arrow,
        style: {
          border: "2px solid " + theme.borderGreyPrimary
        }
      })) : React.createElement(IconButton, {
        style: {
          width: 36,
          height: 36
        }
      }, React.createElement(KeyboardArrowUpIcon, {
        className: classes.arrow,
        style: {
          border: "1px solid " + theme.bluePrimary
        }
      }))))
    }
  }), upArrow && React.createElement("div", {
    className: classes.selector
  }, React.createElement("div", {
    className: classes.inputSearch
  }, !hideSearch && React.createElement(TextField$1, {
    className: classes.fieldSearch,
    id: id,
    type: type,
    value: value ? handleValues(value) : null,
    onChange: function onChange(event) {
      return handleFilterResults(event.target.value, section);
    },
    onKeyDown: onKeyDown,
    label: label,
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave,
    fullWidth: true,
    autoComplete: "off",
    disabled: disabled,
    name: name ? name : undefined,
    autoFocus: true,
    InputProps: {
      endAdornment: React.createElement(InputAdornment, {
        position: "start"
      }, React.createElement("div", {
        style: {
          paddingRight: '12px'
        }
      }, React.createElement(SearchIcon, {
        className: classes.arrow
      })))
    }
  }), upArrow && listDataToFilter && React.createElement("div", {
    className: classes.containerResults
  }, returnResults(listDataToFilter, section))))));
};
var styles = /*#__PURE__*/makeStyles({
  backWall: {
    backgroundColor: 'transparent',
    position: 'fixed',
    width: '100%',
    height: '100%',
    top: 0,
    left: 0,
    zIndex: 998
  },
  root: {
    display: 'flex',
    flexDirection: 'column',
    alignSelf: 'center',
    width: '100%',
    borderRadius: 6,
    position: 'relative',
    zIndex: 998,
    '& > .MuiPaper-elevation3': {
      boxShadow: 'none',
      backgroundColor: 'white'
    },
    '&:focus-visible': {
      outline: "1px solid " + theme.bluePrimary
    }
  },
  field: {
    border: function border(props) {
      return props.border;
    },
    borderBottom: function borderBottom(props) {
      return props.borderBottom;
    },
    width: '100%',
    outline: "none",
    borderRadius: 4,
    '& > .MuiInputBase-root': {
      marginTop: 1,
      borderRadius: 4,
      '& > .MuiInputBase-input': {
        paddingLeft: 20,
        paddingRight: 20,
        paddingTop: 24,
        paddingBottom: 15,
        color: theme.blackPrimary,
        padding: 0,
        borderRadius: 4,
        backgroundColor: "transparent",
        zIndex: 100,
        '&:focus': {
          border: 'none'
        }
      }
    },
    '& > .MuiInput-root': {
      backgroundColor: theme.whitePrimary
    },
    '& > .MuiInput-underline:before': {
      borderBottom: 'none',
      content: 'none'
    },
    '& > .MuiInput-underline:after': {
      backgroundColor: 'white',
      borderBottom: 'none'
    },
    '& > .MuiInput-underline:hover': {
      backgroundColor: 'white'
    },
    '& > .MuiInputLabel-animated': {
      color: 'grey',
      zIndex: 99,
      marginTop: 0,
      paddingTop: 8,
      paddingLeft: 15,
      fontSize: 16,
      transition: 'color 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms,transform 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms'
    },
    '& > .MuiInputLabel-root:before': {
      color: theme.bluePrimary
    },
    '&:focus-visible': {
      outline: "1px solid " + theme.bluePrimary
    }
  },
  fieldSearch: {
    border: "1px solid " + theme.bluePrimary,
    width: '100%',
    outline: "none",
    borderRadius: 4,
    '& > .MuiInputBase-root': {
      marginTop: 1,
      borderRadius: 4,
      '& > .MuiInputBase-input': {
        paddingLeft: 20,
        paddingRight: 20,
        paddingTop: 24,
        paddingBottom: 15,
        color: theme.blackPrimary,
        padding: 0,
        borderRadius: 4,
        backgroundColor: "transparent",
        zIndex: 100,
        '&:focus': {
          border: 'none'
        }
      }
    },
    '& > .MuiInput-root': {
      backgroundColor: theme.whitePrimary
    },
    '& > .MuiInput-underline:before': {
      borderBottom: 'none',
      content: 'none'
    },
    '& > .MuiInput-underline:after': {
      backgroundColor: 'white',
      borderBottom: 'none'
    },
    '& > .MuiInput-underline:hover': {
      backgroundColor: theme.whitePrimary
    },
    '& > .MuiInputLabel-animated': {
      color: 'grey',
      zIndex: 99,
      marginTop: 0,
      paddingTop: 8,
      paddingLeft: 15,
      fontSize: 16,
      transition: 'color 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms,transform 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms'
    },
    '& > .MuiInputLabel-root:before': {
      color: theme.bluePrimary
    },
    '&:focus-visible': {
      outline: "1px solid " + theme.bluePrimary
    }
  },
  arrow: {
    color: 'grey',
    width: '35px !important',
    height: '35px !important',
    borderRadius: '50%',
    cursor: 'pointer',
    position: 'relative',
    zIndex: 990
  },
  selector: {
    border: "1px solid " + theme.borderGreyPrimary,
    minHeight: 190,
    backgroundColor: theme.whitePrimary,
    '&:focus-visible': {
      outline: "1px solid " + theme.bluePrimary
    }
  },
  inputSearch: {
    padding: 25,
    '&:focus-visible': {
      outline: "1px solid " + theme.bluePrimary
    }
  },
  containerResults: {
    maxHeight: 150,
    height: 'min-content',
    overflowX: 'auto',
    marginTop: 15,
    '&::-webkit-scrollbar': {
      width: "5px",
      backgroundColor: "#F2F4F6"
    },
    '&::-webkit-scrollbar-thumb': {
      backgroundColor: "#93A0AD",
      borderRadius: "238px"
    },
    "&::-webkit-scrollbar-track": {
      marginBottom: "70px"
    }
  },
  results: {
    fontSize: 15,
    '&>p': {
      padding: '6px 6px 6px 4px',
      margin: 0,
      textAlign: 'left',
      '&:hover': {
        backgroundColor: theme.hoverBlue,
        cursor: 'pointer'
      }
    }
  },
  noResults: {
    textAlign: 'center',
    marginTop: 15
  },
  errorMaxTags: {
    display: 'flex',
    justifyContent: 'center',
    '&>div': {
      width: 300,
      textAlign: 'center'
    }
  },
  containerTags: {
    border: "1px solid " + theme.borderGreyPrimary,
    marginTop: 10,
    padding: 15,
    display: 'flex',
    flexFlow: 'wrap'
  },
  tag: {
    backgroundColor: '#f2f4f6',
    borderRadius: 4,
    margin: 5,
    width: 'max-content',
    padding: 8,
    display: 'flex'
  },
  tagTitle: {
    fontSize: 14
  },
  crossTag: {
    marginLeft: 20,
    '&:hover': {
      fontWeight: 700,
      cursor: 'pointer'
    }
  }
});

var _excluded$h = ["type", "listAbility", "width", "height", "onClickEdit", "onClickDelete", "listExperience", "lng", "listFormation", "noIcons", "description", "Icon"];
var SkillCard = function SkillCard(_ref) {
  var type = _ref.type,
      listAbility = _ref.listAbility,
      width = _ref.width,
      height = _ref.height,
      onClickEdit = _ref.onClickEdit,
      onClickDelete = _ref.onClickDelete,
      listExperience = _ref.listExperience,
      lng = _ref.lng,
      listFormation = _ref.listFormation,
      noIcons = _ref.noIcons,
      description = _ref.description,
      Icon = _ref.Icon,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$h);

  var styles = makeStyles({
    root: {
      width: function width(props) {
        return props.width || '100%';
      },
      height: function height(props) {
        return props.height || '100%';
      },
      border: "2px solid " + theme.grayPrimary,
      borderRadius: 5,
      backgroundColor: theme.whitePrimary,
      padding: 30,
      '&>.iconsEditable': {
        display: 'none'
      },
      '&:hover': {
        border: "2px solid " + theme.bluePrimary,
        backgroundColor: theme.whiteOpacity,
        position: 'relative',
        '&>div': {
          opacity: .50
        },
        '&>.iconsEditable': {
          display: 'inline',
          right: 0,
          position: 'absolute',
          zIndex: 99,
          margin: '0px 40px 0px 0px',
          padding: 0,
          '&>button': {
            color: theme.defaultSubtitle,
            padding: 5,
            margin: '0px 0px 0px 20px',
            backgroundColor: theme.whitePrimary,
            border: "1px solid " + theme.borderGreyPrimary
          }
        }
      }
    },
    rowHeader: {
      display: 'flex',
      alignItems: 'center'
    },
    workIcon: {
      margin: '0px 20px 0px 0px',
      '&>svg': {
        width: 24,
        height: 24,
        color: theme.opacityGrayDefault
      }
    },
    titleCard: {
      color: theme.blackPrimary,
      fontSize: 18,
      margin: 0
    },
    experience: {
      color: theme.blackPrimary,
      fontSize: 16,
      marginInlineStart: 'auto'
    },
    rowContent: {
      margin: '0px 40px 0px 40px'
    },
    content: {
      color: theme.textContentPrimary,
      fontSize: 16
    },
    tagsContainer: {
      display: 'flex',
      flexFlow: 'wrap',
      rowGap: 15,
      marginTop: 20
    },
    tag: {
      color: theme.defaultSubtitle,
      fontSize: 16,
      borderRadius: 5,
      backgroundColor: theme.grayPrimary,
      width: 'max-content',
      height: 'max-content',
      padding: '10px 15px 10px 15px',
      margin: '0px 15px 0px 0px'
    }
  });
  var classes = styles({
    width: width,
    height: height
  });

  var returnDatesExperience = function returnDatesExperience(date, lng) {
    try {
      if (date) {
        var month, year;
        month = date.split("/")[1].slice(0, 2);
        year = date.split("/")[2];

        switch (month) {
          case "01":
            month = lng === "en" ? "January" : "Enero";
            break;

          case "02":
            month = lng === "en" ? "February" : "Febrero";
            break;

          case "03":
            month = lng === "en" ? "March" : "Marzo";
            break;

          case "04":
            month = lng === "en" ? "April" : "Abril";
            break;

          case "05":
            month = lng === "en" ? "May" : "Mayo";
            break;

          case "06":
            month = lng === "en" ? "June" : "Junio";
            break;

          case "07":
            month = lng === "en" ? "July" : "Julio";
            break;

          case "08":
            month = lng === "en" ? "August" : "Agosto";
            break;

          case "09":
            month = lng === "en" ? "September" : "Setiembre";
            break;

          case "10":
            month = lng === "en" ? "October" : "Octubre";
            break;

          case "11":
            month = lng === "en" ? "November" : "Noviembre";
            break;

          case "12":
            month = lng === "en" ? "December" : "Diciembre";
            break;

          default:
            month = month;
        }

        return month + " " + year;
      } else {
        return lng === 'en' ? "Present" : "Actualidad";
      }
    } catch (err) {
      console.log("ERROR_RETURN_DATE_EXPERIENCE");
    }
  };

  var CardAbility = function CardAbility() {
    var _listAbility$abilitie;

    return React.createElement("div", Object.assign({
      className: classes.root
    }, props), !noIcons && React.createElement("section", {
      className: 'iconsEditable'
    }, React.createElement(IconButton, {
      onClick: onClickEdit
    }, React.createElement(EditIcon, null)), React.createElement(IconButton, {
      onClick: onClickDelete
    }, React.createElement(DeleteOutlineIcon, null))), React.createElement("div", {
      className: classes.rowHeader
    }, React.createElement("span", {
      className: classes.workIcon
    }, React.createElement(WorkOutlineOutlinedIcon, null)), React.createElement("p", {
      className: classes.titleCard
    }, listAbility == null ? void 0 : listAbility.specialityTitle), React.createElement("p", {
      className: classes.experience
    }, listAbility == null ? void 0 : listAbility.experience)), React.createElement("div", {
      className: classes.rowContent
    }, React.createElement("p", {
      className: classes.content
    }, listAbility == null ? void 0 : listAbility.categoryTitle), React.createElement("p", {
      className: classes.content
    }, "\u201C", listAbility == null ? void 0 : listAbility.description, "\u201C"), React.createElement("div", {
      className: classes.tagsContainer
    }, (listAbility == null ? void 0 : listAbility.abilities) && (listAbility == null ? void 0 : listAbility.abilities.length) > 0 && (listAbility == null ? void 0 : (_listAbility$abilitie = listAbility.abilities) == null ? void 0 : _listAbility$abilitie.map(function (ab) {
      return React.createElement("div", {
        className: classes.tag,
        key: ab.abilityId
      }, ab.abilityTitle);
    })))));
  };

  var CardCurriculum = function CardCurriculum() {
    return React.createElement("div", Object.assign({
      className: classes.root
    }, props), !noIcons && React.createElement("section", {
      className: 'iconsEditable'
    }, React.createElement(IconButton, {
      onClick: onClickEdit
    }, React.createElement(EditIcon, null)), React.createElement(IconButton, {
      onClick: onClickDelete
    }, React.createElement(DeleteOutlineIcon, null))), React.createElement("div", {
      className: classes.rowHeader
    }, React.createElement("span", {
      className: classes.workIcon
    }, React.createElement(ChromeReaderModeOutlinedIcon, null)), React.createElement("p", {
      className: classes.titleCard
    }, listFormation == null ? void 0 : listFormation.title), React.createElement("p", {
      className: classes.experience
    }, returnDatesExperience(listFormation == null ? void 0 : listFormation.initialDate, lng), "\xA0-\xA0", returnDatesExperience(listFormation == null ? void 0 : listFormation.endDate, lng))), React.createElement("div", {
      className: classes.rowContent
    }, React.createElement("p", {
      className: classes.content
    }, listFormation == null ? void 0 : listFormation.center), React.createElement("p", {
      className: classes.content
    }, "\u201C", listFormation == null ? void 0 : listFormation.description, "\u201C")));
  };

  var CardExperience = function CardExperience() {
    return React.createElement("div", Object.assign({
      className: classes.root
    }, props), !noIcons && React.createElement("section", {
      className: 'iconsEditable'
    }, React.createElement(IconButton, {
      onClick: onClickEdit
    }, React.createElement(EditIcon, null)), React.createElement(IconButton, {
      onClick: onClickDelete
    }, React.createElement(DeleteOutlineIcon, null))), React.createElement("div", {
      className: classes.rowHeader
    }, React.createElement("span", {
      className: classes.workIcon
    }, React.createElement(WorkOutlineOutlinedIcon, null)), React.createElement("p", {
      className: classes.titleCard
    }, listExperience == null ? void 0 : listExperience.title), React.createElement("p", {
      className: classes.experience
    }, returnDatesExperience(listExperience == null ? void 0 : listExperience.initialDate, lng), "\xA0-\xA0", returnDatesExperience(listExperience == null ? void 0 : listExperience.endDate, lng))), React.createElement("div", {
      className: classes.rowContent
    }, React.createElement("p", {
      className: classes.content
    }, listExperience == null ? void 0 : listExperience.enterprise), React.createElement("p", {
      className: classes.content
    }, "\u201C", listExperience == null ? void 0 : listExperience.description, "\u201C")));
  };

  var CardSimple = function CardSimple() {
    return React.createElement("div", Object.assign({
      className: classes.root
    }, props), React.createElement("div", {
      style: {
        display: 'flex'
      }
    }, React.createElement("span", {
      className: classes.workIcon
    }, Icon ? Icon : React.createElement(WorkOutlineOutlinedIcon, null)), React.createElement("div", {
      className: classes.rowContent,
      style: {
        padding: 0
      }
    }, React.createElement("p", {
      className: classes.content,
      style: {
        padding: 0,
        margin: 0
      }
    }, description))));
  };

  return React.createElement(React.Fragment, null, type === 'ABILITY' && CardAbility(), type === 'EXPERIENCE' && CardExperience(), type === 'CURRICULUM' && CardCurriculum(), type === 'SIMPLE' && CardSimple());
};

var _excluded$i = ["rightElement", "leftElement"];
var SplitScreen = function SplitScreen(_ref) {
  var rightElement = _ref.rightElement,
      leftElement = _ref.leftElement,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$i);

  var styles = makeStyles({
    root: {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      height: '90vh'
    }
  });
  var classes = styles();
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement("div", null, leftElement), React.createElement("div", null, rightElement));
};

var _excluded$j = ["step", "list", "setStep", "marginTop"];
var Stepper = function Stepper(_ref) {
  var step = _ref.step,
      list = _ref.list,
      setStep = _ref.setStep,
      marginTop = _ref.marginTop,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$j);

  var styles = makeStyles({
    container: {
      borderRight: "2px solid " + theme.dividerGray,
      width: 'max-content',
      paddingRight: 50,
      marginTop: function marginTop(props) {
        return props.marginTop ? props.marginTop : 0;
      }
    },
    root: {
      display: 'flex',
      '&:hover': {
        cursor: 'pointer'
      }
    },
    selectedNumber: {
      color: theme.blackPrimary,
      fontSize: 30,
      margin: '10px 0px 0px 0px',
      padding: 0,
      fontFamily: 'Poppins'
    },
    stepNumber: {
      color: theme.opacityGrayDefault,
      fontSize: 30,
      margin: '10px 0px 0px 0px',
      padding: 0,
      fontFamily: 'Poppins'
    },
    selectedText: {
      '&>p': {
        color: theme.blackPrimary,
        margin: '10px 0px 0px 18px',
        padding: 0,
        fontSize: 20,
        fontFamily: 'Poppins'
      },
      '&>:nth-child(2)': {
        textTransform: 'uppercase',
        marginTop: 3,
        fontSize: 16
      }
    },
    stepText: {
      '&>p': {
        color: theme.opacityGrayDefault,
        margin: '10px 0px 0px 18px',
        padding: 0,
        fontSize: 20,
        fontFamily: 'Poppins'
      },
      '&>:nth-child(2)': {
        textTransform: 'uppercase',
        marginTop: 3,
        fontSize: 16
      }
    }
  });
  var classes = styles({
    marginTop: marginTop
  });
  return React.createElement("div", Object.assign({}, props, {
    className: classes.container
  }), list && list.map(function (i, index) {
    return React.createElement("div", {
      className: classes.root,
      onClick: function onClick() {
        return setStep && setStep(index);
      }
    }, React.createElement("p", {
      className: index <= step ? classes.selectedNumber : classes.stepNumber
    }, index + 1, "."), React.createElement("div", {
      className: index <= step ? classes.selectedText : classes.stepText
    }, React.createElement("p", null, i.title), React.createElement("p", null, i.subtitle)));
  }));
};

var _excluded$k = ["subtitle"];
var Subtitle = function Subtitle(_ref) {
  var subtitle = _ref.subtitle,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$k);

  var styles = makeStyles({
    root: {
      fontSize: 16,
      fontFamily: 'Poppins',
      fontWeight: 300,
      color: theme.defaultSubtitle,
      margin: 0,
      marginBottom: 15
    }
  });
  var classes = styles();
  return React.createElement("h1", Object.assign({
    className: classes.root
  }, props), subtitle);
};

var _excluded$l = ["title"];
var Title = function Title(_ref) {
  var title = _ref.title,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$l);

  var styles = makeStyles({
    root: {
      textTransform: 'uppercase',
      fontSize: 18,
      fontFamily: 'Poppins',
      fontWeight: 500,
      color: theme.blackPrimary,
      margin: 0
    }
  });
  var classes = styles();
  return React.createElement("h1", Object.assign({
    className: classes.root
  }, props), title);
};

var _excluded$m = ["label", "type", "key", "id", "onClick", "onChange", "onKeyDown", "width", "height", "value", "error", "errorTitle", "actions", "onClickDelete", "onClickEdit", "multiline", "autoFocus", "cardDetected", "paymentsUtility", "cardRegistedStatus", "disabled", "textAddNewCard", "addNewCardRedirection", "cardsList", "selectedCard", "setSelectedCard"];
var TextField = function TextField(_ref) {
  var label = _ref.label,
      type = _ref.type,
      id = _ref.id,
      onChange = _ref.onChange,
      onKeyDown = _ref.onKeyDown,
      width = _ref.width,
      height = _ref.height,
      value = _ref.value,
      error = _ref.error,
      errorTitle = _ref.errorTitle,
      actions = _ref.actions,
      onClickDelete = _ref.onClickDelete,
      onClickEdit = _ref.onClickEdit,
      multiline = _ref.multiline,
      autoFocus = _ref.autoFocus,
      cardDetected = _ref.cardDetected,
      paymentsUtility = _ref.paymentsUtility,
      cardRegistedStatus = _ref.cardRegistedStatus,
      disabled = _ref.disabled,
      textAddNewCard = _ref.textAddNewCard,
      addNewCardRedirection = _ref.addNewCardRedirection,
      cardsList = _ref.cardsList,
      setSelectedCard = _ref.setSelectedCard,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$m);

  var iconsMargin = width ? Number(width) - 100 : 100;
  var creditCardsEnabled = [{
    provider: 'MASTERCARD',
    icon: 'https://gubick.s3.eu-west-3.amazonaws.com/gubickstatics/mastercard.jpg'
  }, {
    provider: 'DINNERS',
    icon: 'https://gubick.s3.eu-west-3.amazonaws.com/gubickstatics/dinners.png'
  }, {
    provider: 'MAESTRO',
    icon: 'https://gubick.s3.eu-west-3.amazonaws.com/gubickstatics/maestro.png'
  }, {
    provider: 'VISA',
    icon: 'https://gubick.s3.eu-west-3.amazonaws.com/gubickstatics/visa.png'
  }, {
    provider: 'AMEX',
    icon: 'https://gubick.s3.eu-west-3.amazonaws.com/gubickstatics/american-express.png'
  }];
  var styles = makeStyles({
    rootMaster: {
      position: 'relative',
      width: 'max-content',
      '&>.containerIcons': {
        position: 'absolute',
        marginTop: 10,
        zIndex: 90,
        display: 'none',
        backgroundColor: theme.whitePrimary,
        '&>button': {
          border: "1px solid " + theme.borderGreyPrimary,
          width: 33,
          height: 33,
          margin: 5
        }
      },
      '&>.containerIconsFixed': {
        position: 'absolute',
        marginTop: 10,
        zIndex: 90,
        backgroundColor: theme.whitePrimary,
        '&>button': {
          border: "1px solid " + theme.borderGreyPrimary,
          width: 33,
          height: 33,
          margin: 5
        }
      },
      '&:hover': {
        '&>.containerIcons': {
          display: 'flex'
        }
      }
    },
    root: {
      display: 'flex',
      flexDirection: 'column',
      alignSelf: 'center',
      width: function width(props) {
        return props.width ? props.width : 378;
      },
      height: 'max-content',
      '& > .MuiPaper-elevation3': {
        boxShadow: 'none',
        backgroundColor: 'white'
      }
    },
    field: {
      border: "1px solid " + theme.borderGreyPrimary,
      width: function width(props) {
        return props.width ? props.width : 378;
      },
      height: 'max-content',
      outline: 'none',
      borderRadius: '4px',
      position: 'relative',
      '& > .MuiInputBase-root': {
        marginTop: '1px',
        height: 'max-content',
        fontWeight: 300,
        fontSize: 16,
        borderRadius: '4px',
        minHeight: function minHeight(props) {
          return props.multiline ? '130px !important' : '';
        },
        '& > .MuiInputBase-input': {
          width: function width(props) {
            return props.width ? props.width : 378;
          },
          minHeight: function minHeight(props) {
            return props.multiline ? '130px !important' : '';
          },
          height: 'max-content',
          paddingLeft: '20px',
          paddingRight: '20px',
          paddingTop: '24px',
          paddingBottom: '15px',
          color: '#000c24',
          padding: '0px',
          borderRadius: '4px',
          backgroundColor: 'transparent !important',
          zIndex: 100
        },
        '& > .MuiInputBase-input:focus': {
          width: function width(props) {
            return props.width ? props.width + " !important" : "377px !important";
          },
          height: 'max-content',
          backgroundColor: 'transparent !important',
          marginLeft: 1.5
        },
        '& > .MuiInput-input': {
          marginLeft: 1.5,
          zIndex: 1,
          width: function width(props) {
            return props.width ? props.width + " !important" : "377px !important";
          },
          height: 'max-content',
          minHeight: function minHeight(props) {
            return props.multiline ? '130px !important' : '';
          },
          backgroundColor: 'transparent !important'
        }
      },
      '& > .MuiInput-root': {
        backgroundColor: theme.whitePrimary,
        height: 'max-content'
      },
      '& > .MuiInput-underline:before': {
        borderBottom: 'none',
        height: 'max-content',
        content: 'none'
      },
      '& > .MuiInput-underline:after': {
        border: "1px solid " + theme.bluePrimary,
        width: function width(props) {
          return props.width ? props.width : 378;
        },
        height: 'max-content',
        minHeight: '100% !important',
        backgroundColor: 'white',
        transition: 'none',
        borderRadius: 4
      },
      '& > .MuiInput-underline:hover': {
        backgroundColor: 'white'
      },
      '& > .MuiInputLabel-animated': {
        color: 'grey',
        zIndex: 99,
        marginTop: '0px',
        paddingTop: '8px',
        paddingLeft: '15px',
        fontSize: '16px',
        transition: 'color 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms,transform 100ms cubic-bezier(0.0, 0, 0.2, 1) 0ms'
      },
      '& > .MuiInputLabel-root:before': {
        color: 'blue'
      },
      '& >div>div> .cardRegisteredDelete': {
        display: 'none'
      },
      '&:hover': {
        '& >div>div> .cardRegisteredDelete': {
          display: 'inline'
        }
      }
    },
    icon: {
      width: '24px',
      height: '24px'
    },
    iconBig: {
      width: '30,37px',
      height: '24px'
    },
    containerChat: {
      borderRadius: 35
    },
    containerTextField: {
      position: 'relative'
    },
    onEdit: {
      color: 'grey',
      width: 'min-content',
      position: 'absolute',
      zIndex: 101,
      marginTop: 7,
      backgroundColor: '#ffffff',
      '&>svg': {
        width: 40,
        height: 40,
        padding: 8,
        borderRadius: '50%',
        '&:hover': {
          width: 42,
          height: 42,
          border: '1px solid #3d43ff',
          cursor: 'pointer'
        }
      }
    },
    cardIcons: {
      width: 23,
      height: 23
    },
    closeIcon: {
      color: theme.redPrimary
    },
    doneIcon: {
      color: theme.greenPrimary
    },
    verifyIcon: {
      color: theme.bluePrimary,
      animation: '$spin 2s linear infinite'
    },
    '@keyframes spin': {
      '0%': {
        transform: 'rotate(360deg)'
      },
      '100%': {
        transform: 'rotate(0deg)'
      }
    },
    containerTextFieldAndSelectorPayment: {
      position: 'relative',
      display: 'flex',
      alignItems: 'center'
    },
    containerSelectorPayment: {
      position: 'absolute',
      right: 0,
      marginRight: 6,
      zIndex: 999
    },
    buttonIconSelectorPayment: {
      width: 30,
      height: 30,
      border: "1px solid " + theme.borderGreyPrimary
    },
    conatinerIconsCardSelector: {
      width: 'max-content',
      height: 25,
      display: 'flex',
      marginRight: 30,
      '&>.onlyIcon': {
        width: 35,
        height: 30,
        marginTop: -4,
        marginRight: 15,
        '&>span': {
          opacity: '0.99 !important',
          '&>img': {
            width: 35,
            height: 30
          }
        }
      },
      '&>button': {
        width: 20,
        height: 20,
        margin: 2,
        '&>span': {
          opacity: 0.55,
          '&>img': {
            width: 20,
            height: 20
          }
        }
      }
    },
    listPaymentCard: {
      '&>ul': {
        listStyleType: 'none',
        padding: 0,
        margin: 0,
        border: "1px solid " + theme.borderGreyPrimary,
        borderRadius: '0px 0px 4px 4px',
        '&>li': {
          padding: 10,
          color: theme.lightGrayPrimary,
          '&:hover': {
            backgroundColor: theme.hoverBlue,
            cursor: 'pointer',
            color: theme.bluePrimary
          }
        }
      }
    }
  });
  var classes = styles({
    width: width,
    height: height,
    multiline: multiline
  });

  var _useState = useState(false),
      unfoldedSelectorPayment = _useState[0],
      setUnfoldedSelectorPayment = _useState[1];

  var _useState2 = useState({
    ExpirationDate: '',
    Alias: '',
    CardType: '',
    CardProvider: '',
    Country: '',
    Product: '',
    BankCode: '',
    Active: false,
    Currency: '',
    Validity: '',
    UserId: '',
    Id: '',
    Tag: null,
    CreationDate: 0,
    Fingerprint: '',
    EnabledUser: ''
  }),
      internSelectedCard = _useState2[0],
      setInternSelectedCard = _useState2[1];

  var getSpacedString = function getSpacedString(result) {
    var spacedString = result.split('').reduce(function (acc, curr, index) {
      return acc + curr + (index % 4 === 3 ? ' ' : '');
    }, '');
    return spacedString;
  };

  var formatCardAlias = function formatCardAlias(alias) {
    if (alias) {
      var _alias$slice;

      var lengthCharacters = alias.length;
      var expReg = /[^\s]/g;
      var hiddenValues = (_alias$slice = alias.slice(0, lengthCharacters - 4)) == null ? void 0 : _alias$slice.replace(expReg, '*');
      var visibleCharacters = alias.slice(lengthCharacters - 4, lengthCharacters);
      var result = "" + hiddenValues + visibleCharacters;
      return getSpacedString(result);
    }
  };

  return React.createElement("div", {
    className: classes.rootMaster
  }, actions !== 'Blocked' && actions === 'Edit, Delete' && React.createElement("div", {
    className: "containerIcons",
    style: {
      marginLeft: iconsMargin
    }
  }, React.createElement(IconButton, {
    onClick: onClickEdit
  }, React.createElement(EditIcon, null)), React.createElement(IconButton, {
    onClick: onClickDelete
  }, React.createElement(DeleteOutlineIcon, null))), actions !== 'Blocked' && actions === 'Edit' && React.createElement("div", {
    className: "containerIcons",
    style: {
      marginLeft: iconsMargin + 45
    }
  }, React.createElement(IconButton, {
    onClick: onClickEdit
  }, React.createElement(EditIcon, null))), actions !== 'Blocked' && actions === 'Delete' && React.createElement("div", {
    className: "containerIcons",
    style: {
      marginLeft: iconsMargin + 45
    }
  }, React.createElement(IconButton, {
    onClick: onClickDelete
  }, React.createElement(DeleteOutlineIcon, null))), actions !== 'Blocked' && actions === 'Currency' && React.createElement("div", {
    className: "containerIconsFixed",
    style: {
      marginLeft: iconsMargin + 45
    }
  }, React.createElement(IconButton, {
    style: {
      marginTop: -1
    }
  }, React.createElement(EuroIcon, null))), actions !== 'Blocked' && actions === 'Porcent' && React.createElement("div", {
    className: "containerIconsFixed",
    style: {
      marginLeft: iconsMargin + 45
    }
  }, React.createElement(IconButton, {
    style: {
      marginTop: -1
    }
  }, React.createElement("span", {
    style: {
      fontWeight: 700
    }
  }, "%"))), actions === 'Blocked' && React.createElement("div", {
    className: "containerIconsFixed",
    style: {
      marginLeft: iconsMargin + 45
    }
  }, React.createElement(IconButton, {
    onClick: onClickDelete,
    style: {
      border: 'none'
    }
  }, React.createElement(LockOutlinedIcon, {
    style: {
      color: theme.bluePrimary
    }
  }))), actions === 'Payments' && React.createElement(React.Fragment, null, !paymentsUtility && React.createElement(React.Fragment, null, React.createElement(TextField$1, Object.assign({
    id: id,
    className: classes.field,
    value: value,
    label: label,
    type: type,
    onChange: onChange,
    onKeyDown: onKeyDown,
    autoComplete: "off",
    autoFocus: autoFocus,
    InputProps: {
      endAdornment: creditCardsEnabled.map(function (card) {
        return React.createElement(InputAdornment, {
          position: "start",
          style: {
            position: 'relative',
            zIndex: 20
          }
        }, React.createElement("div", null, React.createElement(IconButton, {
          style: {
            width: cardDetected === card.provider ? 37 : 27,
            height: cardDetected === card.provider ? 35 : 25,
            backgroundColor: cardDetected === card.provider ? '#e5e9ff' : '',
            padding: 2
          }
        }, React.createElement("img", {
          className: classes.cardIcons,
          width: cardDetected === card.provider ? 33 : 24,
          height: cardDetected === card.provider ? 31 : 22,
          src: card.icon,
          title: card.provider,
          style: {
            opacity: cardDetected === card.provider ? 0.9 : 0.3
          }
        }))));
      })
    }
  }, props)), error && React.createElement(Error$1, {
    title: errorTitle
  })), paymentsUtility === 'cvc' && React.createElement(React.Fragment, null, React.createElement(TextField$1, Object.assign({
    id: id,
    className: classes.field,
    value: value,
    label: label,
    type: type,
    onChange: onChange,
    onKeyDown: onKeyDown,
    autoComplete: "off",
    autoFocus: autoFocus,
    InputProps: {
      endAdornment: React.createElement(InputAdornment, {
        position: "start",
        style: {
          position: 'relative',
          zIndex: 20
        }
      }, React.createElement("div", null, React.createElement(IconButton, null, React.createElement("img", {
        className: classes.cardIcons,
        width: 40,
        height: 40,
        src: "https://gubick.s3.eu-west-3.amazonaws.com/gubickstatics/cvc.png",
        title: 'CVC'
      }))))
    }
  }, props)), error && React.createElement(Error$1, {
    title: errorTitle
  })), paymentsUtility === 'card_registered' && React.createElement(React.Fragment, null, React.createElement(TextField$1, Object.assign({
    id: id,
    className: classes.field,
    value: value,
    label: label,
    type: type,
    autoComplete: "off",
    disabled: true,
    InputProps: {
      endAdornment: React.createElement(InputAdornment, {
        position: "start",
        style: {
          position: 'relative',
          zIndex: 20
        }
      }, React.createElement("div", null, React.createElement(IconButton, null, cardRegistedStatus === 'INVALID' && React.createElement(CloseIcon, {
        className: classes.closeIcon
      }), cardRegistedStatus === 'VALID' && React.createElement(DoneAllIcon, {
        className: classes.doneIcon
      }), cardRegistedStatus === 'UNKNOWN' && React.createElement(LoopSharpIcon, {
        className: classes.verifyIcon
      }))), React.createElement("div", {
        className: "cardRegisteredDelete"
      }, React.createElement(IconButton, null, React.createElement(DeleteOutlineIcon, {
        onClick: onClickDelete
      }))))
    }
  }, props)), error && React.createElement(Error$1, {
    title: errorTitle
  }))), actions !== 'Payments' && actions !== 'PaymentSelector' && React.createElement(React.Fragment, null, React.createElement(TextField$1, Object.assign({
    id: id,
    multiline: multiline,
    className: classes.field,
    value: value,
    label: label,
    type: type,
    onChange: onChange,
    onKeyDown: onKeyDown,
    autoComplete: "off",
    disabled: actions === 'Blocked' ? true : disabled,
    autoFocus: autoFocus
  }, props)), error && React.createElement(Error$1, {
    title: errorTitle
  })), actions === 'PaymentSelector' && React.createElement(React.Fragment, null, React.createElement("div", {
    className: classes.containerTextFieldAndSelectorPayment
  }, React.createElement(TextField$1, Object.assign({
    id: id,
    multiline: multiline,
    className: classes.field,
    value: formatCardAlias(internSelectedCard.Alias) || '',
    label: label,
    type: type,
    onChange: onChange,
    onKeyDown: onKeyDown,
    autoComplete: "off",
    disabled: disabled,
    autoFocus: autoFocus,
    InputProps: {
      endAdornment: React.createElement(InputAdornment, {
        position: "start",
        style: {
          position: 'relative',
          zIndex: 20
        }
      }, (internSelectedCard == null ? void 0 : internSelectedCard.CardType) === '' && React.createElement("div", {
        className: classes.conatinerIconsCardSelector
      }, creditCardsEnabled && (creditCardsEnabled == null ? void 0 : creditCardsEnabled.length) > 0 && (creditCardsEnabled == null ? void 0 : creditCardsEnabled.map(function (cardIcon) {
        return React.createElement(IconButton, null, React.createElement("img", {
          src: cardIcon.icon,
          alt: cardIcon.provider
        }));
      }))), (internSelectedCard == null ? void 0 : internSelectedCard.CardType) !== '' && React.createElement("div", {
        className: classes.conatinerIconsCardSelector
      }, (internSelectedCard == null ? void 0 : internSelectedCard.CardType) === 'DINERS' && creditCardsEnabled && (creditCardsEnabled == null ? void 0 : creditCardsEnabled.length) > 0 && (creditCardsEnabled == null ? void 0 : creditCardsEnabled.filter(function (c) {
        return c.provider === 'DINNERS';
      }).map(function (cardIcon) {
        return React.createElement(IconButton, {
          className: "onlyIcon"
        }, React.createElement("img", {
          src: cardIcon.icon,
          alt: cardIcon.provider
        }));
      })), (internSelectedCard == null ? void 0 : internSelectedCard.CardType) === 'CB_VISA_MASTERCARD' && creditCardsEnabled && (creditCardsEnabled == null ? void 0 : creditCardsEnabled.length) > 0 && (creditCardsEnabled == null ? void 0 : creditCardsEnabled.filter(function (c) {
        return c.provider === (internSelectedCard == null ? void 0 : internSelectedCard.CardProvider);
      }).map(function (cardIcon) {
        return React.createElement(IconButton, {
          className: "onlyIcon"
        }, React.createElement("img", {
          src: cardIcon.icon,
          alt: cardIcon.provider
        }));
      })), (internSelectedCard == null ? void 0 : internSelectedCard.CardType) !== 'DINERS' && (internSelectedCard == null ? void 0 : internSelectedCard.CardType) !== 'CB_VISA_MASTERCARD' && creditCardsEnabled && (creditCardsEnabled == null ? void 0 : creditCardsEnabled.length) > 0 && (creditCardsEnabled == null ? void 0 : creditCardsEnabled.filter(function (c) {
        return c.provider === (internSelectedCard == null ? void 0 : internSelectedCard.CardType);
      }).map(function (cardIcon) {
        return React.createElement(IconButton, {
          className: "onlyIcon"
        }, React.createElement("img", {
          src: cardIcon.icon,
          alt: cardIcon.provider
        }));
      }))))
    }
  }, props)), React.createElement("div", {
    className: classes.containerSelectorPayment,
    onClick: function onClick() {
      return setUnfoldedSelectorPayment(!unfoldedSelectorPayment);
    }
  }, React.createElement(IconButton, {
    className: classes.buttonIconSelectorPayment
  }, React.createElement(React.Fragment, null, unfoldedSelectorPayment ? React.createElement(KeyboardArrowUpIcon, null) : React.createElement(KeyboardArrowDownIcon, null))))), unfoldedSelectorPayment && React.createElement("div", {
    className: classes.listPaymentCard
  }, React.createElement("ul", null, cardsList && (cardsList == null ? void 0 : cardsList.length) > 0 && cardsList.map(function (card) {
    return React.createElement("li", {
      onClick: function onClick() {
        setInternSelectedCard(card);
        setSelectedCard && setSelectedCard(card);
        setUnfoldedSelectorPayment(!unfoldedSelectorPayment);
      }
    }, formatCardAlias(card == null ? void 0 : card.Alias));
  }), React.createElement("li", {
    onClick: function onClick() {
      return addNewCardRedirection ? addNewCardRedirection() : null;
    }
  }, textAddNewCard || 'Default Text'))), error && React.createElement(Error$1, {
    title: errorTitle
  })));
};

var _excluded$n = ["width", "height", "label", "indicator", "onClickEdit", "onClickDelete", "value"];
var ValueContainer = function ValueContainer(_ref) {
  var width = _ref.width,
      height = _ref.height,
      label = _ref.label,
      indicator = _ref.indicator,
      onClickEdit = _ref.onClickEdit,
      onClickDelete = _ref.onClickDelete,
      value = _ref.value,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$n);

  var iconsMargin = width ? Number(width) - 100 : 100;
  var styles = makeStyles({
    root: {
      width: function width(props) {
        return props.width || 356;
      },
      height: function height(props) {
        return props.height || 60;
      },
      border: "1px  solid " + theme.borderGreyPrimary,
      borderRadius: 4,
      position: 'relative',
      '&:hover': {
        border: "1px solid " + theme.bluePrimary
      }
    },
    label: {
      color: theme.defaultSubtitle,
      fontSize: 14,
      textTransform: 'capitalize',
      margin: '5px 0px 0px 10px',
      padding: 0
    },
    container: {
      display: 'flex'
    },
    value: {
      color: theme.blackPrimary,
      fontSize: 16,
      margin: '0px 0px 0px 10px'
    },
    indicator: {
      textTransform: 'capitalize',
      color: theme.bluePrimary,
      fontWeight: 600,
      marginInlineStart: 'auto',
      margin: '0px 10px 0px 0px'
    },
    containerIcons: {
      position: 'absolute',
      marginTop: -44,
      zIndex: 998,
      backgroundColor: theme.whitePrimary,
      display: 'flex',
      '&>button': {
        border: "1px solid " + theme.borderGreyPrimary,
        width: 40,
        height: 40,
        margin: 5
      }
    }
  });
  var classes = styles({
    width: width,
    height: height
  });

  var _useState = useState(false),
      showEdited = _useState[0],
      setShowEdited = _useState[1];

  return React.createElement(React.Fragment, null, React.createElement("div", Object.assign({
    className: classes.root,
    onMouseEnter: function onMouseEnter() {
      return setShowEdited(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setShowEdited(false);
    }
  }, props), React.createElement("p", {
    className: classes.label
  }, label), React.createElement("div", {
    className: classes.container
  }, React.createElement("p", {
    className: classes.value
  }, value), !showEdited && React.createElement("p", {
    className: classes.indicator
  }, indicator)), showEdited && React.createElement("div", Object.assign({
    className: classes.containerIcons,
    onMouseEnter: function onMouseEnter() {
      return setShowEdited(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setShowEdited(false);
    },
    style: {
      marginLeft: iconsMargin
    }
  }, props), React.createElement(IconButton, {
    onClick: onClickEdit
  }, React.createElement(EditIcon, null)), React.createElement(IconButton, {
    onClick: onClickDelete
  }, React.createElement(DeleteOutlineIcon, null)))));
};

var _excluded$o = ["value", "data", "onChange", "width", "height", "position", "divider", "dividerColor", "actions", "iconColorActions", "onClickDelete", "onClickEdit", "activeInputFile", "onChangeInputFile"];
var CardPicker = function CardPicker(_ref) {
  var value = _ref.value,
      data = _ref.data,
      onChange = _ref.onChange,
      width = _ref.width,
      height = _ref.height,
      position = _ref.position,
      divider = _ref.divider,
      dividerColor = _ref.dividerColor,
      actions = _ref.actions,
      iconColorActions = _ref.iconColorActions,
      onClickDelete = _ref.onClickDelete,
      onClickEdit = _ref.onClickEdit,
      activeInputFile = _ref.activeInputFile,
      onChangeInputFile = _ref.onChangeInputFile,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$o);

  var styles = makeStyles({
    root: {
      display: 'flex',
      flexWrap: 'wrap',
      alignItems: 'center',
      padding: 0,
      margin: 0,
      listStyle: 'none'
    },
    containerIcons: {
      position: 'absolute',
      marginTop: 10,
      zIndex: 90,
      '&>button': {
        border: "1px solid " + theme.borderGreyPrimary,
        width: 40,
        height: 40,
        margin: 5
      }
    }
  });
  var classes = styles();
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), Array.isArray(data) && data.map(function (cardPicker, pos) {
    return React.createElement("div", {
      key: cardPicker == null ? void 0 : cardPicker.id,
      style: {
        paddingLeft: pos !== 0 ? 30 : 0
      }
    }, React.createElement(DefaultCard, {
      activeInputFile: activeInputFile,
      onChangeInputFile: onChangeInputFile,
      actions: actions,
      onClickEdit: onClickEdit,
      onClickDelete: onClickDelete,
      iconColorActions: iconColorActions,
      width: width,
      height: height,
      footerCard: {
        title: cardPicker == null ? void 0 : cardPicker.text,
        position: position,
        divider: divider,
        dividerColor: dividerColor
      },
      selected: (cardPicker == null ? void 0 : cardPicker.value) === value,
      onClick: function onClick() {
        return typeof onChange === 'function' && onChange(cardPicker);
      }
    }, cardPicker == null ? void 0 : cardPicker.render));
  }));
};

var _excluded$p = ["width", "height", "label", "initialDate", "setValueDate", "format", "maxDate"];
var TextFieldDate = function TextFieldDate(_ref) {
  var width = _ref.width,
      height = _ref.height,
      label = _ref.label,
      initialDate = _ref.initialDate,
      setValueDate = _ref.setValueDate,
      format = _ref.format,
      maxDate = _ref.maxDate,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$p);

  var styles = makeStyles({
    root: {},
    field: {
      border: "1px solid " + theme.borderGreyPrimary,
      width: function width(props) {
        return props.width ? props.width : 378;
      },
      outline: "none",
      borderRadius: '4px',
      position: 'relative',
      '& > .MuiInputBase-root': {
        marginTop: '1px',
        fontWeight: 300,
        fontSize: 16,
        borderRadius: '4px',
        minHeight: function minHeight(props) {
          return props.multiline ? '130px !important' : '';
        },
        '&>:nth-child(2)': {
          '&>button': {
            marginRight: 10,
            position: 'relative',
            zIndex: 99,
            margin: 0,
            padding: 5,
            border: "1px solid " + theme.borderGreyPrimary,
            marginTop: -8,
            '&>svg': {
              width: 20,
              height: 20
            },
            '&:hover': {
              border: "1px solid " + theme.bluePrimary
            }
          }
        },
        '& > .MuiInputBase-input': {
          width: function width(props) {
            return props.width ? props.width : 378;
          },
          minHeight: function minHeight(props) {
            return props.multiline ? '130px !important' : '';
          },
          marginTop: function marginTop(props) {
            return props.multiline ? 32 : '';
          },
          paddingLeft: '20px',
          paddingRight: '0px',
          paddingTop: '24px',
          paddingBottom: '15px',
          color: '#00c24',
          padding: '0px',
          borderRadius: '4px',
          backgroundColor: "transparent !important",
          zIndex: 100
        },
        '& > .MuiInputBase-input:focus': {
          width: function width(props) {
            return props.width ? props.width + " !important" : "377px !important";
          },
          backgroundColor: 'transparent !important',
          marginLeft: 1.5
        },
        '& > .MuiInput-input': {
          marginLeft: 1.5,
          zIndex: 1,
          width: function width(props) {
            return props.width ? props.width + " !important" : "377px !important";
          },
          minHeight: function minHeight(props) {
            return props.multiline ? '130px !important' : '';
          },
          backgroundColor: 'transparent !important'
        }
      },
      '& > .MuiInput-root': {
        backgroundColor: theme.whitePrimary,
        height: 55
      },
      '& > .MuiInput-underline:before': {
        borderBottom: 'none',
        content: 'none'
      },
      '& > .MuiInput-underline:after': {
        border: "1px solid " + theme.bluePrimary,
        width: function width(props) {
          return props.width ? props.width : 378;
        },
        height: function height(props) {
          return props.height ? props.height : 60;
        },
        backgroundColor: 'white',
        transition: 'none',
        borderRadius: 4
      },
      '& > .MuiInput-underline:hover': {
        backgroundColor: 'white'
      },
      '& > .MuiInputLabel-animated': {
        color: 'grey',
        zIndex: 99,
        marginTop: "0px",
        paddingTop: '8px',
        paddingLeft: "15px",
        fontSize: "16px",
        transition: 'color 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms,transform 100ms cubic-bezier(0.0, 0, 0.2, 1) 0ms'
      },
      '& > .MuiInputLabel-root:before': {
        color: 'blue'
      }
    }
  });
  var classes = styles({
    width: width,
    height: height
  });
  var formatDate = format || 'DD/MM/YYYY';

  var _useState = useState(initialDate || dayjs().format(formatDate)),
      str = _useState[0],
      setStr = _useState[1];

  var _str$split = str.split(' '),
      dateValues = _str$split[0];

  var _dateValues$split = dateValues.split('/'),
      day = _dateValues$split[0],
      month = _dateValues$split[1],
      year = _dateValues$split[2];

  var date = new Date(+year, +month - 1, +day);

  var _useState2 = useState(dayjs(date)),
      value = _useState2[0],
      setValue = _useState2[1];

  var handleChange = function handleChange(newValue) {
    setValue(newValue);
  };

  useEffect(function () {
    if (initialDate) setStr(initialDate);
  }, [initialDate]);
  useEffect(function () {
    if (setValueDate) {
      setValueDate(value == null ? void 0 : value.format(formatDate));
    }
  }, [value]);
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement(LocalizationProvider, {
    dateAdapter: AdapterDayjs
  }, React.createElement(Stack, {
    spacing: 3
  }, maxDate ? React.createElement(DesktopDatePicker, {
    maxDate: dayjs().subtract(18, 'year'),
    className: classes.field,
    label: label,
    inputFormat: formatDate,
    value: value,
    onChange: handleChange,
    renderInput: function renderInput(params) {
      return React.createElement(TextField$1, Object.assign({
        className: classes.field
      }, params));
    }
  }) : React.createElement(DesktopDatePicker, {
    className: classes.field,
    label: label,
    inputFormat: formatDate,
    value: value,
    onChange: handleChange,
    renderInput: function renderInput(params) {
      return React.createElement(TextField$1, Object.assign({
        className: classes.field
      }, params));
    }
  }))));
};

var characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
var temporalId = function temporalId() {
  var limit = 25;
  var result = ' ';
  var charactersLength = characters.length;

  for (var i = 0; i < limit; i++) {
    result += characters.charAt(Math.floor(Math.random() * charactersLength));
  }

  return result;
};

var _excluded$q = ["accept", "onChange", "width", "label", "tag", "addText", "maxFiles", "maxFilesMessage", "setDataFiles", "initialFiles"];
var TextFieldUploadFile = function TextFieldUploadFile(_ref) {
  var accept = _ref.accept,
      onChange = _ref.onChange,
      width = _ref.width,
      label = _ref.label,
      tag = _ref.tag,
      addText = _ref.addText,
      maxFiles = _ref.maxFiles,
      maxFilesMessage = _ref.maxFilesMessage,
      setDataFiles = _ref.setDataFiles,
      initialFiles = _ref.initialFiles,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$q);

  var styles = makeStyles({
    root: {},
    containerFile: {
      border: "2px dashed " + theme.borderGreyPrimary,
      width: function width(props) {
        return props.width || 356;
      },
      borderRadius: 4,
      display: 'flex',
      alignItems: 'center',
      '&:hover': {
        border: "2px dashed " + theme.bluePrimary
      }
    },
    containerFileTag: {
      border: "1px solid " + theme.borderGreyPrimary,
      borderRadius: 4,
      height: 'max-content',
      minHeight: 55,
      marginTop: 20,
      width: function width(props) {
        return props.width || 356;
      },
      '&:hover': {
        border: "1px solid " + theme.bluePrimary
      }
    },
    containerIcon: {
      border: "1px solid " + theme.borderGreyPrimary,
      width: 30,
      height: 30,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      borderRadius: '50%',
      marginInlineStart: 'auto',
      marginRight: 15,
      '&:hover': {
        cursor: 'pointer',
        border: "1px solid " + theme.bluePrimary
      }
    },
    containerIconTag: {
      width: 15,
      height: 15,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      margin: 0,
      padding: 0,
      marginLeft: 15
    },
    label: {
      marginLeft: 15,
      padding: 5,
      margin: 8,
      color: theme.defaultSubtitle
    },
    labelTag: {
      marginLeft: 15,
      marginTop: 5,
      fontSize: 14,
      color: theme.defaultSubtitle,
      margin: 0,
      padding: 0
    },
    fileName: {
      marginLeft: 10,
      padding: 4,
      margin: 4
    },
    addText: {
      color: theme.bluePrimary,
      width: function width(props) {
        return props.width || 356;
      },
      textAlign: 'right',
      fontWeight: 500,
      marginTop: 10,
      '&:hover': {
        cursor: 'pointer'
      }
    },
    contentTag: {
      display: 'flex',
      alignItems: 'center',
      marginTop: -10,
      padding: 0,
      height: '100%',
      '&:hover': {
        '&>:nth-child(3)': {
          display: 'flex'
        }
      }
    },
    containerTrash: {
      width: 30,
      height: 30,
      border: "1px solid " + theme.borderGreyPrimary,
      justifyContent: 'center',
      alignItems: 'center',
      borderRadius: '50%',
      marginInlineStart: 'auto',
      marginRight: 15,
      marginTop: -25,
      display: 'none',
      '&:hover': {
        cursor: 'pointer',
        border: "1px solid " + theme.bluePrimary
      }
    }
  });
  var classes = styles({
    width: width
  });
  var inputFile = useRef();

  var _useState = useState([]),
      files = _useState[0],
      setFiles = _useState[1];

  var _useState2 = useState(false),
      showError = _useState2[0],
      setShowError = _useState2[1];

  var hanldeRemove = function hanldeRemove(id) {
    setFiles(files.filter(function (f) {
      return f.temp_id !== id;
    }));
  };

  useEffect(function () {
    if (initialFiles && initialFiles.length > 0) setFiles(initialFiles);
  }, [initialFiles]);
  useEffect(function () {
    if (setDataFiles) setDataFiles(files);
  }, [files]);

  var handleSetFiles = function handleSetFiles(file, url) {
    if (files.length === maxFiles) {
      setShowError(!showError);
      setTimeout(function () {
        setShowError(showError);
      }, 5500);
    } else {
      if (files.length === 0) {
        setFiles([{
          temp_id: temporalId(),
          name: file[0].name,
          size: file[0].size,
          type: file[0].type,
          base: url
        }]);
      }

      if (files.length > 0) {
        setFiles([].concat(files, [{
          temp_id: temporalId(),
          name: file[0].name,
          size: file[0].size,
          type: file[0].type,
          base: url
        }]));
      }
    }
  };

  var handleChange = function handleChange() {
    var _inputFile$current;

    if (inputFile) inputFile == null ? void 0 : (_inputFile$current = inputFile.current) == null ? void 0 : _inputFile$current.click();
  };

  var fileChange = function fileChange(e) {
    var _e$target;

    var _file = e == null ? void 0 : (_e$target = e.target) == null ? void 0 : _e$target.files;

    var fileReader = new FileReader();

    fileReader.onload = function (fileLoad) {
      var target = fileLoad == null ? void 0 : fileLoad.target;
      if (onChange) onChange(e);
      if (_file) handleSetFiles(_file, target == null ? void 0 : target.result);
    };

    if (_file) fileReader == null ? void 0 : fileReader.readAsDataURL(_file[0]);
  };

  var errorWidth = function errorWidth() {
    if (typeof width === 'string') {
      return parseFloat(width.replace(/\D/g, ""));
    }

    if (typeof width === 'number') {
      return width;
    }

    return 365;
  };

  return React.createElement("div", Object.assign({}, props), files.length > 0 && React.createElement(React.Fragment, null, files.map(function (file) {
    return React.createElement("div", {
      className: classes.containerFileTag,
      key: file.temp_id
    }, React.createElement("p", {
      className: classes.labelTag
    }, tag), React.createElement("div", {
      className: classes.contentTag
    }, React.createElement("div", {
      className: classes.containerIconTag
    }, React.createElement(IconButton, {
      onClick: handleChange
    }, React.createElement(AttachFileIcon, null))), React.createElement("p", {
      className: classes.fileName
    }, file.name), React.createElement("div", {
      className: classes.containerTrash
    }, React.createElement(IconButton, {
      onClick: function onClick() {
        return hanldeRemove(file.temp_id);
      }
    }, React.createElement(DeleteOutlineIcon, null)))));
  }), showError && React.createElement(Error$1, {
    width: errorWidth(),
    title: maxFilesMessage
  }), React.createElement("p", {
    className: classes.addText,
    onClick: handleChange
  }, addText)), files.length === 0 && React.createElement("div", {
    className: classes.containerFile
  }, React.createElement("p", {
    className: classes.label
  }, label), React.createElement("div", {
    className: classes.containerIcon
  }, React.createElement(IconButton, {
    onClick: handleChange
  }, React.createElement(NorthIcon, null)))), React.createElement("input", {
    ref: inputFile,
    accept: accept,
    type: 'file',
    onChange: fileChange,
    style: {
      display: 'none'
    }
  }));
};

var _excluded$r = ["id", "hideSearch", "value", "values", "type", "prerequisite", "emptyText", "max", "maxText", "prerequisiteText", "multiple", "width", "label", "name", "data", "disabled", "onChange", "onChangeValues", "onChangeInput"];
var Dropdown = function Dropdown(_ref) {
  var id = _ref.id,
      _ref$hideSearch = _ref.hideSearch,
      hideSearch = _ref$hideSearch === void 0 ? false : _ref$hideSearch,
      value = _ref.value,
      values = _ref.values,
      type = _ref.type,
      prerequisite = _ref.prerequisite,
      emptyText = _ref.emptyText,
      max = _ref.max,
      maxText = _ref.maxText,
      prerequisiteText = _ref.prerequisiteText,
      multiple = _ref.multiple,
      width = _ref.width,
      label = _ref.label,
      name = _ref.name,
      data = _ref.data,
      disabled = _ref.disabled,
      onChange = _ref.onChange,
      onChangeValues = _ref.onChangeValues,
      onChangeInput = _ref.onChangeInput,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$r);

  var _useState = useState(''),
      valueData = _useState[0],
      setValueData = _useState[1];

  var _useState2 = useState(values || []),
      valuesData = _useState2[0],
      setValuesData = _useState2[1];

  var _useState3 = useState(false),
      upArrow = _useState3[0],
      setUpArrow = _useState3[1];

  var _useState4 = useState(''),
      search = _useState4[0],
      setSearch = _useState4[1];

  var classes = styles$1({
    width: width,
    upArrow: upArrow,
    border: upArrow ? 'none' : "1px solid " + theme.borderGreyPrimary,
    borderBottom: upArrow ? "1px solid " + theme.bluePrimary : "1px solid " + theme.borderGreyPrimary
  });

  var handleInputFilter = function handleInputFilter(e) {
    if (onChangeInput) onChangeInput(e);
    setSearch(e.target.value);
  };

  var handleChange = function handleChange(element) {
    if (multiple) {
      var _values = [].concat(valuesData);

      var index = _values.findIndex(function (v) {
        return v.value === element.value;
      });

      if (index !== -1) return;

      _values.push(element);

      onChangeValues && onChangeValues(_values);
      setValuesData(_values);
    } else {
      onChange && onChange(element);
      setValueData(element.text || '');
      setUpArrow(false);
      setSearch('');
    }
  };

  var deleteTagSelected = function deleteTagSelected(tag) {
    var _values = [].concat(valuesData).filter(function (e) {
      return e.value !== tag.value;
    });

    onChangeValues && onChangeValues(_values);
    setValuesData(_values);
    setUpArrow(true);
  };

  var renderList = function renderList() {
    var listDataToFilter = [].concat(data || []);
    listDataToFilter = listDataToFilter.filter(function (element) {
      var _element$text;

      return element == null ? void 0 : (_element$text = element.text) == null ? void 0 : _element$text.toLowerCase().includes(search.toLowerCase());
    });
    if (prerequisite) return React.createElement("div", {
      style: {
        textAlign: 'center'
      }
    }, prerequisiteText);
    if (typeof max === 'number' && valuesData.length !== 0 && max === valuesData.length) return React.createElement("div", null, React.createElement(Error$1, {
      position: 'center',
      title: maxText
    }));
    if (listDataToFilter.length === 0) return React.createElement("div", {
      style: {
        textAlign: 'center'
      }
    }, emptyText);

    if (multiple) {
      return listDataToFilter.map(function (e) {
        return React.createElement("div", {
          key: e.key,
          onClick: function onClick() {
            return handleChange(e);
          },
          className: classes.results
        }, React.createElement("p", null, e.text));
      });
    }

    return listDataToFilter.map(function (element) {
      return React.createElement("div", {
        key: element.key,
        className: classes.results
      }, React.createElement("p", {
        onClick: function onClick() {
          return handleChange(element);
        }
      }, element.text));
    });
  };

  var listTagsSelected = function listTagsSelected() {
    if (valuesData && valuesData.length > 0) {
      return React.createElement("div", {
        style: {
          borderBottom: upArrow ? "1px solid " + theme.bluePrimary : "1px solid " + theme.borderGreyPrimary
        },
        className: classes.tagsContainer
      }, valuesData.map(function (tag) {
        return React.createElement("div", {
          key: tag.key,
          className: classes.tag
        }, React.createElement("p", {
          className: classes.tagTitle
        }, tag.text), React.createElement("p", {
          className: classes.crossTag,
          onClick: function onClick() {
            return deleteTagSelected(tag);
          }
        }, "x"));
      }));
    }
  };

  useEffect(function () {
    if (!multiple) {
      if (value === '') setValueData('');
      var index = data == null ? void 0 : data.findIndex(function (e) {
        return e.value === value;
      });

      if (Number.isInteger(index) && index !== -1) {
        var _value = Array.isArray(data) ? data[index || 0].text : '';

        setValueData(_value || '');
      }
    }
  }, [value]);
  useEffect(function () {
    if (multiple) {
      if (Array.isArray(values)) {
        var _values = [];
        var selectedFilter = [];
        values.forEach(function (v) {
          selectedFilter = (data == null ? void 0 : data.filter(function (e) {
            return e.value === v.value;
          })) || [];
          _values = _values.concat(selectedFilter);
        });
        setValuesData(_values);
      }
    }
  }, [values]);
  return React.createElement("div", null, upArrow && React.createElement("div", {
    className: classes.backWall,
    onClick: function onClick() {
      return setUpArrow(false);
    }
  }), React.createElement("div", Object.assign({}, props, {
    className: classes.root,
    style: {
      border: upArrow ? "1px solid " + theme.bluePrimary : "1px solid " + theme.borderGreyPrimary
    }
  }), React.createElement(TextField$2, {
    className: classes.field,
    id: id,
    type: type,
    value: valueData || '',
    label: label,
    autoComplete: "off",
    disabled: true,
    name: name,
    InputProps: {
      endAdornment: React.createElement(InputAdornment$1, {
        position: "start"
      }, React.createElement("div", {
        style: {
          paddingRight: '12px'
        },
        onClick: function onClick() {
          return setUpArrow(!upArrow);
        }
      }, !upArrow ? React.createElement(IconButton$1, {
        style: {
          width: 36,
          height: 36
        }
      }, React.createElement(KeyboardArrowDownIcon, {
        className: classes.arrow,
        style: {
          border: "2px solid " + theme.borderGreyPrimary
        }
      })) : React.createElement(IconButton$1, {
        style: {
          width: 36,
          height: 36
        }
      }, React.createElement(KeyboardArrowUpIcon, {
        className: classes.arrow,
        style: {
          border: "1px solid " + theme.bluePrimary
        }
      }))))
    }
  }), multiple && React.createElement(React.Fragment, null, listTagsSelected()), upArrow && React.createElement("div", {
    className: classes.selector
  }, React.createElement("div", {
    className: classes.inputSearch
  }, !hideSearch && React.createElement(TextField$2, {
    className: classes.fieldSearch,
    id: id,
    type: type,
    value: search || null,
    onChange: handleInputFilter,
    label: label,
    fullWidth: true,
    autoComplete: "off",
    disabled: disabled,
    name: name,
    autoFocus: true,
    InputProps: {
      endAdornment: React.createElement(InputAdornment$1, {
        position: "start"
      }, React.createElement("div", {
        style: {
          paddingRight: '12px'
        }
      }, React.createElement(SearchIcon, {
        className: classes.arrow
      })))
    }
  }), React.createElement("div", {
    className: classes.containerResults
  }, renderList())))));
};
var styles$1 = /*#__PURE__*/makeStyles({
  backWall: {
    position: 'fixed',
    width: '100%',
    height: '100%',
    zIndex: 998,
    left: 0,
    top: 0,
    right: 0
  },
  root: {
    display: 'flex',
    flexDirection: 'column',
    alignSelf: 'center',
    width: function width(props) {
      return props.width || 'max-content';
    },
    borderRadius: 6,
    position: 'relative',
    zIndex: function zIndex(props) {
      return props.zIndex;
    },
    '& > .MuiPaper-elevation3': {
      boxShadow: 'none',
      backgroundColor: 'white'
    }
  },
  field: {
    borderBottom: function borderBottom(props) {
      return props.borderBottom;
    },
    outline: 'none',
    borderRadius: 4,
    '& > .MuiInputBase-root': {
      marginTop: '1px',
      fontWeight: 300,
      fontSize: 16,
      borderRadius: '4px',
      '& > .MuiInputBase-input': {
        paddingLeft: '20px',
        paddingRight: '20px',
        paddingTop: '24px',
        paddingBottom: '15px',
        color: theme.blackPrimary,
        padding: '0px',
        borderRadius: '4px',
        backgroundColor: "transparent !important",
        zIndex: 100,
        '&:focus': {
          border: 'none'
        }
      }
    },
    '& > .MuiInput-root': {
      backgroundColor: theme.whitePrimary
    },
    '& > .MuiInput-underline:before': {
      borderBottom: 'none',
      content: 'none'
    },
    '& > .MuiInput-underline:after': {
      backgroundColor: 'white',
      borderBottom: 'none'
    },
    '& > .MuiInput-underline:hover': {
      backgroundColor: theme.whitePrimary
    },
    '& > .MuiInputLabel-animated': {
      color: 'grey',
      zIndex: 99,
      marginTop: 0,
      paddingTop: 8,
      paddingLeft: 15,
      fontSize: 16,
      transition: 'color 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms,transform 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms'
    },
    '& > .MuiInputLabel-root:before': {
      color: theme.bluePrimary
    }
  },
  fieldSearch: {
    border: "1px solid " + theme.bluePrimary,
    width: '100%',
    outline: 'none',
    borderRadius: 4,
    postion: 'relative',
    '& > .MuiInputBase-root': {
      marginTop: 1,
      borderRadius: 4,
      '& > .MuiInputBase-input': {
        paddingLeft: 20,
        paddingRight: 20,
        paddingTop: 24,
        paddingBottom: 15,
        color: '#000c24',
        padding: 0,
        borderRadius: 4,
        backgroundColor: 'transparent',
        zIndex: function zIndex(props) {
          return props.zIndex;
        },
        '&:focus': {
          border: 'none'
        }
      }
    },
    '& > .MuiInput-root': {
      backgroundColor: theme.whitePrimary
    },
    '& > .MuiInput-underline:before': {
      borderBottom: 'none',
      content: 'none'
    },
    '& > .MuiInput-underline:after': {
      backgroundColor: theme.whitePrimary,
      borderBottom: 'none'
    },
    '& > .MuiInput-underline:hover': {
      backgroundColor: theme.whitePrimary
    },
    '& > .MuiInputLabel-animated': {
      color: 'grey',
      zIndex: 99,
      marginTop: 0,
      paddingTop: 8,
      paddingLeft: 15,
      fontSize: 16,
      transition: 'color 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms,transform 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms'
    },
    '& > .MuiInputLabel-root:before': {
      color: 'blue'
    }
  },
  arrow: {
    color: theme.defaultSubtitle,
    width: '30px !important',
    height: '30px !important',
    borderRadius: '50%',
    cursor: 'pointer',
    border: "1px solid " + theme.borderGreyPrimary
  },
  selector: {
    border: function border(props) {
      return "1px solid " + (props.upArrow ? theme.bluePrimary : theme.borderGreyPrimary);
    },
    minHeight: 190,
    backgroundColor: theme.whitePrimary,
    position: 'absolute',
    top: '100%',
    zIndex: 99999,
    minWidth: 'calc(100%)',
    overflowX: 'hidden',
    overflowY: 'auto'
  },
  inputSearch: {
    padding: 25
  },
  containerResults: {
    maxHeight: 150,
    height: 'min-content',
    overflowX: 'auto',
    marginTop: 15,
    '&::-webkit-scrollbar': {
      width: "5px",
      backgroundColor: theme.grayPrimary
    },
    '&::-webkit-scrollbar-thumb': {
      backgroundColor: theme.opacityGrayDefault,
      borderRadius: "20px"
    },
    "&::-webkit-scrollbar-track": {
      marginBottom: "1px"
    }
  },
  results: {
    fontSize: 15,
    '&>p': {
      padding: '6px 6px 6px 4px',
      margin: 0,
      '&:hover': {
        backgroundColor: theme.hoverBlue,
        cursor: 'pointer'
      }
    }
  },
  noResults: {
    textAlign: 'center',
    marginTop: 15
  },
  errorMaxTags: {
    display: 'flex',
    justifyContent: 'center',
    '&>div': {
      width: 300,
      textAlign: 'center'
    }
  },
  containerTags: {
    border: "1px solid " + theme.borderGreyPrimary,
    marginTop: 10,
    padding: 15
  },
  subContainerTags: {
    display: 'flex',
    flexFlow: 'wrap'
  },
  tag: {
    backgroundColor: theme.grayPrimary,
    borderRadius: 4,
    margin: 10,
    width: 'max-content',
    padding: 8,
    display: 'flex'
  },
  tagTitle: {
    fontSize: 14
  },
  crossTag: {
    marginLeft: 20,
    '&:hover': {
      fontWeight: 700,
      cursor: 'pointer'
    }
  },
  tagsContainer: {
    display: 'flex',
    flexWrap: 'wrap',
    borderLeft: theme.borderGreyPrimary,
    borderRight: theme.borderGreyPrimary
  },
  searchIcon: {
    border: "1px solid " + theme.borderGreyPrimary,
    width: 30,
    height: 30,
    padding: 5,
    borderRadius: '50%'
  }
});

var CategoryDropdown = function CategoryDropdown(_ref) {
  var width = _ref.width,
      hideSearch = _ref.hideSearch,
      labelCategory = _ref.labelCategory,
      labelSpeciality = _ref.labelSpeciality,
      labelAbility = _ref.labelAbility,
      max = _ref.max,
      values = _ref.values,
      maxText = _ref.maxText,
      emptyText = _ref.emptyText,
      prerequisiteSpeciality = _ref.prerequisiteSpeciality,
      prerequisiteSpecialityText = _ref.prerequisiteSpecialityText,
      prerequisiteAbility = _ref.prerequisiteAbility,
      prerequisiteAbilityText = _ref.prerequisiteAbilityText,
      categories = _ref.categories,
      specialities = _ref.specialities,
      abilities = _ref.abilities,
      onChange = _ref.onChange;

  var _useState = useState({
    id: '',
    reference: '',
    title: ''
  }),
      category = _useState[0],
      setCategory = _useState[1];

  var _useState2 = useState({
    id: '',
    reference: '',
    title: ''
  }),
      speciality = _useState2[0],
      setSpeciality = _useState2[1];

  var _useState3 = useState([]),
      abilitiesData = _useState3[0],
      setAbilitiesData = _useState3[1];

  var _useState4 = useState(''),
      categorySelected = _useState4[0],
      setCategorySelected = _useState4[1];

  var _useState5 = useState(''),
      specialitySelected = _useState5[0],
      setSpecilitySelected = _useState5[1];

  var _useState6 = useState([]),
      abilitiesSelected = _useState6[0],
      setAbilitiesSelected = _useState6[1];

  useEffect(function () {
    var _values$category, _values$speciality, _values$abilities;

    if (values != null && (_values$category = values.category) != null && _values$category.id) {
      setCategorySelected(values == null ? void 0 : values.category.id);
    }

    if (values != null && (_values$speciality = values.speciality) != null && _values$speciality.id) {
      setSpecilitySelected(values.speciality.id);
    }

    if (values && Array.isArray(values == null ? void 0 : values.abilities) && (values == null ? void 0 : (_values$abilities = values.abilities) == null ? void 0 : _values$abilities.length) > 0) {
      setAbilitiesData(values == null ? void 0 : values.abilities);
    }
  }, [values]);
  useEffect(function () {
    if (categorySelected) {
      var dataCategories = categories || [];
      var index = dataCategories.findIndex(function (e) {
        return e.id === categorySelected;
      });

      if (index !== -1) {
        setCategory(dataCategories[index]);
      }
    }
  }, [categorySelected]);
  useEffect(function () {
    if (specialitySelected) {
      var dataSpecialities = specialities || [];
      var index = dataSpecialities.findIndex(function (e) {
        return e.id === specialitySelected;
      });

      if (index !== -1) {
        setSpeciality(dataSpecialities[index]);
      }
    }
  }, [specialitySelected]);
  useEffect(function () {
    if (abilitiesSelected.length > 0) {
      var _abilities = abilitiesSelected;

      _abilities.forEach(function (ability) {
        var index = _abilities.findIndex(function (v) {
          return v.id === ability.id;
        });

        if (index === -1) _abilities = _abilities.concat((abilities == null ? void 0 : abilities.filter(function (v) {
          return v.id === (ability == null ? void 0 : ability.id);
        })) || []);
      });

      setAbilitiesData(_abilities);
    } else {
      setAbilitiesData(values && Array.isArray(values == null ? void 0 : values.abilities) && (values == null ? void 0 : values.abilities) || []);
    }
  }, [abilitiesSelected]);

  var handleCategory = function handleCategory(e) {
    setCategorySelected(!Array.isArray(e) ? e.value : '');
    if (onChange) onChange({
      category: {
        id: e.value,
        reference: e.key,
        title: e.text
      },
      speciality: {
        id: '',
        reference: '',
        title: ''
      },
      abilities: []
    });
    setSpeciality({
      id: '',
      reference: '',
      title: ''
    });
    setSpecilitySelected('');
    setAbilitiesSelected([]);
    setAbilitiesData([]);
  };

  var handleSpecialities = function handleSpecialities(e) {
    setSpecilitySelected(!Array.isArray(e) ? e.value : '');
    if (onChange) onChange({
      category: category,
      speciality: {
        id: e.value,
        reference: e.key,
        title: e.text
      },
      abilities: []
    });
    setAbilitiesData([]);
    setAbilitiesSelected([]);
  };

  var handleAbilities = function handleAbilities(e) {
    if (Array.isArray(e) && e.length > 0) {
      var selected = [];
      abilities == null ? void 0 : abilities.forEach(function (v) {
        var equal = e.some(function (k) {
          return k.value === v.id;
        });
        if (equal) selected.push(v);
      });
      setAbilitiesSelected(selected);
      if (onChange) onChange({
        category: category,
        speciality: speciality,
        abilities: selected
      });
    } else {
      setAbilitiesSelected([]);
      if (onChange) onChange({
        category: category,
        speciality: speciality,
        abilities: []
      });
    }
  };

  return React.createElement("div", null, React.createElement("div", {
    style: {
      marginTop: 20
    }
  }, React.createElement(Dropdown, {
    width: width,
    label: labelCategory,
    emptyText: emptyText,
    hideSearch: hideSearch,
    value: categorySelected,
    onChange: handleCategory,
    data: categories == null ? void 0 : categories.map(function (e) {
      return {
        text: e.title,
        key: e.id,
        value: e.id
      };
    })
  })), React.createElement("div", {
    style: {
      marginTop: 20
    }
  }, React.createElement(Dropdown, {
    width: width,
    emptyText: emptyText,
    prerequisite: prerequisiteSpeciality,
    prerequisiteText: prerequisiteSpecialityText,
    label: labelSpeciality,
    hideSearch: hideSearch,
    value: specialitySelected,
    onChange: handleSpecialities,
    data: specialities == null ? void 0 : specialities.map(function (e) {
      return {
        text: e.title,
        key: e.id,
        value: e.id
      };
    })
  })), React.createElement("div", {
    style: {
      marginTop: 20
    }
  }, React.createElement(Dropdown, {
    width: width,
    prerequisite: prerequisiteAbility,
    prerequisiteText: prerequisiteAbilityText,
    hideSearch: hideSearch,
    multiple: true,
    max: max,
    emptyText: emptyText,
    maxText: maxText,
    label: labelAbility,
    values: abilitiesData.map(function (e) {
      return {
        text: e.title,
        value: e.id,
        key: e.id
      };
    }),
    onChangeValues: function onChangeValues(data) {
      return handleAbilities(data);
    },
    data: abilities == null ? void 0 : abilities.map(function (e) {
      return {
        text: e.title,
        key: e.id,
        value: e.id
      };
    })
  })));
};

var _excluded$s = ["label", "list", "onClick", "setValue", "value"];
var SimpleSelector = function SimpleSelector(_ref) {
  var label = _ref.label,
      list = _ref.list,
      setValue = _ref.setValue,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$s);

  var styles = makeStyles({
    root: {
      width: 'max-content',
      display: 'flex',
      fontSize: 14,
      alignItems: 'center'
    },
    containerValue: {
      position: 'relative',
      display: 'flex',
      alignItems: 'center',
      marginLeft: 10,
      '&>span': {
        marginLeft: 6,
        '&>button': {
          width: 15,
          height: 15
        }
      }
    },
    containerValues: {
      position: 'absolute',
      zIndex: 999,
      backgroundColor: theme.whitePrimary,
      width: 'max-content',
      height: 'max-content',
      maxHeight: 260,
      top: 30,
      right: 0,
      border: "1px solid " + theme.borderGreyPrimary,
      borderRadius: 5,
      padding: 15,
      boxShadow: theme.shadowSimple,
      overflowX: 'auto',
      '&::-webkit-scrollbar': {
        width: "5px",
        backgroundColor: theme.grayPrimary
      },
      '&::-webkit-scrollbar-thumb': {
        backgroundColor: theme.opacityGrayDefault,
        borderRadius: "20px"
      },
      "&::-webkit-scrollbar-track": {
        marginBottom: "1px"
      }
    },
    itemSelected: {
      margin: 10,
      color: theme.blackPrimary,
      fontWeight: 600,
      '&:hover': {
        cursor: 'pointer',
        fontWeight: 600
      }
    },
    item: {
      margin: 10,
      color: theme.opacityGrayDefault,
      '&:hover': {
        color: theme.blackPrimary,
        cursor: 'pointer',
        fontWeight: 600
      }
    },
    backWall: {
      position: 'fixed',
      backgroundColor: 'transparent !important',
      top: 0,
      left: 0,
      right: 0,
      width: '100%',
      height: '100%'
    }
  });
  var classes = styles();

  var _useState = useState(""),
      valueLocal = _useState[0],
      setValueLocal = _useState[1];

  var _useState2 = useState(false),
      open = _useState2[0],
      setOpen = _useState2[1];

  useEffect(function () {
    if (list && list.length > 0) {
      setValueLocal(list[0]);
    }
  }, [list]);

  var handleSetValue = function handleSetValue(v) {
    setValue && setValue(v);
    setValueLocal(v);
  };

  return React.createElement(React.Fragment, null, open && React.createElement("div", {
    className: classes.backWall,
    onClick: function onClick() {
      return setOpen(!open);
    }
  }), React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement("div", null, React.createElement("p", null, label, ":\xA0")), React.createElement("div", {
    className: classes.containerValue
  }, React.createElement("p", null, valueLocal), React.createElement("span", null, React.createElement(IconButton, {
    onClick: function onClick() {
      return setOpen(!open);
    }
  }, !open ? React.createElement(KeyboardArrowDownIcon, null) : React.createElement(KeyboardArrowUpIcon, null))), open && React.createElement("div", {
    className: classes.containerValues
  }, list && list.length > 0 && list.map(function (v, i) {
    return React.createElement("p", {
      key: i,
      onClick: function onClick() {
        return handleSetValue(v);
      },
      className: v === valueLocal ? classes.itemSelected : classes.item
    }, v);
  })))));
};

var _excluded$t = ["width", "height", "avatar", "avatarSrc", "projectTitle", "projectStatus", "publicatedDate", "onClickCard", "onClickBtnRight", "onClickBtnLeft", "onClickBtnCenter", "projectId", "btnHeight", "btnCenterText", "btnLeftText", "btnRightText", "onClickAvatar", "userName", "lng", "btnQuantity", "noBtn"];
var ListingProjectCard = function ListingProjectCard(_ref) {
  var width = _ref.width,
      height = _ref.height,
      avatar = _ref.avatar,
      avatarSrc = _ref.avatarSrc,
      projectTitle = _ref.projectTitle,
      projectStatus = _ref.projectStatus,
      publicatedDate = _ref.publicatedDate,
      onClickCard = _ref.onClickCard,
      onClickBtnRight = _ref.onClickBtnRight,
      onClickBtnLeft = _ref.onClickBtnLeft,
      onClickBtnCenter = _ref.onClickBtnCenter,
      btnHeight = _ref.btnHeight,
      btnCenterText = _ref.btnCenterText,
      btnLeftText = _ref.btnLeftText,
      btnRightText = _ref.btnRightText,
      onClickAvatar = _ref.onClickAvatar,
      userName = _ref.userName,
      lng = _ref.lng,
      btnQuantity = _ref.btnQuantity,
      noBtn = _ref.noBtn,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$t);

  var styles = makeStyles({
    root: {
      width: function width(props) {
        return props.width || 340;
      },
      height: function height(props) {
        return props.height || 340;
      },
      border: "1px solid " + theme.grayPrimary,
      borderRadius: 4,
      backgroundColor: theme.whitePrimary,
      padding: 20,
      '&:hover': {
        border: "2px solid " + theme.bluePrimary,
        boxShadow: theme.shadowBlackDefault,
        cursor: 'pointer'
      }
    },
    content: {
      width: '99.9%',
      height: function height(props) {
        return props.childHeight ? "calc(100% - " + props.childHeight + "px)" : "calc(100% - 80px)";
      }
    },
    containerBtn: {
      height: function height(props) {
        return props.childHeight || 80;
      },
      width: '99.9%',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center'
    },
    containerIcons: {
      display: 'flex',
      alignItems: 'center',
      '&>svg': {
        color: theme.yellowPrimary,
        backgroundColor: theme.yellowBackground,
        width: 30,
        height: 30,
        padding: 7,
        borderRadius: '50%',
        position: 'relative',
        zIndex: 20
      }
    },
    avatar: {
      width: 40,
      height: 40,
      marginLeft: -10,
      position: 'relative',
      zIndex: 19
    },
    containerMiddle: {
      display: 'flex',
      flexFlow: 'column',
      alignItems: 'center',
      justifyContent: 'center',
      width: '100%',
      height: '100%',
      textAlign: 'center'
    },
    title: {
      fontSize: 22,
      width: '99.9%',
      color: theme.blackPrimary,
      textTransform: 'capitalize',
      margin: '5px 0px 5px 0px !important',
      padding: 0
    },
    status: {
      fontSize: 18,
      width: '99.9%',
      color: theme.bluePrimary,
      textTransform: 'capitalize',
      margin: '5px 0px 5px 0px !important',
      padding: 0
    },
    date: {
      fontSize: 14,
      width: '99.9%',
      color: theme.opacityGrayDefault,
      margin: '20px 0px 30px 0px !important',
      padding: 0
    }
  });
  var classes = styles({
    width: width,
    height: height,
    childHeight: btnHeight
  });

  var formatDate = function formatDate(date) {
    var en = lng === 'en';
    var day, month, year;

    if (date) {
      var dateMonths = {
        "0": en ? "January" : "Enero",
        "1": en ? "February" : "Febrero",
        "2": en ? "March" : "Marzo",
        "3": en ? "April" : "Abril",
        "4": en ? "May" : "Mayo",
        "5": en ? "June" : "Junio",
        "6": en ? "July" : "Julio",
        "7": en ? "August" : "Agosto",
        "8": en ? "September" : "Setiembre",
        "9": en ? "October" : "Octubre",
        "10": en ? "November" : "Noviembre",
        "11": en ? "December" : "Diciembre"
      };
      day = date.split('-')[2].slice(0, 2);
      month = date.split('-')[1].slice(0, 2);
      year = date.split('-')[0];
      return en ? "Published on " + Object.values(dateMonths)[parseInt(month) - 1] + " " + day + ", " + year : "Publicado el " + day + "  " + Object.values(dateMonths)[parseInt(month) - 1] + ", " + year;
    }

    return "";
  };

  return React.createElement("div", Object.assign({
    className: classes.root
  }, props, {
    onClick: onClickCard
  }), React.createElement("div", {
    className: classes.content
  }, React.createElement("div", {
    className: classes.containerIcons
  }, React.createElement(ContentPasteIcon, null), avatar && React.createElement(Avatar, {
    onClick: onClickAvatar,
    className: classes.avatar,
    src: avatarSrc,
    title: userName || ""
  }, userName ? userName.slice(0, 1) : 'D')), React.createElement("div", {
    className: classes.containerMiddle
  }, React.createElement("h1", {
    className: classes.title
  }, projectTitle || ""), React.createElement("h4", {
    className: classes.status
  }, projectStatus), React.createElement("p", {
    className: classes.date
  }, formatDate(publicatedDate)))), React.createElement("div", {
    className: classes.containerBtn,
    style: {
      justifyContent: btnQuantity && btnQuantity === 2 ? 'space-between' : 'center'
    }
  }, !noBtn && btnQuantity && btnQuantity === 1 && btnCenterText && React.createElement(ButtonForm, {
    style: {
      width: '100%'
    },
    label: btnCenterText,
    onClick: onClickBtnCenter
  }), !noBtn && btnQuantity && btnQuantity === 2 && btnLeftText && btnRightText && React.createElement(React.Fragment, null, React.createElement(ButtonForm, {
    style: {
      width: '100%',
      margin: 15
    },
    label: btnLeftText,
    onClick: onClickBtnLeft
  }), React.createElement(ButtonForm, {
    style: {
      width: '100%',
      margin: 15
    },
    label: btnRightText,
    onClick: onClickBtnRight
  }))));
};

var _excluded$u = ["totalPages", "setPage"];
var Paginator = function Paginator(_ref) {
  var totalPages = _ref.totalPages,
      setPage = _ref.setPage,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$u);

  var styles = makeStyles({
    root: {}
  });
  var classes = styles();

  var getPage = function getPage(_event, page) {
    setPage && setPage(page);
  };

  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement(Pagination, {
    onChange: getPage,
    count: totalPages,
    variant: "outlined",
    shape: "rounded"
  }));
};

var _excluded$v = ["id", "userEmisor", "emisorName", "availability", "created", "message", "emisorId", "avatar", "avatarCounterPart", "recibedName", "lng", "redirection", "userId", "width"];
var MenuMessages = function MenuMessages(_ref) {
  var id = _ref.id,
      userEmisor = _ref.userEmisor,
      emisorName = _ref.emisorName,
      availability = _ref.availability,
      created = _ref.created,
      message = _ref.message,
      avatar = _ref.avatar,
      avatarCounterPart = _ref.avatarCounterPart,
      recibedName = _ref.recibedName,
      lng = _ref.lng,
      redirection = _ref.redirection,
      userId = _ref.userId,
      width = _ref.width,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$v);

  var styles = makeStyles({
    root: {
      display: "flex",
      paddingTop: 15,
      paddingBottom: 15,
      alignItems: "center",
      marginLeft: 15,
      borderBottom: "1px solid " + theme.grayPrimary,
      "&:hover": {
        opacity: ".75",
        cursor: "pointer"
      }
    },
    containerText: {
      marginLeft: 12,
      width: "100%"
    },
    name: {
      color: theme.blackPrimary,
      lineHeight: "21px",
      fontSize: 14,
      fontFamily: "Poppins",
      fontStyle: 'normal',
      fontWeight: 500
    },
    message: {
      color: theme.opacityGrayDefault,
      lineHeight: "21px",
      fontSize: 14,
      fontFamily: "Poppins",
      fontStyle: 'normal'
    },
    created: {
      color: theme.opacityGrayDefault,
      lineHeight: "21px",
      fontSize: 12,
      fontFamily: "Poppins",
      fontStyle: 'normal',
      textAlignLast: "right",
      marginRight: 25
    }
  });
  var classes = styles();

  var handleUserNameMessage = function handleUserNameMessage(userId, userEmisor, emisorName, recibedName) {
    if (userId === userEmisor) return recibedName;
    return emisorName;
  };

  var handleUserAvatarMessage = function handleUserAvatarMessage(userId, userEmisor, avatar, avatarCounterPart) {
    if (userId !== userEmisor) return avatar;
    return avatarCounterPart;
  };

  var Timer = function Timer(created) {
    var esFormat = buildFormatter(spanishStrings);
    var enFormat = buildFormatter(englishStrings);
    return React.createElement("div", null, created && React.createElement(Timeago, {
      date: created,
      formatter: lng === 'en' ? enFormat : esFormat
    }));
  };

  var widthValue = function widthValue(width) {
    if (width) {
      if (typeof width === 'number') {
        return width + "px";
      }

      if (typeof width === 'string') {
        return width;
      }
    }

    return "";
  };

  return React.createElement("div", Object.assign({
    className: classes.root,
    key: id,
    onClick: redirection
  }, props, {
    style: {
      width: widthValue(width)
    }
  }), React.createElement(AvatarModule, {
    name: handleUserNameMessage(userId, userEmisor, emisorName, recibedName) || "",
    image: handleUserAvatarMessage(userId, userEmisor, avatar, avatarCounterPart) || "",
    small: true,
    status: true,
    online: availability === 'off' ? false : true
  }), React.createElement("div", {
    className: classes.containerText
  }, React.createElement("div", {
    className: classes.created
  }, Timer(created)), React.createElement("p", {
    className: classes.name
  }, handleUserNameMessage(userId, userEmisor, emisorName, recibedName) || ""), React.createElement("p", {
    className: classes.message
  }, message && message.length > 30 ? ("" + message).slice(0, 30).concat(' ...') : "" + message)));
};

var _excluded$w = ["text", "type"];
var Footer = function Footer(_ref) {
  var text = _ref.text,
      type = _ref.type,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$w);

  var styles = makeStyles({
    root: {
      width: '100%',
      textAlign: 'center',
      color: theme.textContentPrimary,
      borderTop: "2px solid " + theme.grayPrimary,
      paddingTop: 10,
      paddingBottom: 10,
      backgroundColor: theme.whitePrimary,
      '&>ul': {
        display: 'flex',
        flexFlow: 'wrap',
        listStyle: 'none',
        justifyContent: 'center',
        '&>li': {
          textAlign: 'center',
          '&>a': {
            margin: 15,
            '&>svg': {
              color: theme.textContentPrimary,
              width: 20,
              height: 20
            }
          }
        }
      },
      '&>p': {
        padding: 0,
        margin: 0
      }
    }
  });
  var classes = styles();
  return React.createElement(React.Fragment, null, type === 'simple' && React.createElement("footer", Object.assign({}, props, {
    className: classes.root
  }), React.createElement("ul", null, React.createElement("li", null, React.createElement("a", {
    href: "https://www.instagram.com/",
    target: "_blank",
    title: "Instagram"
  }, React.createElement(InstagramIcon, null))), React.createElement("li", null, React.createElement("a", {
    href: "https://www.linkedin.com/",
    target: "_blank",
    title: "Linkedin"
  }, React.createElement(LinkedInIcon, null))), React.createElement("li", null, React.createElement("a", {
    href: "https://www.facebook.com/",
    target: "_blank",
    title: "Facebook"
  }, React.createElement(FacebookIcon, null))), React.createElement("li", null, React.createElement("a", {
    href: "https://www.twitter.com/",
    target: "_blank",
    title: "Twitter"
  }, React.createElement(TwitterIcon, null)))), React.createElement("p", null, text || "")));
};

var types = {
  "image/bmp": "bmp",
  "image/png": "png",
  "image/jpeg": "jpeg",
  "image/jpg": "jpg",
  "image/gif": "gif",
  "application/pdf": "pdf",
  "application/vnd.openxmlformats-officedocument.wordprocessingml.document": "docx",
  "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": "xlsx",
  "application/zip": "zip",
  "application/x-zip-compressed": "zip",
  "video/mp4": "mp4",
  "audio/mpeg": "mpeg",
  "audio/wav": "wav",
  "audio/ogg": "ogg",
  "image/svg+xml": "svg"
};
var DetectFileType = function DetectFileType(fileType) {
  if (fileType) {
    var type = Object.keys(types).filter(function (t) {
      return t === fileType;
    });
    var typeValue = type && type[0] ? types[type[0]] : '';
    return typeValue;
  }

  return "";
};
var FormatName = function FormatName(fileName) {
  var limit = 10;

  if (fileName) {
    if (fileName.length > limit) {
      return fileName.split(".")[0].slice(0, limit).concat("...").concat(fileName.split(".")[1]);
    } else {
      return fileName;
    }
  }

  return "";
};
var FormatNameAWS = function FormatNameAWS(fileName) {
  var limit = 15;

  if (fileName) {
    if (fileName.length > limit) {
      var firstString = fileName.split('.')[0].slice(0, limit - 3).concat('...');
      var ext = fileName.split('.')[1].split('-')[0];
      return firstString + "." + ext;
    } else {
      var _firstString = fileName.split('.')[0];
      var _ext = fileName.split('.')[1].split('-')[0];
      return _firstString + "." + _ext;
    }
  }

  return "";
};
var FileSize = function FileSize(size) {
  var inMB = 1000000;
  var inKB = 1000;

  if (size) {
    var primaryResultMb = parseFloat(size) / inMB;
    var primaryResultKb = parseFloat(size) / inKB;
    var resInMB = ("" + primaryResultMb).includes('.') ? ("" + primaryResultMb).split('.')[0] + "." + ("" + primaryResultMb).split('.')[1].substring(0, 2) : primaryResultMb;
    var resInKb = ("" + primaryResultKb).includes('.') ? ("" + primaryResultKb).split('.')[0] + "." + ("" + primaryResultKb).split('.')[1].substring(0, 2) : primaryResultKb;
    var result = primaryResultMb >= 1 ? resInMB + " MB" : resInKb + " kb";
    return result;
  }

  return "";
};
var DescriptionSize = function DescriptionSize(size, lng) {
  var text = lng === 'en' ? 'Size:' : 'Tamaño';
  return text + " " + size;
};
var HourChat = function HourChat(hour) {
  if (hour) {
    var hours = hour.split(':')[0];
    var minutes = hour.split(':')[1];
    return minutes && minutes.length > 1 ? hour : hours + ":0" + minutes;
  }
};

var FormatDate = function FormatDate(date, lng) {
  var en = lng === 'en';
  var day, month, year;

  if (date) {
    var dateMonths = {
      "0": en ? "January" : "Enero",
      "1": en ? "February" : "Febrero",
      "2": en ? "March" : "Marzo",
      "3": en ? "April" : "Abril",
      "4": en ? "May" : "Mayo",
      "5": en ? "June" : "Junio",
      "6": en ? "July" : "Julio",
      "7": en ? "August" : "Agosto",
      "8": en ? "September" : "Setiembre",
      "9": en ? "October" : "Octubre",
      "10": en ? "November" : "Noviembre",
      "11": en ? "December" : "Diciembre"
    };
    day = date.split('-')[2].slice(0, 2);
    month = date.split('-')[1].slice(0, 2);
    year = date.split('-')[0];
    return en ? "Uploaded on " + Object.values(dateMonths)[parseInt(month) - 1] + " " + day + ", " + year : "Subido el " + day + "  " + Object.values(dateMonths)[parseInt(month) - 1] + ", " + year;
  }

  return "";
};

var _excluded$x = ["id", "name", "url", "type", "size", "created", "lng"];
pdfjs.GlobalWorkerOptions.workerSrc = "//cdnjs.cloudflare.com/ajax/libs/pdf.js/" + pdfjs.version + "/pdf.worker.js";
var PreviewPDF = function PreviewPDF(_ref) {
  var name = _ref.name,
      url = _ref.url,
      size = _ref.size,
      lng = _ref.lng,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$x);

  var styles = makeStyles({
    root: {
      width: '100%',
      height: '100%'
    },
    menu: {
      borderTop: "2px solid " + theme.grayPrimary,
      backgroundColor: 'rgba(0,0,0,0.1)',
      display: 'flex',
      flexFlow: 'wrap',
      justifyContent: 'space-between'
    },
    iconsZoom: {
      display: 'flex',
      flexFolow: 'wrap',
      justifyContent: 'flex-end',
      alignItems: 'center',
      '&>button': {
        width: 40,
        height: 40,
        margin: 10,
        display: 'flex',
        flexFolow: 'wrap',
        justifyContent: 'center',
        alignItems: 'center',
        '&>span': {
          color: theme.defaultSubtitle,
          padding: 5,
          margin: 5,
          width: 20,
          height: 20,
          '&:hover': {
            color: theme.bluePrimary,
            cursor: 'pointer'
          }
        }
      }
    },
    infoModalFile: {
      marginLeft: 10,
      textAlign: 'left',
      fontSize: 14,
      color: theme.blackPrimary,
      display: 'flex',
      flexFlow: 'column',
      alignItems: 'center',
      marginTop: 4,
      '&>:nth-child(1)': {
        fontSize: 16,
        fontWeight: 700
      }
    },
    previewFile: {},
    containerRootPdf: {
      position: 'relative',
      width: 'fit-content',
      maxHeight: 500,
      overflow: 'auto',
      '&::-webkit-scrollbar': {
        width: "5px",
        height: "5px",
        backgroundColor: theme.grayPrimary
      },
      '&::-webkit-scrollbar-thumb': {
        backgroundColor: theme.opacityGrayDefault,
        borderRadius: "20px"
      },
      "&::-webkit-scrollbar-track": {
        marginBottom: "1px"
      },
      '&>div': {}
    },
    containerFiles: {
      zoom: '75%',
      position: 'relative',
      "&>div": {
        "&>div": {
          "&>div": {
            "&>canvas": {
              width: 'fit-content !important',
              height: 'fit-content !important',
              margin: 'auto',
              transform: function transform(props) {
                return "scale(" + (props.scale ? props.scale : 100) / 100 + ")";
              }
            }
          }
        }
      }
    },
    changePages: {
      height: 53,
      width: '100%',
      position: 'absolute',
      top: '90%',
      zIndex: 999,
      backgroundColor: 'rgba(0,0,0,0.7)',
      display: 'flex',
      alignItems: 'center'
    },
    changer: {
      color: 'gainsboro',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      marginLeft: 40,
      '&>p': {
        margin: 15,
        fontSize: 24,
        fontWeight: 900,
        '&:hover': {
          color: '#3d43ff',
          cursor: 'pointer'
        }
      }
    },
    totalPages: {
      marginInlineStart: 'auto',
      marginRight: 15,
      color: 'gainsboro',
      fontWeight: 900
    },
    currentPage: {
      marginLeft: '32%',
      fontSize: 18,
      fontWeight: 900,
      color: 'gainsboro'
    }
  });

  var _useState = useState(100),
      zoom = _useState[0],
      setZoom = _useState[1];

  var classes = styles({
    scale: zoom
  });

  var _useState2 = useState(1),
      pageNumber = _useState2[0],
      setPageNumber = _useState2[1];

  var _useState3 = useState(0),
      numPages = _useState3[0],
      setNumPages = _useState3[1];

  var _useState4 = useState(false),
      disableNextPage = _useState4[0],
      setDisableNextPage = _useState4[1];

  var handleZoom = function handleZoom(action) {
    if (action === 'in') {
      setZoom(zoom + 10);
    }

    if (action === 'out' && zoom > 100) {
      setZoom(zoom - 10);
    }
  };

  function onDocumentLoadSuccess(_ref2) {
    var numPages = _ref2.numPages;
    setNumPages(numPages);
  }

  useEffect(function () {
    if (pageNumber === numPages) setDisableNextPage(true);
    if (numPages && pageNumber < numPages) setDisableNextPage(false);
  }, [pageNumber]);
  useEffect(function () {
    if (numPages === 1) setDisableNextPage(true);
  }, [numPages]);

  var handlePage = function handlePage(page, type) {
    if (numPages && page < numPages && !disableNextPage && type === 'NEXT') {
      setPageNumber(page + 1);
    } else if (page > 1 && type === 'BACK') {
      setPageNumber(page - 1);
    }
  };

  var handleDownload = function handleDownload() {
    fileSaver.saveAs(url, name);
  };

  var Menu = function Menu() {
    return React.createElement("div", {
      className: classes.menu
    }, React.createElement("div", {
      className: classes.infoModalFile
    }, React.createElement("p", null, name), React.createElement("p", null, size)), React.createElement("div", {
      className: classes.iconsZoom
    }, React.createElement(IconButton, {
      onClick: function onClick() {
        return handleDownload();
      }
    }, React.createElement(FontAwesomeIcon, {
      icon: faDownload
    })), numPages && numPages > 1 && React.createElement(React.Fragment, null, React.createElement("p", {
      style: {
        color: theme.defaultSubtitle,
        fontSize: 14,
        fontWeight: 700
      }
    }, (lng === 'en' ? 'Pages:' : 'Paginas:') + " " + numPages), React.createElement(IconButton, {
      onClick: function onClick() {
        return handlePage(pageNumber, 'BACK');
      }
    }, React.createElement(FontAwesomeIcon, {
      icon: faArrowLeft,
      style: {
        color: pageNumber === 1 ? theme.opacityGrayDefault : ''
      }
    })), React.createElement("p", {
      style: {
        color: theme.defaultSubtitle,
        fontSize: 14,
        fontWeight: 700
      }
    }, pageNumber), React.createElement(IconButton, {
      onClick: function onClick() {
        return handlePage(pageNumber, 'NEXT');
      }
    }, React.createElement(FontAwesomeIcon, {
      icon: faArrowRight,
      style: {
        color: pageNumber === numPages ? theme.opacityGrayDefault : ''
      }
    }))), React.createElement(IconButton, {
      onClick: function onClick() {
        return handleZoom('in');
      }
    }, React.createElement(FontAwesomeIcon, {
      icon: faMagnifyingGlassPlus
    })), React.createElement(IconButton, {
      onClick: function onClick() {
        return handleZoom('out');
      }
    }, React.createElement(FontAwesomeIcon, {
      icon: faMagnifyingGlassMinus
    }))));
  };

  return React.createElement(React.Fragment, null, React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement("div", {
    className: classes.previewFile
  }, React.createElement("div", {
    className: classes.containerRootPdf
  }, React.createElement("div", {
    className: classes.containerFiles
  }, React.createElement("div", null, React.createElement(Document, {
    file: url,
    onLoadError: console.error,
    onLoadSuccess: onDocumentLoadSuccess
  }, React.createElement(Page, {
    size: "A4",
    pageNumber: pageNumber
  }))))))), Menu());
};

var _excluded$y = ["file", "renderType", "handlePreview", "selectedFile", "lng"];
var FileViewer = /*#__PURE__*/lazy(function () {
  return import('react-file-viewer-fix');
});
var RenderFile = function RenderFile(_ref) {
  var file = _ref.file,
      renderType = _ref.renderType,
      handlePreview = _ref.handlePreview,
      selectedFile = _ref.selectedFile,
      lng = _ref.lng,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$y);

  var styles = makeStyles({
    contaierSmallPreview: {
      position: 'relative',
      '&:hover': {
        '&>:nth-child(1)': {
          display: 'flex'
        }
      },
      '&>:nth-child(1)': {
        position: 'absolute',
        width: 50,
        height: 50,
        borderRadius: 4,
        border: "1px solid " + theme.grayPrimary,
        zIndex: 500,
        backgroundColor: theme.whiteOpacity,
        display: 'none',
        '&>svg': {
          color: theme.defaultSubtitle,
          padding: 5,
          margin: 5,
          width: 30,
          height: 30
        },
        '&:hover': {
          border: "1px solid " + theme.bluePrimary,
          cursor: 'pointer'
        }
      }
    },
    previewFile: {
      '&>div': {
        width: '100%',
        height: '100%',
        '&>img': {
          width: function width(props) {
            return props.image ? props.zoomValue + "%" : '100%';
          },
          height: function height(props) {
            return props.image ? props.zoomValue + "%" : '100%';
          }
        }
      }
    },
    containerWithIcon: {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      padding: 4,
      '&>svg': {
        width: 50,
        height: 50,
        color: theme.opacityGrayDefault
      }
    },
    containerXLSX: {
      "&>div": {
        width: 'fit-content',
        "&>div": {
          "&>div": {
            "&>div": {
              "&>div": {
                "&>div": {
                  overflow: 'hidden !important',
                  maxHeight: 500,
                  "&>div": {
                    maxHeight: 500,
                    "&>div": {
                      display: 'flex',
                      flexFlow: 'column',
                      width: 'fit-content',
                      minWidth: '100vw',
                      overflow: 'hidden !important',
                      "&>div": {
                        overflow: 'hidden !important',
                        "&>div": {
                          '&::-webkit-scrollbar': {
                            width: "5px",
                            height: "7px",
                            backgroundColor: theme.grayPrimary
                          },
                          '&::-webkit-scrollbar-thumb': {
                            backgroundColor: theme.opacityGrayDefault,
                            borderRadius: "20px"
                          },
                          "&::-webkit-scrollbar-track": {
                            marginBottom: "1px"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    menu: {
      borderTop: "2px solid " + theme.grayPrimary,
      backgroundColor: 'rgba(0,0,0,0.1)',
      display: 'flex',
      flexFlow: 'wrap',
      justifyContent: 'space-between'
    },
    infoModalFile: {
      marginLeft: 10,
      textAlign: 'left',
      fontSize: 14,
      color: theme.blackPrimary,
      display: 'flex',
      flexFlow: 'column',
      alignItems: 'center',
      marginTop: 4,
      '&>:nth-child(1)': {
        fontSize: 16,
        fontWeight: 700
      }
    },
    iconsZoom: {
      display: 'flex',
      flexFolow: 'wrap',
      justifyContent: 'flex-end',
      alignItems: 'center',
      '&>button': {
        width: 40,
        height: 40,
        margin: 10,
        display: 'flex',
        flexFolow: 'wrap',
        justifyContent: 'center',
        alignItems: 'center',
        '&>span': {
          color: theme.defaultSubtitle,
          padding: 5,
          margin: 5,
          width: 20,
          height: 20,
          '&:hover': {
            color: theme.bluePrimary,
            cursor: 'pointer'
          }
        }
      }
    },
    containerDOCX: {
      "&>div": {
        width: 'fit-content',
        overflow: 'hidden'
      }
    }
  });

  var _useState = useState(100),
      zoom = _useState[0],
      setZoom = _useState[1];

  var _useState2 = useState(false),
      isImage = _useState2[0],
      setIsImage = _useState2[1];

  var _useState3 = useState(false),
      isDocument = _useState3[0],
      setIsDocument = _useState3[1];

  var classes = styles({
    zoomValue: zoom,
    image: isImage,
    docx: isDocument
  });

  var IsImage = function IsImage() {
    if (selectedFile.type !== '') {
      var type = DetectFileType(selectedFile.type);

      switch (type) {
        case 'jpeg':
        case 'jpg':
        case 'gif':
        case 'png':
        case 'svg':
          return true;

        default:
          return false;
      }
    } else {
      return false;
    }
  };

  var IsDocument = function IsDocument() {
    if (selectedFile.type !== '') {
      var type = DetectFileType(selectedFile.type);

      switch (type) {
        case 'docx':
        case 'xlsx':
        case 'pdf':
          return true;

        default:
          return false;
      }
    } else {
      return false;
    }
  };

  useEffect(function () {
    if (selectedFile.type !== '') {
      setIsImage(IsImage());
      setIsDocument(false);
    } else {
      setIsImage(false);
      setIsDocument(IsDocument());
    }
  }, [selectedFile]);

  var handleDownload = function handleDownload(url, name) {
    fileSaver.saveAs(url, name);
  };

  var IsNotMediaFile = function IsNotMediaFile(fileType) {
    var ext = DetectFileType(fileType);

    switch (ext) {
      case 'ogg':
      case 'wav':
      case 'mpeg':
      case 'mp4':
        return false;

      default:
        return true;
    }
  };

  var handleZoomById = function handleZoomById(action) {
    setTimeout(function () {
      var ele = document.getElementById(DetectFileType(selectedFile.type));
      var viewer = document.getElementById('pg-viewer');

      if (viewer && ele && action === 'in') {
        if (zoom >= 100) {
          setZoom(zoom + 10);
          ele.style.transform = "scale(" + (zoom + 10) / 100 + ")";
          viewer.style.width = "100%";
          viewer.style.height = "100%";
        }
      }

      if (ele && viewer && action === 'out') {
        if (zoom >= 100) {
          setZoom(zoom - 10);
          ele.style.transform = "scale(" + (zoom - 10) / 100 + ")";
          viewer.style.width = "100%";
          viewer.style.height = "100%";
        }

        if (zoom === 100) {
          setZoom(100);
          ele.style.transform = "scale(" + zoom / 100 + ")";
          viewer.style.width = "100%";
          viewer.style.height = "100%";
        }
      }
    }, 300);
  };

  var handleZoom = function handleZoom(action) {
    if (action === 'in') {
      if (zoom >= 100) setZoom(zoom + 10);
    }

    if (action === 'out') {
      if (zoom >= 100) setZoom(zoom - 10);
      if (zoom === 100) setZoom(100);
    }
  };

  var Menu = function Menu() {
    return React.createElement("div", {
      className: classes.menu
    }, React.createElement("div", {
      className: classes.infoModalFile
    }, React.createElement("p", null, FormatName(selectedFile.name)), React.createElement("p", null, DescriptionSize(FileSize(selectedFile.size), lng || ""))), React.createElement("div", {
      className: classes.iconsZoom
    }, IsNotMediaFile(selectedFile.type) && React.createElement(IconButton, {
      onClick: function onClick() {
        return handleDownload(selectedFile.url, selectedFile.name);
      }
    }, React.createElement(FontAwesomeIcon, {
      icon: faDownload
    })), React.createElement(IconButton, {
      onClick: function onClick() {
        return isImage ? handleZoom('in') : handleZoomById('in');
      }
    }, React.createElement(FontAwesomeIcon, {
      icon: faMagnifyingGlassPlus
    })), React.createElement(IconButton, {
      onClick: function onClick() {
        return isImage ? handleZoom('out') : handleZoomById('out');
      }
    }, React.createElement(FontAwesomeIcon, {
      icon: faMagnifyingGlassMinus
    }))));
  };

  var FilesPreview = function FilesPreview() {
    var ext = DetectFileType(file.type);

    switch (ext) {
      case 'jpeg':
      case 'png':
      case 'bmp':
      case 'gif':
      case 'jpg':
      case 'svg':
        return renderType === 'icon' ? React.createElement("div", Object.assign({
          className: classes.contaierSmallPreview
        }, props), React.createElement("div", {
          onClick: function onClick() {
            return handlePreview(file);
          }
        }, React.createElement(FontAwesomeIcon, {
          icon: faMagnifyingGlass
        })), React.createElement(FilePreviewerThumbnail, {
          file: {
            url: file.url
          }
        })) : React.createElement(React.Fragment, null, React.createElement("div", Object.assign({
          className: classes.previewFile
        }, props), React.createElement(FilePreviewerThumbnail, {
          file: {
            url: file.url
          }
        })), Menu());

      case 'pdf':
        return renderType === 'icon' ? React.createElement("div", Object.assign({
          className: classes.contaierSmallPreview
        }, props), React.createElement("div", {
          onClick: function onClick() {
            return handlePreview(file);
          }
        }, React.createElement(FontAwesomeIcon, {
          icon: faMagnifyingGlass
        })), React.createElement("div", {
          className: classes.containerWithIcon
        }, React.createElement(FontAwesomeIcon, {
          icon: faFilePdf
        }))) : React.createElement(React.Fragment, null, React.createElement(PreviewPDF, {
          id: selectedFile.id,
          name: FormatName(selectedFile.name),
          url: selectedFile.url,
          size: DescriptionSize(FileSize(selectedFile.size), lng || ""),
          created: selectedFile.created,
          lng: lng,
          type: selectedFile.type
        }));

      case 'xlsx':
        return renderType === 'icon' ? React.createElement("div", Object.assign({
          className: classes.contaierSmallPreview
        }, props), React.createElement("div", {
          onClick: function onClick() {
            return handlePreview(file);
          }
        }, React.createElement(FontAwesomeIcon, {
          icon: faMagnifyingGlass
        })), React.createElement("div", {
          className: classes.containerWithIcon
        }, React.createElement(FontAwesomeIcon, {
          icon: faFileExcel
        }))) : React.createElement(React.Fragment, null, React.createElement("div", Object.assign({
          className: classes.containerXLSX
        }, props), React.createElement("div", null, React.createElement(Suspense, {
          fallback: React.createElement(React.Fragment, null)
        }, React.createElement(FileViewer, {
          fileType: 'xlsx',
          filePath: file.url,
          errorComponent: false,
          onError: false
        })))), Menu());

      case 'docx':
        return renderType === 'icon' ? React.createElement("div", Object.assign({
          className: classes.contaierSmallPreview
        }, props), React.createElement("div", {
          onClick: function onClick() {
            return handlePreview(file);
          }
        }, React.createElement(FontAwesomeIcon, {
          icon: faMagnifyingGlass
        })), React.createElement("div", {
          className: classes.containerWithIcon
        }, React.createElement(FontAwesomeIcon, {
          icon: faFileWord
        }))) : React.createElement(React.Fragment, null, React.createElement("div", {
          className: classes.containerDOCX
        }, React.createElement(Suspense, {
          fallback: React.createElement(React.Fragment, null)
        }, React.createElement(FileViewer, {
          fileType: 'docx',
          filePath: file.url,
          errorComponent: false,
          onError: false
        }))), Menu());

      case 'zip':
        return renderType === 'icon' ? React.createElement("div", Object.assign({
          className: classes.contaierSmallPreview
        }, props), React.createElement("div", {
          onClick: function onClick() {
            return handleDownload(file.url, file.name);
          }
        }, React.createElement(FontAwesomeIcon, {
          icon: faDownload
        })), React.createElement("div", {
          className: classes.containerWithIcon
        }, React.createElement(FontAwesomeIcon, {
          icon: faFileZipper
        }))) : React.createElement(React.Fragment, null);

      case 'ogg':
      case 'wav':
      case 'mpeg':
        return renderType === 'icon' ? React.createElement("div", Object.assign({
          className: classes.contaierSmallPreview
        }, props), React.createElement("div", {
          onClick: function onClick() {
            return handlePreview(file);
          }
        }, React.createElement(FontAwesomeIcon, {
          icon: faMagnifyingGlass
        })), React.createElement("div", {
          className: classes.containerWithIcon
        }, React.createElement(FontAwesomeIcon, {
          icon: faFileAudio
        }))) : React.createElement("div", Object.assign({
          style: {
            backgroundColor: theme.grayPrimary
          }
        }, props), React.createElement(ReactAudioPlayer, {
          src: file.url,
          controls: true
        }), Menu());

      case 'mp4':
        return renderType === 'icon' ? React.createElement("div", Object.assign({
          className: classes.contaierSmallPreview
        }, props), React.createElement("div", {
          onClick: function onClick() {
            return handlePreview(file);
          }
        }, React.createElement(FontAwesomeIcon, {
          icon: faMagnifyingGlass
        })), React.createElement("div", {
          className: classes.containerWithIcon
        }, React.createElement(FontAwesomeIcon, {
          icon: faFileVideo
        }))) : React.createElement("div", Object.assign({}, props), React.createElement("video", {
          id: "video-chat-messages-room",
          src: file.url,
          controls: true,
          width: "100%",
          height: "100%"
        }, React.createElement("source", {
          src: file.url,
          type: "mp4"
        }), "Your browser does not support HTML5 video."));

      default:
        React.createElement(React.Fragment, null);
    }
  };

  return React.createElement(React.Fragment, null, FilesPreview());
};

var _excluded$z = ["lng", "addFile", "setAddFile", "recentFilesList", "file", "setFile", "limitSizeInMB", "setAlertSize", "setFileName", "setFileSize", "setFilePath", "setFileType"];
var AttachFilesChat = function AttachFilesChat(_ref) {
  var lng = _ref.lng,
      setAddFile = _ref.setAddFile,
      recentFilesList = _ref.recentFilesList,
      setFile = _ref.setFile,
      limitSizeInMB = _ref.limitSizeInMB,
      setAlertSize = _ref.setAlertSize,
      setFileName = _ref.setFileName,
      setFileSize = _ref.setFileSize,
      setFilePath = _ref.setFilePath,
      setFileType = _ref.setFileType,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$z);

  var styles = makeStyles({
    root: {
      position: 'absolute',
      right: 70,
      border: "2px solid " + theme.borderGreyPrimary,
      width: 'max-content',
      height: 'max-content',
      marginTop: function marginTop(props) {
        return props.marginTop;
      },
      backgroundColor: theme.whitePrimary,
      zIndex: 120,
      borderRadius: 5
    },
    content: {
      '&>p': {
        margin: '0px 0px 0px 0px',
        padding: 15,
        '&:nth-child(1)': {
          borderBottom: "2px solid " + theme.borderGreyPrimary,
          color: theme.opacityGrayDefault
        },
        "&:hover": {
          '&:nth-child(1)': {
            backgroundColor: theme.whitePrimary,
            cursor: 'default',
            color: theme.opacityGrayDefault
          },
          backgroundColor: theme.hoverBlue,
          cursor: 'pointer',
          color: theme.bluePrimary
        }
      }
    },
    containerNoRecentFiles: {
      height: 200,
      width: 200,
      padding: 20,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center'
    },
    containerRecentFiles: {
      maxHeight: 250,
      minHeight: 250,
      overflowY: "auto",
      overflowX: 'hidden',
      '&::-webkit-scrollbar': {
        width: "5px",
        backgroundColor: theme.grayPrimary
      },
      '&::-webkit-scrollbar-thumb': {
        backgroundColor: theme.opacityGrayDefault,
        borderRadius: "20px"
      },
      "&::-webkit-scrollbar-track": {
        marginBottom: "1px"
      }
    },
    itemFile: {
      borderBottom: "1px solid " + theme.grayPrimary,
      display: 'flex',
      flexFlow: 'wrap',
      alignItems: 'center',
      padding: 15,
      '&:hover': {
        cursor: 'pointer',
        backgroundColor: theme.hoverBlue,
        '&>div>p': {
          color: theme.bluePrimary
        }
      },
      "&>:nth-child(1)": {
        width: 50,
        height: 50,
        border: "1px solid " + theme.grayPrimary,
        borderRadius: 4,
        "&>div>img": {
          width: 50,
          height: 50,
          borderRadius: 4
        }
      }
    },
    fileInfo: {
      width: 'max-content',
      padding: 5,
      marginLeft: 5,
      textAlign: 'left'
    },
    fileName: {
      fontSize: 14,
      color: theme.defaultSubtitle
    },
    fileSize: {
      fontSize: 12,
      color: theme.defaultSubtitle,
      width: 'max-content'
    },
    contentModal: {
      width: 'fit-content',
      height: 'fit-content',
      maxWidth: 530,
      maxHeight: 760,
      overflow: 'auto',
      "&>div>div": {
        maxHeight: "520px !important",
        maxWidth: 450,
        overflow: 'auto',
        '&::-webkit-scrollbar': {
          width: "5px",
          height: "5px",
          backgroundColor: theme.grayPrimary
        },
        '&::-webkit-scrollbar-thumb': {
          backgroundColor: theme.opacityGrayDefault,
          borderRadius: "20px"
        },
        "&::-webkit-scrollbar-track": {
          marginBottom: "1px"
        }
      }
    },
    containerVideo: {},
    noRecentFiles: {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      color: theme.opacityGrayDefault,
      width: '100%',
      height: '100%',
      fontSize: 18,
      '&>div>div': {
        display: 'flex',
        justifyContent: 'center',
        '&>svg': {
          width: 60,
          height: 60
        }
      }
    }
  });

  var _useState = useState(false),
      openRecentFiles = _useState[0],
      setOpenRecentFiles = _useState[1];

  var selectedFileInitialValues = {
    id: '',
    name: '',
    url: '',
    type: '',
    size: '',
    created: undefined
  };

  var _useState2 = useState(selectedFileInitialValues),
      selectedFile = _useState2[0],
      setSelectedFile = _useState2[1];

  var classes = styles({
    marginTop: openRecentFiles ? -255 : -170
  });

  var _useState3 = useState(false),
      openModal = _useState3[0],
      setOpenModal = _useState3[1];

  var inputFile = useRef();
  var accept = "image/*,\n    application/pdf, \n    application/vnd.openxmlformats-officedocument.wordprocessingml.document,\n    application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,\n    application/zip,\n    application/x-zip-compressed,\n    video/mp4,\n    audio/mpeg,\n    audio/ogg,\n    audio/wav\n    ";
  var labels = {
    title: lng === 'en' ? 'Attach' : 'Adjuntar',
    labelOne: lng === 'en' ? 'Recent files' : 'Archivos recientes',
    labelTwo: lng === 'en' ? 'Upload from your computer' : 'Subir desde mi computador'
  };

  var handleRecentFiles = function handleRecentFiles() {
    setOpenRecentFiles(!openRecentFiles);
  };

  var handlePreview = function handlePreview(file) {
    setOpenModal(!openModal);
    setSelectedFile(file);
  };

  var handleAddFile = function handleAddFile(file) {
    // Here set recent file data
    setAddFile && setAddFile(file);
    setFileName && setFileName(file.name);
    setFileType && setFileType(file.type);
    setFileSize && setFileSize(file.size);
    setFilePath && setFilePath(file.url);
    setOpenRecentFiles(false);
  };

  var handleCloseModal = function handleCloseModal() {
    setOpenModal(false);
    setSelectedFile(selectedFileInitialValues);
  };
  /* Add new file */


  var handleUploadNewFile = function handleUploadNewFile() {
    if (inputFile) inputFile == null ? void 0 : inputFile.current.click();
  };

  var onLoad = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(data) {
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              return _context.abrupt("return", new Promise(function (resolve, _reject) {
                var fileReader = new window.FileReader();
                fileReader.readAsDataURL(data);

                fileReader.onload = function (fileLoad) {
                  var result = fileLoad.target.result;
                  resolve(result);
                };
              }));

            case 1:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }));

    return function onLoad(_x) {
      return _ref2.apply(this, arguments);
    };
  }();

  var fileChange = /*#__PURE__*/function () {
    var _ref3 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee4(e) {
      var preSaveFile;
      return _regeneratorRuntime().wrap(function _callee4$(_context4) {
        while (1) {
          switch (_context4.prev = _context4.next) {
            case 0:
              preSaveFile = /*#__PURE__*/function () {
                var _ref4 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee3() {
                  var _aux$;

                  var aux, aux2, limitInMB, limitInBytes;
                  return _regeneratorRuntime().wrap(function _callee3$(_context3) {
                    while (1) {
                      switch (_context3.prev = _context3.next) {
                        case 0:
                          aux = [];
                          aux2 = [];
                          limitInMB = limitSizeInMB;
                          limitInBytes = limitInMB * 1000000;
                          _context3.next = 6;
                          return Promise.all(Array.from(e.target.files).map( /*#__PURE__*/function () {
                            var _ref5 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee2(ind) {
                              var url;
                              return _regeneratorRuntime().wrap(function _callee2$(_context2) {
                                while (1) {
                                  switch (_context2.prev = _context2.next) {
                                    case 0:
                                      _context2.next = 2;
                                      return onLoad(ind);

                                    case 2:
                                      url = _context2.sent;
                                      aux.push(ind);
                                      aux2.push({
                                        url: url
                                      });
                                      return _context2.abrupt("return", null);

                                    case 6:
                                    case "end":
                                      return _context2.stop();
                                  }
                                }
                              }, _callee2);
                            }));

                            return function (_x3) {
                              return _ref5.apply(this, arguments);
                            };
                          }()));

                        case 6:
                          if (((_aux$ = aux[0]) == null ? void 0 : _aux$.size) <= limitInBytes) {
                            setAlertSize && setAlertSize(false);
                            setFile && setFile({
                              base: aux2[0].url,
                              url: aux2[0].url,
                              name: aux[0].name,
                              type: aux[0].type,
                              size: aux[0].size,
                              lastModified: aux[0].lastModified,
                              lastModifiedDate: _extends({}, aux[0].lastModifiedDate),
                              webkitRelativePath: aux[0].webkitRelativePath,
                              dataFile: {
                                base: aux2[0].url,
                                url: aux2[0].url,
                                name: aux[0].name,
                                type: aux[0].type,
                                size: aux[0].size,
                                lastModified: aux[0].lastModified,
                                lastModifiedDate: _extends({}, aux[0].lastModifiedDate),
                                webkitRelativePath: aux[0].webkitRelativePath
                              },
                              file: {
                                base: aux2[0].url,
                                url: aux2[0].url,
                                name: aux[0].name,
                                type: aux[0].type,
                                size: aux[0].size,
                                lastModified: aux[0].lastModified,
                                lastModifiedDate: _extends({}, aux[0].lastModifiedDate),
                                webkitRelativePath: aux[0].webkitRelativePath
                              },
                              attachData: _extends({}, aux)
                            });
                            setAddFile && setAddFile({
                              id: temporalId(),
                              name: aux[0].name,
                              url: aux2[0].url,
                              type: aux[0].type,
                              size: aux[0].size,
                              created: new Date().toISOString()
                            });
                          } else {
                            setAlertSize && setAlertSize(true);
                          }

                        case 7:
                        case "end":
                          return _context3.stop();
                      }
                    }
                  }, _callee3);
                }));

                return function preSaveFile() {
                  return _ref4.apply(this, arguments);
                };
              }();

              if (!(e.target.files && e.target.files[0])) {
                _context4.next = 4;
                break;
              }

              _context4.next = 4;
              return preSaveFile();

            case 4:
            case "end":
              return _context4.stop();
          }
        }
      }, _callee4);
    }));

    return function fileChange(_x2) {
      return _ref3.apply(this, arguments);
    };
  }();
  /* End add new file */


  var ContentModal = function ContentModal() {
    return React.createElement("div", null, React.createElement(RenderFile, {
      selectedFile: selectedFile,
      renderType: "preview",
      lng: lng,
      handlePreview: handlePreview,
      file: selectedFile
    }));
  };

  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), openModal && React.createElement(DefaultModal, {
    open: openModal,
    setOpen: setOpenModal,
    handleClose: function handleClose() {
      return handleCloseModal();
    },
    content: ContentModal(),
    width: 'fit-content',
    height: 'fit-content',
    classContent: classes.contentModal
  }), openRecentFiles && React.createElement("div", {
    className: recentFilesList && recentFilesList.length > 0 ? classes.containerRecentFiles : classes.containerNoRecentFiles
  }, recentFilesList && recentFilesList.length > 0 ? recentFilesList.map(function (f) {
    return React.createElement("div", {
      key: f.id,
      className: classes.itemFile
    }, React.createElement(RenderFile, {
      selectedFile: selectedFile,
      renderType: "icon",
      lng: lng,
      handlePreview: handlePreview,
      file: f
    }), React.createElement("div", {
      className: classes.fileInfo,
      onClick: function onClick() {
        return handleAddFile(f);
      }
    }, React.createElement("p", {
      className: classes.fileName
    }, FormatName(f.name)), React.createElement("p", {
      className: classes.fileSize
    }, DescriptionSize(FileSize(f.size), lng || ""))));
  }) : React.createElement("div", {
    className: classes.noRecentFiles
  }, React.createElement("div", null, React.createElement("div", null, React.createElement(CloudOffIcon, null)), React.createElement("p", null, lng === 'en' ? 'No recent files' : 'No hay archivos recientes')))), !openRecentFiles && React.createElement(React.Fragment, null, React.createElement("div", {
    className: classes.content
  }, React.createElement("p", null, labels.title), React.createElement("p", {
    onClick: function onClick() {
      return handleRecentFiles();
    }
  }, labels.labelOne), React.createElement("p", {
    onClick: handleUploadNewFile
  }, labels.labelTwo)), React.createElement("input", {
    ref: inputFile,
    style: {
      display: 'none'
    },
    accept: accept,
    type: "file",
    onChange: fileChange
  })));
};

var _excluded$A = ["iconSend", "iconAttach", "disabled", "id", "value", "setValue", "placeholder", "returnAction", "handleSubmit", "width", "emojiStyles", "storiesStyle", "handleUploadFile", "lng", "recentFilesList", "setFileName", "setFileSize", "setFileType", "setFilePath", "file", "setFile", "limitSizeInMB", "maxHeightInput"];
var InputChat = function InputChat(_ref) {
  var _addFile$created;

  var iconSend = _ref.iconSend,
      iconAttach = _ref.iconAttach,
      disabled = _ref.disabled,
      id = _ref.id,
      value = _ref.value,
      setValue = _ref.setValue,
      placeholder = _ref.placeholder,
      handleSubmit = _ref.handleSubmit,
      width = _ref.width,
      emojiStyles = _ref.emojiStyles,
      storiesStyle = _ref.storiesStyle,
      lng = _ref.lng,
      recentFilesList = _ref.recentFilesList,
      setFileName = _ref.setFileName,
      setFileSize = _ref.setFileSize,
      setFileType = _ref.setFileType,
      setFilePath = _ref.setFilePath,
      file = _ref.file,
      setFile = _ref.setFile,
      limitSizeInMB = _ref.limitSizeInMB,
      maxHeightInput = _ref.maxHeightInput,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$A);

  var styles = makeStyles({
    root: {
      width: function width(props) {
        return props.width || '100%';
      },
      position: 'relative',
      minWidth: 500,
      height: 'max-content'
    },
    field: {
      width: function width(props) {
        return props.width || '100%';
      },
      height: 'max-content',
      minWidth: 500,
      position: 'relative',
      '& > .MuiInputBase-root': {
        width: function width(props) {
          return props.width || '100%';
        },
        minWidth: 500,
        border: 'none',
        borderRadius: 40,
        outline: 'none',
        '& > .MuiInputBase-input': {
          paddingLeft: 20,
          paddingRight: 20,
          paddingTop: 24,
          paddingBottom: 15,
          borderRadius: 4,
          backgroundColor: 'transparent',
          zIndex: 1
        },
        '&> .MuiInputBase-inputMultiline': {
          maxHeight: function maxHeight(props) {
            return props.maxHeight || 120;
          },
          overflow: 'auto !important',
          '&::-webkit-scrollbar': {
            width: '5px',
            height: '5px',
            backgroundColor: theme.grayPrimary
          },
          '&::-webkit-scrollbar-thumb': {
            backgroundColor: theme.opacityGrayDefault,
            borderRadius: '20px'
          },
          '&::-webkit-scrollbar-track': {
            marginBottom: '1px'
          }
        }
      },
      '& > .MuiInput-underline:before': {
        borderBottom: 'none',
        content: 'none'
      },
      '& > .MuiInput-underline:after': {
        borderBottom: "0px solid transparent",
        height: 'max-content',
        minHeight: '100% !important',
        transition: 'none',
        borderRadius: 40
      },
      '& > .MuiInput-underline:hover': {
        backgroundColor: 'white'
      },
      '& > .MuiInputLabel-root:before': {
        color: 'blue'
      }
    },
    containerIcons: {
      display: 'flex',
      flexFlow: 'wrap',
      width: 'max-content',
      '&>button': {
        width: 35,
        height: 35,
        margin: 5
      }
    },
    sendIcon: {
      color: theme.bluePrimary
    },
    containerEmojis: _extends({
      position: 'absolute',
      zIndex: 10,
      marginTop: -460,
      right: 0
    }, emojiStyles),
    backWall: {
      position: 'fixed',
      width: '100%',
      height: '100%',
      top: 0,
      left: 0,
      right: 0,
      zIndex: 9,
      backgroundColor: 'transparent'
    },
    containerAddFile: {
      margin: 15,
      border: "2px solid " + theme.borderGreyPrimary,
      borderRadius: '5px 5px 40px 40px',
      padding: 10,
      display: 'flex',
      flexFlow: 'wrap',
      alignItems: 'center'
    },
    contentModal: {
      width: 'fit-content',
      height: 'fit-content',
      maxWidth: 530,
      maxHeight: 760,
      overflow: 'auto',
      '&>div>div': {
        maxHeight: "520px !important",
        maxWidth: 450,
        overflow: 'auto',
        '&::-webkit-scrollbar': {
          width: '5px',
          height: '5px',
          backgroundColor: theme.grayPrimary
        },
        '&::-webkit-scrollbar-thumb': {
          backgroundColor: theme.opacityGrayDefault,
          borderRadius: '20px'
        },
        '&::-webkit-scrollbar-track': {
          marginBottom: '1px'
        }
      }
    },
    addFilePreview: {
      position: 'relative',
      zIndex: 5,
      borderBottom: "1px solid " + theme.grayPrimary,
      display: 'flex',
      flexFlow: 'wrap',
      alignItems: 'center',
      width: '100%',
      padding: 15,
      borderRadius: '5px 5px 40px 40px',
      '&:hover': {
        cursor: 'pointer',
        backgroundColor: theme.hoverBlue,
        '&>div>p': {
          color: theme.bluePrimary
        }
      },
      '&>:nth-child(1)': {
        width: 60,
        height: 60,
        border: "1px solid " + theme.grayPrimary,
        borderRadius: 4,
        '&>div>img': {
          width: 60,
          height: 60,
          borderRadius: 4
        }
      }
    },
    containerInfo: {
      marginLeft: 25,
      position: 'relative',
      zIndex: 4,
      '&>:nth-child(1)': {
        fontWeight: 700,
        color: theme.blackPrimary
      },
      '&>p': {
        color: theme.opacityGrayDefault,
        fontWeight: 700
      }
    },
    containerDelete: {
      position: 'absolute',
      zIndex: 6,
      width: 40,
      height: 40,
      display: 'flex',
      justifyContent: 'flex-end',
      alignItems: 'center',
      marginLeft: '80%',
      '&>button': {
        width: 60,
        height: 60,
        '&>span>svg': {
          padding: 5,
          border: "1px solid " + theme.grayPrimary,
          width: 40,
          height: 40,
          color: theme.opacityGrayDefault,
          borderRadius: '50%'
        }
      }
    },
    errorIcon: {
      width: 15,
      height: 15,
      color: theme.bluePrimary,
      marginTop: -8
    },
    alertSize: {
      marginLeft: 15,
      color: theme.bluePrimary
    },
    containerTextfield: {
      border: function border(props) {
        return props.active ? "1px solid " + theme.bluePrimary : "1px solid " + theme.borderGreyPrimary;
      },
      borderRadius: 40,
      '&:hover': {
        border: function border(props) {
          return !props.disabled ? "1px solid " + theme.bluePrimary : '';
        }
      }
    }
  });

  var _useState = useState(false),
      inputActive = _useState[0],
      setInputActive = _useState[1];

  var _useState2 = useState(''),
      localValue = _useState2[0],
      setLocalvalue = _useState2[1];

  var _useState3 = useState(false),
      showEmojis = _useState3[0],
      setShowEmojis = _useState3[1];

  var _useState4 = useState([]),
      selectedEmojis = _useState4[0],
      setSelectedEmojis = _useState4[1];

  var _useState5 = useState(false),
      openAttach = _useState5[0],
      setOpenAttach = _useState5[1];

  var selectedFileInitialValues = {
    id: '',
    name: '',
    url: '',
    type: '',
    size: '',
    created: undefined
  };

  var _useState6 = useState(selectedFileInitialValues),
      addFile = _useState6[0],
      setAddFile = _useState6[1];

  var _useState7 = useState(false),
      openModal = _useState7[0],
      setOpenModal = _useState7[1];

  var _useState8 = useState(false),
      alertSize = _useState8[0],
      setAlertSize = _useState8[1];

  var classes = styles({
    width: width,
    active: inputActive,
    disabled: disabled,
    maxHeight: maxHeightInput
  });

  var handleChange = function handleChange(e) {
    if (setValue) {
      setValue(e);
      setLocalvalue(e);
    } else {
      setLocalvalue(e);
    }

    setSelectedEmojis([]);
    setShowEmojis(false);
  };

  useEffect(function () {
    if (localValue !== '') {
      setInputActive(true);
    } else {
      setInputActive(false);
    }
  }, [localValue]);

  var handleEmoji = function handleEmoji(event) {
    if (selectedEmojis.length > 0) {
      setSelectedEmojis([].concat(selectedEmojis, [event.emoji]));
      setValue && setValue(value && value !== '' ? "" + value + event.emoji : "" + event.emoji);
      setLocalvalue(localValue && localValue !== '' ? "" + value + event.emoji : "" + event.emoji);
    } else {
      setValue && setValue("" + value + event.emoji);
      setLocalvalue("" + localValue + event.emoji);
    }
  };

  var handleSend = function handleSend() {
    handleSubmit && handleSubmit();
    setValue && setValue('');
    setLocalvalue('');
    setShowEmojis(false);
    setSelectedEmojis([]);
    setAddFile(selectedFileInitialValues);
  };

  var handleKeyPress = function handleKeyPress(key) {
    if (key === 'Enter') {
      handleSend();
    }
  };

  var backWallActions = function backWallActions() {
    setShowEmojis(false);
    setOpenAttach(false);
  };

  var handlePreview = function handlePreview() {
    addFile.type !== 'application/zip' && setOpenModal(!openModal);
  };

  var handleDeleteAddFile = function handleDeleteAddFile() {
    setAddFile(selectedFileInitialValues);
    setFile && setFile(null);
    setFileName && setFileName(undefined);
    setFileType && setFileType(undefined);
    setFileSize && setFileSize(undefined);
    setFilePath && setFilePath(undefined);
  };

  var ContentModal = function ContentModal() {
    return React.createElement("div", null, React.createElement(RenderFile, {
      selectedFile: addFile,
      renderType: "preview",
      lng: lng,
      handlePreview: handlePreview,
      file: addFile
    }));
  };

  return React.createElement(React.Fragment, null, openModal && React.createElement(DefaultModal, {
    open: openModal,
    setOpen: setOpenModal,
    handleClose: function handleClose() {
      return setOpenModal(false);
    },
    content: ContentModal(),
    width: 'fit-content',
    height: 'fit-content',
    classContent: classes.contentModal
  }), (showEmojis || openAttach) && React.createElement("div", {
    className: classes.backWall,
    onClick: function onClick() {
      return backWallActions();
    }
  }), React.createElement("div", Object.assign({
    className: classes.root
  }, props, {
    style: {
      marginTop: storiesStyle ? 500 : ''
    }
  }), showEmojis && React.createElement("div", {
    className: classes.containerEmojis
  }, React.createElement(Picker, {
    onEmojiClick: handleEmoji
  })), openAttach && React.createElement(AttachFilesChat, {
    lng: lng,
    recentFilesList: recentFilesList,
    addFile: addFile,
    setAddFile: setAddFile,
    file: file,
    setFile: setFile,
    limitSizeInMB: limitSizeInMB,
    setAlertSize: setAlertSize,
    setFileName: setFileName,
    setFilePath: setFilePath,
    setFileSize: setFileSize,
    setFileType: setFileType
  }), React.createElement("div", {
    className: classes.containerTextfield
  }, React.createElement(TextField$1, Object.assign({
    multiline: true,
    id: id,
    className: classes.field,
    value: localValue,
    placeholder: placeholder || '',
    type: "text",
    onChange: function onChange(e) {
      return !disabled && handleChange(e.target.value);
    },
    onKeyDown: function onKeyDown(e) {
      return !disabled && handleKeyPress(e.key);
    },
    autoComplete: "off",
    disabled: disabled,
    InputProps: {
      endAdornment: React.createElement(InputAdornment, {
        position: "start"
      }, React.createElement("div", {
        className: classes.containerIcons
      }, !disabled && iconAttach && React.createElement(IconButton, {
        onClick: function onClick() {
          return setOpenAttach(!openAttach);
        }
      }, React.createElement(AttachFileIcon, null)), React.createElement(IconButton, {
        onClick: function onClick() {
          return !disabled && setShowEmojis(!showEmojis);
        }
      }, React.createElement(SentimentSatisfiedAltIcon, null)), !disabled && iconSend && (localValue !== '' || addFile.id !== '') && React.createElement(IconButton, null, React.createElement(SendIcon, {
        className: classes.sendIcon,
        onClick: function onClick() {
          return handleSend();
        }
      }))))
    }
  }, props)), addFile && addFile.id !== '' && React.createElement("div", {
    className: classes.containerAddFile
  }, React.createElement("div", {
    className: classes.containerDelete
  }, React.createElement(IconButton, {
    onClick: function onClick() {
      return handleDeleteAddFile();
    }
  }, React.createElement(DeleteOutlineIcon, null))), React.createElement("div", {
    className: classes.addFilePreview,
    onClick: function onClick() {
      return handlePreview();
    }
  }, React.createElement(RenderFile, {
    lng: lng,
    selectedFile: addFile,
    file: addFile,
    renderType: "icon",
    handlePreview: function handlePreview() {
      return null;
    }
  }), React.createElement("div", {
    className: classes.containerInfo
  }, React.createElement("p", null, FormatName(addFile.name)), React.createElement("p", null, DescriptionSize(FileSize(addFile.size), lng || '')), React.createElement("p", null, FormatDate((_addFile$created = addFile.created) == null ? void 0 : _addFile$created.toString(), lng || ''))))), alertSize && limitSizeInMB && React.createElement("div", {
    className: classes.containerAddFile
  }, React.createElement("div", {
    className: classes.errorIcon
  }, React.createElement(ErrorIcon, null)), React.createElement("p", {
    className: classes.alertSize
  }, lng === 'en' ? "The size limit allowed should not exceed " + limitSizeInMB + " MB" : "El limite de tama\xF1o permitido no debe superar los " + limitSizeInMB + " MB")))));
};

var _excluded$B = ["listMessages", "ReturnHistoricalMessage", "ReturnNotification", "userById_UserId", "loggedUser_Id", "userRoom", "lng", "onClickAvatar", "onClickSeeMore", "seeMoreLimit", "activeHistory", "readHistory"];
var ChatRoom = function ChatRoom(_ref) {
  var listMessages = _ref.listMessages,
      ReturnHistoricalMessage = _ref.ReturnHistoricalMessage,
      ReturnNotification = _ref.ReturnNotification,
      userById_UserId = _ref.userById_UserId,
      loggedUser_Id = _ref.loggedUser_Id,
      userRoom = _ref.userRoom,
      lng = _ref.lng,
      onClickAvatar = _ref.onClickAvatar,
      onClickSeeMore = _ref.onClickSeeMore,
      seeMoreLimit = _ref.seeMoreLimit,
      activeHistory = _ref.activeHistory,
      readHistory = _ref.readHistory,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$B);

  var styles = makeStyles({
    root: {
      width: "100%",
      overflow: "scroll",
      overflowX: "hidden",
      height: "100%",
      behavior: 'smooth',
      block: 'end',
      display: "flex",
      justifyContent: "flex-start",
      flexFlow: "column-reverse",
      inline: 'nearest',
      '&::-webkit-scrollbar': {
        width: "5px",
        backgroundColor: "#F2F4F6"
      },
      '&::-webkit-scrollbar-thumb': {
        backgroundColor: "#93A0AD",
        borderRadius: "238px"
      },
      "&::-webkit-scrollbar-track": {
        marginBottom: "70px"
      }
    },
    contentModal: {
      width: 'fit-content',
      height: 'fit-content',
      maxWidth: 530,
      maxHeight: 760,
      overflow: 'auto',
      "&>div>div": {
        maxHeight: "520px !important",
        maxWidth: 450,
        overflow: 'auto',
        '&::-webkit-scrollbar': {
          width: "5px",
          height: "5px",
          backgroundColor: theme.grayPrimary
        },
        '&::-webkit-scrollbar-thumb': {
          backgroundColor: theme.opacityGrayDefault,
          borderRadius: "20px"
        },
        "&::-webkit-scrollbar-track": {
          marginBottom: "1px"
        }
      }
    },
    rowLeft: {
      display: 'flex',
      margin: '20px 20px 20px 20px',
      flexFlow: 'wrap'
    },
    rowRight: {
      display: 'flex',
      margin: '20px 20px 20px 20px',
      flexFlow: 'wrap',
      justifyContent: 'flex-end'
    },
    containerMsgLeft: {
      backgroundColor: '#f2f4f6',
      width: 287,
      padding: 10,
      borderRadius: '0px 24px 24px 24px',
      marginLeft: 12,
      display: 'block !important',
      position: 'relative'
    },
    containerError: {
      width: 40,
      height: 40,
      borderRadius: '50%',
      "&>svg": {
        color: theme.backgroundRed,
        background: theme.redPrimary,
        borderRadius: '50%',
        width: 40,
        height: 40
      }
    },
    containerMsgRight: {
      backgroundColor: '#e5e9ff',
      width: 287,
      padding: 10,
      borderRadius: '24px 0px 24px 24px',
      marginRight: 10,
      display: 'block !important',
      position: 'relative'
    },
    textMessage: {
      color: '#424a59',
      marginBottom: 10,
      marginLeft: 12
    },
    textMessageCensored: {
      color: '#424a59',
      marginBottom: 10,
      marginLeft: 12,
      textDecorationLine: "line-through"
    },
    hour: {
      color: '#93a0ad',
      marginLeft: 10,
      marginTop: 8,
      margin: 'inherit'
    },
    containerFile: {
      maxHeight: 50,
      maxWidth: 50,
      margin: 'auto',
      "&>div>div": {
        maxWidth: 50,
        maxHeight: 50,
        "&>img": {
          maxHeight: 50,
          maxWidth: 50
        }
      }
    },
    textFile: {
      color: '#424a59',
      fontSize: 14,
      margin: 'auto',
      textAlign: 'center',
      marginTop: 5
    },
    textAlertCensoredLeft: {
      color: theme.redPrimary,
      display: 'flex',
      justifyContent: 'flex-start',
      flexFlow: 'wrap',
      marginLeft: 80,
      "&>p": {
        maxWidth: 287
      }
    },
    textAlertCensoredRight: {
      color: theme.redPrimary,
      display: 'flex',
      justifyContent: 'flex-end',
      flexFlow: 'wrap',
      marginRight: 80,
      "&>p": {
        maxWidth: 287
      }
    },
    seeMoreContainer: {
      borderBottom: "1px solid " + theme.grayPrimary,
      marginBottom: 15,
      padding: 20,
      '&>p': {
        color: theme.opacityGrayDefault,
        textAlign: 'center',
        '&:hover': {
          color: theme.bluePrimary,
          cursor: 'pointer',
          fontWeight: 700
        }
      }
    }
  });
  var classes = styles();

  var _useState = useState(false),
      openModal = _useState[0],
      setOpenModal = _useState[1];

  var initialStateFile = {
    id: '',
    name: '',
    type: '',
    size: '',
    url: ''
  };

  var _useState2 = useState(initialStateFile),
      selectedFile = _useState2[0],
      setSelectedFile = _useState2[1];

  var handleOpenFile = function handleOpenFile(file) {
    setSelectedFile(file);
    setOpenModal(!openModal);
  };

  var handlePreview = function handlePreview() {
    selectedFile.type !== 'application/zip' && setOpenModal(!openModal);
  };

  var ContentModal = function ContentModal() {
    return React.createElement("div", null, React.createElement(RenderFile, {
      selectedFile: selectedFile,
      renderType: "preview",
      lng: lng,
      handlePreview: handlePreview,
      file: selectedFile
    }));
  };

  var CreateObjectFile = function CreateObjectFile(file) {
    var newObjectFile = {
      id: file['id'] || "",
      url: file['file'] || "",
      type: file['fileType'] || "",
      size: file['fileSize'] || "",
      name: file['fileName'] || ""
    };
    return newObjectFile;
  };

  var CensoredMessage = function CensoredMessage(censoredLow, censoredHight, lng) {
    if (censoredHight) {
      var esText = "Este comentario ha sido clasificado como ofensivo o ir en contra de nuestros términos de uso.";
      var enText = "This comment has been classified as offensive or against our terms of use.";
      var text = lng === 'en' ? enText : esText;
      return text;
    }

    if (censoredLow && !censoredHight) {
      var _esText = "Este comentario puede ser ofensivo o ir en contra de nuestros términos de uso.";
      var _enText = "This comment may be offensive or go against our terms of use.";

      var _text = lng === 'en' ? _enText : _esText;

      return _text;
    }

    return "";
  };

  var viewMoreLimit = seeMoreLimit || 49;
  return React.createElement(React.Fragment, null, React.createElement("div", Object.assign({
    className: classes.root
  }, props), listMessages && listMessages.length > 0 && listMessages.map(function (message, index) {
    return React.createElement("div", {
      key: message.id || index
    }, openModal && React.createElement(DefaultModal, {
      open: openModal,
      setOpen: setOpenModal,
      handleClose: function handleClose() {
        return setOpenModal(false);
      },
      content: ContentModal(),
      width: 'fit-content',
      height: 'fit-content',
      classContent: classes.contentModal
    }), message.userEmisor === userById_UserId && message.userEmisor === userRoom ? React.createElement("div", null, ReturnNotification && ReturnNotification(message), message.type !== 'HISTORICAL' ? React.createElement(React.Fragment, null, React.createElement("div", {
      className: classes.rowLeft
    }, message.censoredLow || message.censoredHight ? React.createElement("div", {
      className: classes.containerError
    }, React.createElement(ErrorIcon, null)) : React.createElement(AvatarModule, {
      small: true,
      name: message.emisorName || "",
      image: message.avatar || "",
      onClickAvatar: onClickAvatar
    }), React.createElement("div", {
      className: classes.containerMsgLeft,
      style: {
        filter: message.censoredHight ? 'blur(4px)' : ""
      }
    }, React.createElement("p", {
      className: message.censoredLow ? classes.textMessageCensored : classes.textMessage
    }, message.message), message.file && React.createElement("div", {
      className: classes.containerFile
    }, React.createElement(RenderFile, {
      selectedFile: CreateObjectFile(message),
      renderType: "icon",
      lng: lng,
      handlePreview: function handlePreview() {
        return handleOpenFile(CreateObjectFile(message));
      },
      file: CreateObjectFile(message)
    })), message.file && React.createElement("p", {
      className: classes.textFile
    }, FormatNameAWS(CreateObjectFile(message).name))), React.createElement("p", {
      className: classes.hour
    }, HourChat(message.hour || ""))), (message.censoredLow || message.censoredHight) && React.createElement("div", {
      className: classes.textAlertCensoredLeft
    }, React.createElement("p", null, CensoredMessage(message.censoredLow, message.censoredHight, lng))), React.createElement(React.Fragment, null, activeHistory ? activeHistory(message) : null, readHistory ? readHistory(message) : null)) : React.createElement(React.Fragment, null, ReturnHistoricalMessage && ReturnHistoricalMessage(message))) : React.createElement(React.Fragment, null, message.userEmisor === loggedUser_Id ? React.createElement("div", null, ReturnNotification && ReturnNotification(message), message.type !== "HISTORICAL" && React.createElement(React.Fragment, null, React.createElement(React.Fragment, null, activeHistory ? activeHistory(message) : null, readHistory ? readHistory(message) : null), React.createElement("div", {
      className: classes.rowRight
    }, React.createElement("p", {
      className: classes.hour
    }, HourChat(message.hour || "")), React.createElement("div", {
      className: classes.containerMsgRight,
      style: {
        filter: message.censoredHight ? 'blur(4px)' : ""
      }
    }, React.createElement("p", {
      className: message.censoredLow ? classes.textMessageCensored : classes.textMessage
    }, message.message), message.file && React.createElement("div", {
      className: classes.containerFile
    }, React.createElement(RenderFile, {
      selectedFile: CreateObjectFile(message),
      renderType: "icon",
      lng: lng,
      handlePreview: function handlePreview() {
        return handleOpenFile(CreateObjectFile(message));
      },
      file: CreateObjectFile(message)
    })), message.file && React.createElement("p", {
      className: classes.textFile
    }, FormatNameAWS(CreateObjectFile(message).name))), message.censoredLow || message.censoredHight ? React.createElement("div", {
      className: classes.containerError
    }, React.createElement(ErrorIcon, null)) : React.createElement(AvatarModule, {
      small: true,
      name: message.emisorName || "",
      image: message.avatar || "",
      onClickAvatar: onClickAvatar
    })), (message.censoredLow || message.censoredHight) && React.createElement("div", {
      className: classes.textAlertCensoredRight
    }, React.createElement("p", null, CensoredMessage(message.censoredLow, message.censoredHight, lng)))), message.type === 'HISTORICAL' && React.createElement(React.Fragment, null, ReturnHistoricalMessage && ReturnHistoricalMessage(message))) : React.createElement(React.Fragment, null)));
  }), listMessages && listMessages.length > viewMoreLimit && React.createElement("div", {
    className: classes.seeMoreContainer,
    onClick: onClickSeeMore
  }, React.createElement("p", null, lng === 'en' ? 'See more' : 'Ver mas'))));
};

var _excluded$C = ["width", "height", "open", "setOpen", "handleClose", "content"];
var ResizableModal = function ResizableModal(_ref) {
  var width = _ref.width,
      height = _ref.height,
      open = _ref.open,
      handleClose = _ref.handleClose,
      content = _ref.content,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$C);

  var styles = makeStyles({
    root: {
      '& > .MuiDialog-container .MuiPaper-root': {
        boxShadow: theme.modalShadowDefault,
        borderRadius: 4
      },
      '& > .MuiDialog-container': {
        backgroundColor: theme.modalBackgroundDefault
      }
    },
    containerModal: {}
  });
  var classes = styles({
    width: width,
    height: height
  });
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement(Dialog, {
    className: classes.root,
    open: open,
    "aria-labelledby": "responsive-dialog-title",
    onClose: function onClose() {
      return handleClose && handleClose();
    }
  }, React.createElement("div", {
    className: classes.containerModal
  }, content)));
};

var _excluded$D = ["width", "height", "open", "setOpen", "handleClose", "lng", "content"];
var AddCardForm = function AddCardForm(_ref) {
  var width = _ref.width,
      height = _ref.height,
      open = _ref.open,
      setOpen = _ref.setOpen,
      handleClose = _ref.handleClose,
      lng = _ref.lng,
      content = _ref.content,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$D);

  var styles = makeStyles({
    root: {
      width: '100%',
      minWidth: 400,
      height: '100%',
      minHeight: 250
    },
    title: {
      color: theme.blackPrimary,
      fontSize: 16,
      fontWeight: 500,
      padding: '25px 25px 0px 25px',
      margin: 0
    }
  });
  var classes = styles();
  return React.createElement(ResizableModal, {
    open: open || true,
    setOpen: setOpen || null,
    width: width || 600,
    height: height || 400,
    handleClose: handleClose || undefined,
    content: React.createElement("div", Object.assign({
      className: classes.root
    }, props), React.createElement("h1", {
      className: classes.title
    }, lng === 'en' ? 'NEW PAYMENT METHOD' : 'NUEVO MÉTODO DE PAGO'), content)
  });
};

var _excluded$E = ["title", "open", "setOpen", "width", "height", "handleClose", "labelBtn", "textOne", "textTwo", "amount", "linkText", "onClickLink", "onClickBtn"];
var ModalValidationPayment = function ModalValidationPayment(_ref) {
  var title = _ref.title,
      open = _ref.open,
      setOpen = _ref.setOpen,
      width = _ref.width,
      height = _ref.height,
      _handleClose = _ref.handleClose,
      labelBtn = _ref.labelBtn,
      textOne = _ref.textOne,
      textTwo = _ref.textTwo,
      amount = _ref.amount,
      linkText = _ref.linkText,
      onClickLink = _ref.onClickLink,
      onClickBtn = _ref.onClickBtn,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$E);

  var styles = makeStyles({
    root: {
      padding: 35,
      width: function width(props) {
        return props.width || 'max-content';
      },
      height: function height(props) {
        return props.height || 'max-content';
      }
    },
    title: {
      fontSize: 18,
      textTransform: 'uppercase',
      textAlign: 'center',
      color: theme.blackPrimary
    },
    text: {
      color: theme.textContentPrimary,
      fontSize: 16,
      marginTop: 10,
      textAlign: 'center'
    },
    containerBtn: {
      marginTop: 25,
      display: 'flex',
      justifyContent: 'center'
    },
    link: {
      color: theme.bluePrimary,
      "&:hover": {
        cursor: 'pointer',
        fontWeight: 600
      }
    },
    amount: {
      color: theme.blackPrimary,
      fontWeight: 600
    }
  });
  var classes = styles({
    width: width,
    height: height
  });
  var defaultLabelBtn = "text";
  var defaultTitle = "Default title";
  return React.createElement(ResizableModal, {
    open: open,
    setOpen: setOpen,
    handleClose: function handleClose() {
      return _handleClose();
    },
    content: React.createElement("div", Object.assign({
      className: classes.root
    }, props), React.createElement("h1", {
      className: classes.title
    }, title || defaultTitle), textOne && React.createElement("p", {
      className: classes.text
    }, textOne, amount && React.createElement("span", {
      className: classes.amount
    }, "\xA0", amount), textTwo && '.' + ' ' + textTwo, linkText && React.createElement("span", {
      className: classes.link,
      onClick: onClickLink
    }, "\xA0", linkText)), React.createElement("div", {
      className: classes.containerBtn
    }, React.createElement(ButtonForm, {
      active: true,
      label: labelBtn || defaultLabelBtn,
      onClick: onClickBtn
    })))
  });
};

var _excluded$F = ["title", "message", "type", "labelBtn", "width", "height", "open", "setOpen", "handleClose", "onClickBtn"];
var ModalNotificationAddPaidMethod = function ModalNotificationAddPaidMethod(_ref) {
  var title = _ref.title,
      message = _ref.message,
      type = _ref.type,
      labelBtn = _ref.labelBtn,
      width = _ref.width,
      height = _ref.height,
      open = _ref.open,
      setOpen = _ref.setOpen,
      handleClose = _ref.handleClose,
      onClickBtn = _ref.onClickBtn,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$F);

  var styles = makeStyles({
    root: {
      padding: 35,
      width: function width(props) {
        return props.width || 'max-content';
      },
      height: function height(props) {
        return props.height || 'max-content';
      }
    },
    title: {
      fontSize: 18,
      textTransform: 'uppercase',
      textAlign: 'center',
      color: theme.blackPrimary
    },
    text: {
      color: theme.textContentPrimary,
      fontSize: 16,
      marginTop: 10,
      textAlign: 'center'
    },
    containerBtn: {
      marginTop: 25,
      display: 'flex',
      justifyContent: 'center'
    },
    errorContainer: {
      width: 25,
      height: 25,
      borderRadius: '50%',
      backgroundColor: theme.backgroundRed,
      border: "1px solid " + theme.redPrimary,
      marginLeft: 20,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      '&>svg': {
        color: theme.redPrimary
      }
    },
    successContainer: {
      width: 25,
      height: 25,
      borderRadius: '50%',
      backgroundColor: theme.backgroundGreen,
      marginLeft: 20,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      '&>svg': {
        color: theme.greenPrimary,
        width: 20,
        height: 20
      }
    }
  });
  var defaultTitle = "Default Title";
  var defaultBtnLabel = "text";
  var defaultMessage = "El símbolo del euro es un símbolo monetario usado para el euro, la actual moneda oficial de la eurozona, en la Unión Europea. El diseño fue presentado al público por la Comisión Europea el 12 de diciembre de 1996.";
  var classes = styles({
    width: width,
    height: height
  });
  return React.createElement(ResizableModal, {
    open: open,
    setOpen: setOpen,
    handleClose: handleClose,
    content: React.createElement("div", Object.assign({
      className: classes.root
    }, props), React.createElement("h1", {
      className: classes.title
    }, title || defaultTitle), React.createElement("div", {
      style: {
        display: 'flex'
      }
    }, React.createElement("p", {
      style: {
        marginTop: 5
      }
    }, type === 'Error' && React.createElement("div", {
      className: classes.errorContainer
    }, React.createElement(PriorityHighIcon, null)), type === 'Success' && React.createElement("div", {
      className: classes.successContainer
    }, React.createElement(CheckIcon, null))), React.createElement("p", {
      className: classes.text
    }, message || defaultMessage)), React.createElement("div", {
      className: classes.containerBtn
    }, React.createElement(ButtonForm, {
      active: true,
      label: labelBtn || defaultBtnLabel,
      onClick: onClickBtn
    })))
  });
};

var _excluded$G = ["content", "width", "label", "checked", "setChecked"];
var TermsAndConditions = function TermsAndConditions(_ref) {
  var content = _ref.content,
      width = _ref.width,
      label = _ref.label,
      checked = _ref.checked,
      setChecked = _ref.setChecked,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$G);

  var styles = makeStyles({
    root: {
      border: "1px solid " + theme.borderGreyPrimary,
      borderRadius: 4,
      padding: 24,
      width: function width(props) {
        return props.width || 320;
      },
      height: 'max-content',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center'
    },
    content: {
      '&>p': {
        fontSize: 14,
        fontWeight: 400,
        color: theme.blackPrimary,
        '&>span': {
          color: theme.bluePrimary,
          fontWeight: 400,
          '&:hover': {
            cursor: 'pointer'
          }
        }
      }
    },
    containerCheck: {
      marginRight: 25
    }
  });
  var classes = styles({
    width: width
  });
  var labelValue = {
    inputProps: {
      'aria-label': label || 'Checkbox default'
    }
  };
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement("div", {
    className: classes.containerCheck
  }, React.createElement(Checkbox, Object.assign({}, labelValue, {
    checked: checked,
    onChange: function onChange(e) {
      return setChecked && setChecked(e.target.checked);
    }
  }))), React.createElement("div", {
    className: classes.content
  }, content));
};

var _excluded$H = ["text", "width"];
var ValidationInfo = function ValidationInfo(_ref) {
  var text = _ref.text,
      width = _ref.width,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$H);

  var styles = makeStyles({
    root: {
      width: function width(props) {
        return props.width || 320;
      },
      height: 'max-content',
      padding: 15,
      backgroundColor: theme.lightBlue,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      borderRadius: 4,
      '&>svg': {
        color: theme.bluePrimary,
        width: 40,
        height: 40,
        marginRight: 10
      },
      '&>p': {
        color: theme.blackPrimary,
        fontSize: 14,
        fontWeight: 400
      }
    }
  });
  var classes = styles({
    width: width
  });
  var defaultText = 'This is a default text for validation info';
  return React.createElement("div", Object.assign({
    className: classes.root
  }, props), React.createElement(ErrorOutlineIcon, null), React.createElement("p", null, text || defaultText));
};

var _excluded$I = ["open", "setOpen", "handleClose", "width", "title", "subtitle", "items", "footer", "footerText", "btnText", "onClick", "type"];
var ModalListInfo = function ModalListInfo(_ref) {
  var open = _ref.open,
      setOpen = _ref.setOpen,
      handleClose = _ref.handleClose,
      width = _ref.width,
      title = _ref.title,
      subtitle = _ref.subtitle,
      items = _ref.items,
      footer = _ref.footer,
      footerText = _ref.footerText,
      btnText = _ref.btnText,
      onClick = _ref.onClick,
      type = _ref.type,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$I);

  var styles = makeStyles({
    root: {
      padding: 30,
      width: function width(props) {
        return props.width || 370;
      }
    },
    list: {
      listStyleType: 'none',
      width: 310,
      margin: 'auto',
      padding: 0,
      maxHeight: 240,
      overflowX: 'hidden',
      overflowY: 'auto',
      marginTop: 10,
      '&::-webkit-scrollbar': {
        width: '5px',
        backgroundColor: '#F2F4F6'
      },
      '&::-webkit-scrollbar-thumb': {
        backgroundColor: '#93A0AD',
        borderRadius: '238px'
      },
      '&::-webkit-scrollbar-track': {
        marginBottom: '10px'
      },
      '&>li': {
        margin: '15px 0px 15px 0px',
        width: 300,
        color: theme.textContentPrimary,
        fontSize: 14,
        display: 'flex'
      }
    },
    containerBtn: {
      width: '100%',
      marginTop: 20,
      display: 'flex',
      justifyContent: 'flex-end'
    },
    iconSuccess: {
      backgroundColor: theme.backgroundGreen,
      borderRadius: '50%',
      width: 20,
      height: 20,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      padding: 4,
      marginRight: 15,
      '&>svg': {
        color: theme.greenPrimary,
        width: 20,
        height: 20,
        borderRadius: '50%'
      }
    },
    iconError: {
      backgroundColor: theme.lightBlue,
      borderRadius: '50%',
      width: 20,
      height: 20,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      padding: 4,
      marginRight: 15,
      '&>svg': {
        color: theme.darkBlue,
        width: 20,
        height: 20,
        borderRadius: '50%'
      }
    },
    containerFooter: {
      color: theme.darkBlue,
      backgroundColor: theme.lightBlue,
      borderRadius: 4,
      marginTop: 15,
      padding: 20,
      width: 340,
      fontSize: 14,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      '&>svg': {
        width: 30,
        height: 30,
        color: theme.darkBlue,
        marginRight: 15
      }
    }
  });
  var classes = styles({
    width: width
  });
  return React.createElement(ResizableModal, {
    width: "max-content",
    height: "max-content",
    open: open,
    setOpen: setOpen,
    handleClose: handleClose,
    style: {
      padding: 20
    },
    content: React.createElement("div", Object.assign({
      className: classes.root
    }, props), React.createElement(Title, {
      title: title,
      style: {
        textAlign: 'center',
        width: '100%',
        fontWeight: 500
      }
    }), React.createElement(Subtitle, {
      subtitle: subtitle || '',
      style: {
        marginTop: 10,
        fontSize: 16,
        color: theme.textContentPrimary,
        margin: 'auto',
        padding: 15,
        width: '100%'
      }
    }), React.createElement("ul", {
      className: classes.list
    }, items && items.length > 0 && items.map(function (i) {
      return React.createElement("li", null, type === 'success' && React.createElement("div", {
        className: classes.iconSuccess
      }, React.createElement(CheckIcon, null)), type === 'error' && React.createElement("div", {
        className: classes.iconError
      }, React.createElement(ErrorOutlineIcon, null)), "\xA0", i);
    })), footer && React.createElement(React.Fragment, null, footerText && React.createElement("div", {
      className: classes.containerFooter
    }, React.createElement(ErrorOutlineIcon, null), React.createElement("p", null, footerText))), React.createElement("div", {
      className: classes.containerBtn
    }, React.createElement(ButtonForm, {
      label: btnText,
      onClick: onClick
    })))
  });
};

var _excluded$J = ["label", "items", "width", "height", "value", "setValue"];
var TextfieldSelector = function TextfieldSelector(_ref) {
  var label = _ref.label,
      items = _ref.items,
      width = _ref.width,
      height = _ref.height,
      value = _ref.value,
      setValue = _ref.setValue,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$J);

  var rootDefaultStyle = {
    height: 'max-content',
    borderRadius: 4
  };
  var styles = makeStyles({
    root: _extends({
      width: function width(props) {
        return props.width || 370;
      },
      minHeight: function minHeight(props) {
        return props.height || 60;
      }
    }, rootDefaultStyle),
    rootOpen: _extends({
      width: function width(props) {
        return props.width || 370;
      },
      minHeight: function minHeight(props) {
        return props.height || 60;
      }
    }, rootDefaultStyle, {
      border: "1px solid " + theme.bluePrimary,
      "&>:nth-child(1)": {
        borderBottom: "1px solid " + theme.bluePrimary
      }
    }),
    containerItems: {
      backgroundColor: theme.whitePrimary,
      border: "1px solid " + theme.borderGreyPrimary,
      borderRadius: 4,
      overflow: 'auto',
      maxHeight: 150,
      '&::-webkit-scrollbar': {
        width: '5px',
        height: '5px',
        backgroundColor: theme.grayPrimary
      },
      '&::-webkit-scrollbar-thumb': {
        backgroundColor: theme.opacityGrayDefault,
        borderRadius: '20px'
      },
      '&::-webkit-scrollbar-track': {
        marginBottom: '1px'
      },
      '&>ul': {
        padding: 0,
        margin: 0,
        "&>li": {
          listStyleType: 'none',
          padding: '10px 5px 5px 20px',
          color: theme.opacityGrayDefault,
          "&:hover": {
            backgroundColor: theme.hoverBlue,
            cursor: 'pointer',
            color: theme.blackPrimary
          }
        }
      }
    },
    selector: {
      width: 'auto',
      height: 'max-content',
      border: "1px solid " + theme.borderGreyPrimary,
      backgroundColor: theme.whitePrimary,
      borderRadius: 4,
      display: 'flex'
    },
    labelValue: {
      color: theme.defaultSubtitle,
      fontSize: 14,
      padding: '5px 0px 0px 10px'
    },
    labelDefault: {
      color: theme.defaultSubtitle,
      padding: '5px 5px 5px 20px',
      fontSize: 15,
      marginTop: 16
    },
    strValue: {
      color: theme.blackPrimary,
      fontSize: 16,
      padding: '5px 5px 5px 20px'
    },
    contentBtn: {
      marginInlineStart: 'auto',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      backgroundColor: theme.whitePrimary,
      marginRight: 5,
      "&>button": {
        border: "1px solid " + theme.borderGreyPrimary,
        width: 35,
        height: 35
      }
    },
    contentSelector: {}
  });
  var classes = styles({
    width: width,
    height: height
  });
  var defaultItems = Array.from({
    length: 5
  }, function (_, i) {
    return "String " + (i + 1);
  });
  var listItems = items || defaultItems;

  var _useState = useState(""),
      localValue = _useState[0],
      setLocalValue = _useState[1];

  var _useState2 = useState(false),
      open = _useState2[0],
      setOpen = _useState2[1];

  var handleValue = function handleValue(v) {
    setValue && setValue(v);
    setLocalValue(v);
    setOpen(false);
  };

  useEffect(function () {
    value && setLocalValue(value);
  }, []);
  return React.createElement("section", Object.assign({
    className: open ? classes.rootOpen : classes.root
  }, props), React.createElement("div", {
    className: classes.selector
  }, React.createElement("div", {
    className: classes.contentSelector
  }, React.createElement("p", {
    className: localValue ? classes.labelValue : classes.labelDefault
  }, label || "Default label"), React.createElement("p", {
    className: classes.strValue
  }, localValue)), React.createElement("div", {
    className: classes.contentBtn
  }, React.createElement(IconButton$1, {
    onClick: function onClick() {
      return setOpen(!open);
    }
  }, open ? React.createElement(KeyboardArrowUpIcon, null) : React.createElement(KeyboardArrowDownIcon, null)))), open && React.createElement("div", {
    className: classes.containerItems
  }, React.createElement("ul", null, listItems.map(function (item, index) {
    return React.createElement("li", {
      key: index,
      onClick: function onClick() {
        return handleValue(item);
      }
    }, item);
  }))));
};

export { AddButton, AddCardForm, AttachFilesChat, AvatarModule, ButtonForm, CardFooter, CardPicker, CardWithImg, CategoryDropdown, CategorySelectors, ChatRoom, DefaultCard, DefaultModal, Dropdown, Error$1 as Error, Footer, InputChat, ListContract, ListingProjectCard, Logo, MenuMessages, MenuProfile, ModalListInfo, ModalNotificationAddPaidMethod, ModalValidationPayment, Paginator, PreviewPDF, PrincipalMenu, RenderFile, ResizableModal, SelectableCard, Selector, SimpleSelector, SkillCard, SplitScreen, Stepper, Subtitle, TermsAndConditions, TextField, TextFieldDate, TextFieldUploadFile, TextfieldSelector, Title, TitleRoute, UploadFileWithIcon, ValidationInfo, ValueContainer, theme };
//# sourceMappingURL=gubick-storybook-styles.esm.js.map
